CREATE DATABASE IF NOT EXISTS angelicaoOBS;
USE angelicaoOBS;

-- MySQL dump 10.13  Distrib 5.7.9, for Win64 (x86_64)
--
-- Host: localhost    Database: angelicaoOBS
-- ------------------------------------------------------
-- Server version	5.5.44-0ubuntu0.14.04.1

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `blocked_devices`
--

DROP TABLE IF EXISTS `blocked_devices`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `blocked_devices` (
  `mac` varchar(20) NOT NULL,
  `user_id` varchar(45) NOT NULL,
  PRIMARY KEY (`mac`,`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `config`
--

DROP TABLE IF EXISTS `config`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `config` (
  `name` varchar(35) NOT NULL,
  `value` varchar(200) NOT NULL,
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `devices`
--

DROP TABLE IF EXISTS `devices`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `devices` (
  `mac` varchar(20) NOT NULL,
  `deleted` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `system_id` int(5) unsigned NOT NULL,
  `customName` varchar(100) NOT NULL,
  `icon` varchar(45) DEFAULT NULL,
  `location_id` int(5) unsigned DEFAULT NULL,
  `translate_x` varchar(45) DEFAULT NULL,
  `translate_y` varchar(45) DEFAULT NULL,
  `modelName` varchar(45) DEFAULT NULL,
  `isVideoWall` tinyint(1) unsigned DEFAULT '0',
  `videoWallType` varchar(20) DEFAULT NULL,
  `videoWallFullConfigId` int(5) unsigned DEFAULT NULL,
  `videoWallSize` varchar(5) DEFAULT NULL,
  `color` varchar(7) DEFAULT NULL,
  `isUsedInViewMode` tinyint(1) NOT NULL DEFAULT '0',
  `fontSize` varchar(5) DEFAULT NULL,
  `isDisconnected` tinyint(1) unsigned DEFAULT '0',
  `selected_layout` int(5) unsigned DEFAULT NULL,
  `bypass_layout_source` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`mac`),
  KEY `fk_lid_idx` (`location_id`),
  CONSTRAINT `fk_lid` FOREIGN KEY (`location_id`) REFERENCES `locations` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `location_preferred_sources`
--

DROP TABLE IF EXISTS `location_preferred_sources`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `location_preferred_sources` (
  `location_id` int(5) unsigned NOT NULL,
  `source_mac` varchar(20) NOT NULL,
  PRIMARY KEY (`location_id`,`source_mac`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `locations`
--

DROP TABLE IF EXISTS `locations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `locations` (
  `id` int(5) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `parent_id` int(5) unsigned DEFAULT NULL,
  `background_image` varchar(256) DEFAULT NULL,
  `stage_width` float(9,3) unsigned DEFAULT NULL,
  `stage_height` float(9,3) unsigned DEFAULT NULL,
  `visual_mode` enum('bg','blank','none') DEFAULT NULL,
  `palette_bg` varchar(7) DEFAULT NULL,
  `palette_color` varchar(7) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=124 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `meta`
--

DROP TABLE IF EXISTS `meta`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `meta` (
  `meta_id` int(6) unsigned NOT NULL AUTO_INCREMENT,
  `object_id` varchar(255) DEFAULT NULL,
  `object_type` varchar(255) DEFAULT NULL,
  `meta_key` varchar(255) NOT NULL,
  `meta_value` longtext,
  PRIMARY KEY (`meta_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `multiview_config_windows`
--

DROP TABLE IF EXISTS `multiview_config_windows`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `multiview_config_windows` (
  `mac_multiview` varchar(20) NOT NULL,
  `config_id` int(5) unsigned NOT NULL,
  `window_id` int(3) unsigned NOT NULL,
  `mac_tx` varchar(20) DEFAULT NULL,
  `x` int(5) unsigned NOT NULL,
  `y` int(5) unsigned NOT NULL,
  `width` int(5) unsigned NOT NULL,
  `height` int(5) unsigned NOT NULL,
  `audio_enabled` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `z_index` int(5) unsigned DEFAULT NULL,
  PRIMARY KEY (`mac_multiview`,`window_id`,`config_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `multiview_configs`
--

DROP TABLE IF EXISTS `multiview_configs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `multiview_configs` (
  `mac_multiview` int(5) unsigned NOT NULL,
  `config_id` int(5) unsigned NOT NULL,
  `name` varchar(45) NOT NULL,
  PRIMARY KEY (`config_id`,`mac_multiview`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `multiview_currently_playing_connections`
--

DROP TABLE IF EXISTS `multiview_currently_playing_connections`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `multiview_currently_playing_connections` (
  `mac_multiview` varchar(20) NOT NULL,
  `window_id` int(5) unsigned NOT NULL,
  `mac_tx` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`mac_multiview`,`window_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `multiview_displays`
--

DROP TABLE IF EXISTS `multiview_displays`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `multiview_displays` (
  `mac_rx` varchar(20) NOT NULL,
  `mac_multiview` varchar(20) NOT NULL,
  `x` int(5) unsigned NOT NULL,
  `y` int(5) unsigned NOT NULL,
  `width` int(5) unsigned NOT NULL,
  `height` int(5) unsigned NOT NULL,
  `audio_enabled` tinyint(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`mac_rx`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `users`
--

DROP TABLE IF EXISTS `users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `users` (
  `user_id` int(10) unsigned NOT NULL,
  `email` varchar(255) NOT NULL,
  `role_type` int(2) NOT NULL DEFAULT '0',
  `username` varchar(45) DEFAULT NULL,
  `enabled` tinyint(1) unsigned NOT NULL DEFAULT '1',
  PRIMARY KEY (`user_id`),
  UNIQUE KEY `email_UNIQUE` (`email`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `video_wall_config_devices`
--

DROP TABLE IF EXISTS `video_wall_config_devices`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `video_wall_config_devices` (
  `system_id` int(5) unsigned NOT NULL,
  `config_id` int(5) unsigned NOT NULL,
  `mac` varchar(20) NOT NULL,
  `pos_x` int(2) unsigned NOT NULL,
  `pos_y` int(2) unsigned NOT NULL,
  PRIMARY KEY (`config_id`,`mac`,`system_id`),
  KEY `idx_mac_addr` (`mac`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `video_wall_configs`
--

DROP TABLE IF EXISTS `video_wall_configs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `video_wall_configs` (
  `system_id` int(5) unsigned NOT NULL,
  `parent_config_id` int(5) unsigned NOT NULL,
  `config_id` int(5) unsigned NOT NULL,
  `name` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`config_id`,`system_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `video_wall_currently_playing_connections`
--

DROP TABLE IF EXISTS `video_wall_currently_playing_connections`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `video_wall_currently_playing_connections` (
  `system_id` int(5) unsigned NOT NULL,
  `videoWallFullConfigId` int(5) unsigned NOT NULL,
  `object_type` varchar(10) NOT NULL,
  `object_id` varchar(20) NOT NULL,
  `source` varchar(20) NOT NULL,
  PRIMARY KEY (`system_id`,`videoWallFullConfigId`),
  KEY `idx_pk_vwcccp` (`videoWallFullConfigId`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `video_wall_layout_configs`
--

DROP TABLE IF EXISTS `video_wall_layout_configs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `video_wall_layout_configs` (
  `layout_id` int(5) unsigned NOT NULL,
  `config_id` int(5) unsigned NOT NULL,
  PRIMARY KEY (`layout_id`,`config_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `video_wall_layout_sources`
--

DROP TABLE IF EXISTS `video_wall_layout_sources`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `video_wall_layout_sources` (
  `layout_id` int(5) unsigned NOT NULL,
  `object_id` varchar(20) NOT NULL,
  `object_type` varchar(10) NOT NULL,
  `source_mac` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`layout_id`,`object_id`,`object_type`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `video_wall_layouts`
--

DROP TABLE IF EXISTS `video_wall_layouts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `video_wall_layouts` (
  `layout_id` int(5) unsigned NOT NULL AUTO_INCREMENT,
  `system_id` int(5) unsigned NOT NULL,
  `videoWallFullConfigId` int(5) unsigned NOT NULL,
  `name` varchar(45) NOT NULL,
  PRIMARY KEY (`layout_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2018-07-18 12:41:03
