USE `muxlabnetworkcontroller_dev_db`;

ALTER TABLE `muxlabnetworkcontroller_dev_db`.`productioattributslist_p1` 
ADD COLUMN `ProductIoAttrIsDviCompOn` TINYINT(1) NULL DEFAULT 0 AFTER `ProductIoAttrIs60fps`;

CREATE TABLE `macvsport_p1` (
  `macvsport_p1ID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `Mac` varchar(45) DEFAULT NULL,
  `Port` varchar(45) DEFAULT NULL,
  `PurposeID` int(10) unsigned NOT NULL,
  `ProductGlobalAttributs_P1_productglobalattributs_p1ID` int(11) NOT NULL,
  PRIMARY KEY (`macvsport_p1ID`,`ProductGlobalAttributs_P1_productglobalattributs_p1ID`),
  KEY `fk_MacVsPort_P1_ProductGlobalAttributs_P11_idx` (`ProductGlobalAttributs_P1_productglobalattributs_p1ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `presets_p2` (
  `presets_p2ID` int(11) NOT NULL AUTO_INCREMENT,
  `PresetsName` varchar(45) DEFAULT NULL,
  `PresetsType` varchar(45) DEFAULT NULL,
  `ProductGlobalAttributs_P2_productglobalattributs_p2ID` int(11) NOT NULL,
  `PresetsIdv` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`presets_p2ID`,`ProductGlobalAttributs_P2_productglobalattributs_p2ID`),
  KEY `fk_Presets_P2_ProductGlobalAttributs_P21_idx` (`ProductGlobalAttributs_P2_productglobalattributs_p2ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `presetsmatrix_p2` (
  `presetsmatrix_p2ID` int(11) NOT NULL AUTO_INCREMENT,
  `inPortId` varchar(45) DEFAULT NULL,
  `outPortId` varchar(45) DEFAULT NULL,
  `Presets_P2_presets_p2ID` int(11) NOT NULL,
  PRIMARY KEY (`presetsmatrix_p2ID`,`Presets_P2_presets_p2ID`),
  KEY `fk_PresetsMatrix_P2_Presets_P21_idx` (`Presets_P2_presets_p2ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `productglobalattributs_p2` (
  `productglobalattributs_p2ID` int(11) NOT NULL AUTO_INCREMENT,
  `GlobalProductListSaved_globalproductlistsavedID` int(11) NOT NULL,
  `ActivePresetId` int(11) DEFAULT '0',
  PRIMARY KEY (`productglobalattributs_p2ID`,`GlobalProductListSaved_globalproductlistsavedID`),
  KEY `fk_ProductGlobalAttributs_P2_GlobalProductListSaved1_idx` (`GlobalProductListSaved_globalproductlistsavedID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `productioattributslist_p2` (
  `productioattributslist_p2` int(11) NOT NULL AUTO_INCREMENT,
  `ProductIoAttrCustomName` varchar(75) DEFAULT NULL,
  `ProductIoAttrName` varchar(75) DEFAULT NULL,
  `ProductIoAttrModel` varchar(45) DEFAULT NULL,
  `ProductIoAttrPortId` varchar(45) DEFAULT NULL,
  `ProductIoAttrConnectedPortId` varchar(45) DEFAULT NULL,
  `IoType_iotypeID` int(11) NOT NULL,
  `IoPurpose_iopurposeID` int(11) NOT NULL,
  `ProductGlobalAttributs_P2_productglobalattributs_p2ID` int(11) NOT NULL,
  `ProductIoAttrIsPresent` tinyint(1) DEFAULT NULL,
  `ProductIoAttrCardNb` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`productioattributslist_p2`,`ProductGlobalAttributs_P2_productglobalattributs_p2ID`),
  KEY `fk_ProductIoAttributsList_P2_IoType1_idx` (`IoType_iotypeID`),
  KEY `fk_ProductIoAttributsList_P2_IoPurpose1_idx` (`IoPurpose_iopurposeID`),
  KEY `fk_ProductIoAttributsList_P2_ProductGlobalAttributs_P21_idx` (`ProductGlobalAttributs_P2_productglobalattributs_p2ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

INSERT INTO `productsupported` VALUES ('2','500480','Matrix 16x16','Muxlab','P_muxlab_500480','IP','IP','1','16',NULL,'16','16',NULL,'16',NULL);

INSERT INTO `productiolist` VALUES ('6','1',NULL,NULL,'1','1','2');
INSERT INTO `productiolist` VALUES ('7','2',NULL,NULL,'1','1','2');
INSERT INTO `productiolist` VALUES ('8','3',NULL,NULL,'1','1','2');
INSERT INTO `productiolist` VALUES ('9','4',NULL,NULL,'1','1','2');
INSERT INTO `productiolist` VALUES ('10','5',NULL,NULL,'1','1','2');
INSERT INTO `productiolist` VALUES ('11','6',NULL,NULL,'1','1','2');
INSERT INTO `productiolist` VALUES ('12','7',NULL,NULL,'1','1','2');
INSERT INTO `productiolist` VALUES ('13','8',NULL,NULL,'1','1','2');
INSERT INTO `productiolist` VALUES ('14','9',NULL,NULL,'1','1','2');
INSERT INTO `productiolist` VALUES ('15','10',NULL,NULL,'1','1','2');
INSERT INTO `productiolist` VALUES ('16','11',NULL,NULL,'1','1','2');
INSERT INTO `productiolist` VALUES ('17','12',NULL,NULL,'1','1','2');
INSERT INTO `productiolist` VALUES ('18','13',NULL,NULL,'1','1','2');
INSERT INTO `productiolist` VALUES ('19','14',NULL,NULL,'1','1','2');
INSERT INTO `productiolist` VALUES ('20','15',NULL,NULL,'1','1','2');
INSERT INTO `productiolist` VALUES ('21','16',NULL,NULL,'1','1','2');
INSERT INTO `productiolist` VALUES ('22','1',NULL,NULL,'5','1','2');
INSERT INTO `productiolist` VALUES ('23','2',NULL,NULL,'5','1','2');
INSERT INTO `productiolist` VALUES ('24','3',NULL,NULL,'5','1','2');
INSERT INTO `productiolist` VALUES ('25','4',NULL,NULL,'5','1','2');
INSERT INTO `productiolist` VALUES ('26','5',NULL,NULL,'5','1','2');
INSERT INTO `productiolist` VALUES ('27','6',NULL,NULL,'5','1','2');
INSERT INTO `productiolist` VALUES ('28','7',NULL,NULL,'5','1','2');
INSERT INTO `productiolist` VALUES ('29','8',NULL,NULL,'5','1','2');
INSERT INTO `productiolist` VALUES ('30','9',NULL,NULL,'5','1','2');
INSERT INTO `productiolist` VALUES ('31','10',NULL,NULL,'5','1','2');
INSERT INTO `productiolist` VALUES ('32','11',NULL,NULL,'5','1','2');
INSERT INTO `productiolist` VALUES ('33','12',NULL,NULL,'5','1','2');
INSERT INTO `productiolist` VALUES ('34','13',NULL,NULL,'5','1','2');
INSERT INTO `productiolist` VALUES ('35','14',NULL,NULL,'5','1','2');
INSERT INTO `productiolist` VALUES ('36','15',NULL,NULL,'5','1','2');
INSERT INTO `productiolist` VALUES ('37','16',NULL,NULL,'5','1','2');

ALTER TABLE `presets_p2`
  ADD  CONSTRAINT `fk_Presets_P2_ProductGlobalAttributs_P21` FOREIGN KEY (`ProductGlobalAttributs_P2_productglobalattributs_p2ID`) REFERENCES `productglobalattributs_p2` (`productglobalattributs_p2ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `presetsmatrix_p2`
  ADD  CONSTRAINT `fk_PresetsMatrix_P2_Presets_P21` FOREIGN KEY (`Presets_P2_presets_p2ID`) REFERENCES `presets_p2` (`presets_p2ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `productglobalattributs_p2`
  ADD  CONSTRAINT `fk_ProductGlobalAttributs_P2_GlobalProductListSaved1` FOREIGN KEY (`GlobalProductListSaved_globalproductlistsavedID`) REFERENCES `globalproductlistsaved` (`globalproductlistsavedID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `productioattributslist_p2`
  ADD  CONSTRAINT `fk_ProductIoAttributsList_P2_IoPurpose1` FOREIGN KEY (`IoPurpose_iopurposeID`) REFERENCES `iopurpose` (`iopurposeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD  CONSTRAINT `fk_ProductIoAttributsList_P2_IoType1` FOREIGN KEY (`IoType_iotypeID`) REFERENCES `iotype` (`iotypeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD  CONSTRAINT `fk_ProductIoAttributsList_P2_ProductGlobalAttributs_P21` FOREIGN KEY (`ProductGlobalAttributs_P2_productglobalattributs_p2ID`) REFERENCES `productglobalattributs_p2` (`productglobalattributs_p2ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;
  
ALTER TABLE `macvsport_p1`
  ADD  CONSTRAINT `fk_MacVsPort_P1_ProductGlobalAttributs_P11` FOREIGN KEY (`ProductGlobalAttributs_P1_productglobalattributs_p1ID`) REFERENCES `productglobalattributs_p1` (`productglobalattributs_p1ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;
    