USE `muxlabnetworkcontroller_dev_db`;

CREATE TABLE `macvsport_p3` (
  `macvsport_p3ID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `Mac` varchar(45) DEFAULT NULL,
  `Port` varchar(45) DEFAULT NULL,
  `PurposeID` int(10) unsigned NOT NULL,
  `ProductGlobalAttributs_P3_productglobalattributs_p3ID` int(11) NOT NULL,
  PRIMARY KEY (`macvsport_p3ID`,`ProductGlobalAttributs_P3_productglobalattributs_p3ID`),
  KEY `fk_MacVsPort_P3_ProductGlobalAttributs_P31_idx` (`ProductGlobalAttributs_P3_productglobalattributs_p3ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `presets_p3` (
  `presets_p3ID` int(11) NOT NULL AUTO_INCREMENT,
  `PresetsName` varchar(45) DEFAULT NULL,
  `PresetsType` varchar(45) DEFAULT NULL,
  `ProductGlobalAttributs_P3_productglobalattributs_p3ID` int(11) NOT NULL,
  PRIMARY KEY (`presets_p3ID`,`ProductGlobalAttributs_P3_productglobalattributs_p3ID`),
  KEY `fk_Presets_P3_ProductGlobalAttributs_P31_idx` (`ProductGlobalAttributs_P3_productglobalattributs_p3ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `presetsmatrix_p3` (
  `presetsmatrix_p3ID` int(11) NOT NULL AUTO_INCREMENT,
  `macRx` varchar(45) DEFAULT NULL,
  `macTx` varchar(45) DEFAULT NULL,
  `Presets_P3_presets_p3ID` int(11) NOT NULL,
  PRIMARY KEY (`presetsmatrix_p3ID`,`Presets_P3_presets_p3ID`),
  KEY `fk_PresetsMatrix_P3_Presets_P31_idx` (`Presets_P3_presets_p3ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `productglobalattributs_p3` (
  `productglobalattributs_p3ID` int(11) NOT NULL AUTO_INCREMENT,
  `GlobalProductListSaved_globalproductlistsavedID` int(11) NOT NULL,
  `AppSettings_isAutoConfig` tinyint(1) DEFAULT NULL,
  `TxGroupIpUsed` varchar(25) DEFAULT '',
  `ActivePresetId` int(11) DEFAULT '1',
  PRIMARY KEY (`productglobalattributs_p3ID`,`GlobalProductListSaved_globalproductlistsavedID`),
  KEY `fk_ProductGlobalAttributs_P3_GlobalProductListSaved1_idx` (`GlobalProductListSaved_globalproductlistsavedID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `productioattributslist_p3` (
  `productioattributslist_p3` int(11) NOT NULL AUTO_INCREMENT,
  `ProductIoAttrCustomName` varchar(75) DEFAULT NULL,
  `ProductIoAttrName` varchar(75) DEFAULT NULL,
  `ProductIoAttrModel` varchar(45) DEFAULT NULL,
  `ProductIoAttrIp` varchar(15) DEFAULT NULL,
  `ProductIoAttrMask` varchar(15) DEFAULT NULL,
  `ProductIoAttrIsDhcp` tinyint(1) DEFAULT NULL,
  `ProductGroupIp` varchar(15) DEFAULT NULL,
  `ProductIoAttrMac` varchar(21) DEFAULT NULL,
  `ProductIoAttrAudioFormat` varchar(45) DEFAULT NULL,
  `ProductIoAttrIsDipSwitchEnabled` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsHdcpOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsIrOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsVideoDetected` tinyint(1) DEFAULT NULL,
  `ProductIoAttrCompressionRate` varchar(15) DEFAULT NULL,
  `ProductIoAttrVideoResolution` varchar(25) DEFAULT NULL,
  `ProductIoAttrIsDisplayConnected` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsScreenImageOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsScreenTextOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrConnectedMac` varchar(21) DEFAULT '00-00-00-00-00-00',
  `ProductGlobalAttributs_P3_productglobalattributs_p3ID` int(11) NOT NULL,
  `IoType_iotypeID` int(11) NOT NULL,
  `IoPurpose_iopurposeID` int(11) NOT NULL,
  `ProductIoAttrPortId` varchar(45) DEFAULT NULL,
  `ProductIoAttrConnectedProductId` int(11) DEFAULT NULL,
  `ProductIoAttrFwVersion` varchar(10) DEFAULT NULL,
  `ProductIoAttrIsAutoResolutionOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrUartBaudRate` varchar(15) DEFAULT 'NA',
  `ProductIoAttrIsAutoCompressionOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsIrMode` varchar(15) DEFAULT NULL,
  `ProductIoAttrRs232FeedbackIP` varchar(15) DEFAULT NULL,
  `ProductIoAttrIrFeedbackIP` varchar(15) DEFAULT NULL,
  `ProductIoAttrIsRs232IpHeader` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsRs232FeedbackOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIs60fps` tinyint(1) DEFAULT '0',
  `ProductIoAttrIsDviCompOn` tinyint(1) DEFAULT '0',
  `ProductIoAttrIsVwOn` tinyint(1) DEFAULT '0',
  `ProductIoAttrHdcpFormat` varchar(25) DEFAULT NULL,
  PRIMARY KEY (`productioattributslist_p3`,`ProductGlobalAttributs_P3_productglobalattributs_p3ID`),
  KEY `fk_ProductIoAttributsList_P3_IoPurpose1_idx` (`IoPurpose_iopurposeID`),
  KEY `fk_ProductIoAttributsList_P3_IoType1_idx` (`IoType_iotypeID`),
  KEY `fk_ProductIoAttributsList_P3_ProductGlobalAttributs_P31_idx` (`ProductGlobalAttributs_P3_productglobalattributs_p3ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

INSERT INTO `productsupported` VALUES ('3','500758/759','Hdmi Over IP 4K','Muxlab','P_muxlab_500758','IP','IP','2','16',NULL,NULL,'200',NULL,NULL,NULL);

CREATE TABLE `videowallconfig_p3` (
  `videowallconfig_p3ID` int(11) NOT NULL AUTO_INCREMENT,
  `VideoWallName` varchar(45) DEFAULT NULL,
  `VideoWallSize` varchar(45) DEFAULT NULL,
  `ProductGlobalAttributs_P3_productglobalattributs_p3ID` int(11) NOT NULL,
  PRIMARY KEY (`videowallconfig_p3ID`,`ProductGlobalAttributs_P3_productglobalattributs_p3ID`),
  KEY `fk_VideoWallConfig_P3_ProductGlobalAttributs_P31_idx` (`ProductGlobalAttributs_P3_productglobalattributs_p3ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

CREATE TABLE `vwrxsettings_p3` (
  `vwrxsettings_p3ID` int(11) NOT NULL AUTO_INCREMENT,
  `macRx` varchar(45) DEFAULT NULL,
  `macTx` varchar(45) DEFAULT NULL,
  `isVideoWallMode` tinyint(1) DEFAULT NULL,
  `vwGlobalSize` varchar(45) DEFAULT NULL,
  `xGlobalCoordonate` smallint(6) DEFAULT NULL,
  `yGlobalCoordonate` smallint(6) DEFAULT NULL,
  `vwSizeX` smallint(6) DEFAULT NULL,
  `vwSizeY` smallint(6) DEFAULT NULL,
  `xCoordonate` smallint(6) DEFAULT NULL,
  `yCoordonate` smallint(6) DEFAULT NULL,
  `bezelTop` float DEFAULT NULL,
  `bezelBottom` float DEFAULT NULL,
  `bezelLeft` float DEFAULT NULL,
  `bezelRight` float DEFAULT NULL,
  `screenWidth` float DEFAULT NULL,
  `screenHeight` float DEFAULT NULL,
  `VideoWallConfig_P3_videowallconfig_p3ID` int(11) NOT NULL,
  `scaleUpH` smallint(6) DEFAULT NULL,
  `scaleDownH` smallint(6) DEFAULT NULL,
  `scaleUpV` smallint(6) DEFAULT NULL,
  `scaleDownV` smallint(6) DEFAULT NULL,
  `shiftUp` smallint(6) DEFAULT NULL,
  `shiftDown` smallint(6) DEFAULT NULL,
  `shiftRight` smallint(6) DEFAULT NULL,
  `shiftLeft` smallint(6) DEFAULT NULL,
  `measureUnit` varchar(25) DEFAULT NULL,
  PRIMARY KEY (`vwrxsettings_p3ID`,`VideoWallConfig_P3_videowallconfig_p3ID`),
  KEY `fk_VWRxSettings_P3_VideoWallConfig_P31_idx` (`VideoWallConfig_P3_videowallconfig_p3ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

ALTER TABLE `macvsport_p3`
  ADD  CONSTRAINT `fk_MacVsPort_P3_ProductGlobalAttributs_P31` FOREIGN KEY (`ProductGlobalAttributs_P3_productglobalattributs_p3ID`) REFERENCES `productglobalattributs_p3` (`productglobalattributs_p3ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `presets_p3`
  ADD  CONSTRAINT `fk_Presets_P3_ProductGlobalAttributs_P31` FOREIGN KEY (`ProductGlobalAttributs_P3_productglobalattributs_p3ID`) REFERENCES `productglobalattributs_p3` (`productglobalattributs_p3ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `presetsmatrix_p3`
  ADD  CONSTRAINT `fk_PresetsMatrix_P3_Presets_P31` FOREIGN KEY (`Presets_P3_presets_p3ID`) REFERENCES `presets_p3` (`presets_p3ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `productglobalattributs_p3`
  ADD  CONSTRAINT `fk_ProductGlobalAttributs_P3_GlobalProductListSaved1` FOREIGN KEY (`GlobalProductListSaved_globalproductlistsavedID`) REFERENCES `globalproductlistsaved` (`globalproductlistsavedID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `productioattributslist_p3`
  ADD  CONSTRAINT `fk_ProductIoAttributsList_P3_IoPurpose1` FOREIGN KEY (`IoPurpose_iopurposeID`) REFERENCES `iopurpose` (`iopurposeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD  CONSTRAINT `fk_ProductIoAttributsList_P3_IoType1` FOREIGN KEY (`IoType_iotypeID`) REFERENCES `iotype` (`iotypeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD  CONSTRAINT `fk_ProductIoAttributsList_P3_ProductGlobalAttributs_P31` FOREIGN KEY (`ProductGlobalAttributs_P3_productglobalattributs_p3ID`) REFERENCES `productglobalattributs_p3` (`productglobalattributs_p3ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `videowallconfig_p3`
  ADD  CONSTRAINT `fk_VideoWallConfig_P3_ProductGlobalAttributs_P31` FOREIGN KEY (`ProductGlobalAttributs_P3_productglobalattributs_p3ID`) REFERENCES `productglobalattributs_p3` (`productglobalattributs_p3ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `vwrxsettings_p3`
  ADD  CONSTRAINT `fk_VWRxSettings_P3_VideoWallConfig_P31` FOREIGN KEY (`VideoWallConfig_P3_videowallconfig_p3ID`) REFERENCES `videowallconfig_p3` (`videowallconfig_p3ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;
  