-- 
-- backup20160329-234446.sql


DROP DATABASE `muxlabnetworkcontroller_dev_db`;
CREATE DATABASE IF NOT EXISTS `muxlabnetworkcontroller_dev_db` DEFAULT CHARACTER SET latin1 COLLATE latin1_swedish_ci;
USE `muxlabnetworkcontroller_dev_db`;


CREATE TABLE `globalproductlistsaved` (
  `globalproductlistsavedID` int(11) NOT NULL AUTO_INCREMENT,
  `ProductCustomName` varchar(85) DEFAULT NULL,
  `ProductIp` varchar(15) DEFAULT NULL,
  `ProductMask` varchar(15) DEFAULT NULL,
  `ProductIsDhcp` tinyint(1) DEFAULT NULL,
  `ProductSupported_ProductSupportedID` int(11) NOT NULL,
  `ProductLogin` varchar(45) DEFAULT NULL,
  `ProductPassword` varchar(45) DEFAULT NULL,
  `ProductIdOverride` int(11) DEFAULT '1',
  PRIMARY KEY (`globalproductlistsavedID`,`ProductSupported_ProductSupportedID`),
  KEY `fk_GlobalProductListSaved_ProductSupported1_idx` (`ProductSupported_ProductSupportedID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;


CREATE TABLE `iopurpose` (
  `iopurposeID` int(11) NOT NULL AUTO_INCREMENT,
  `IoPurposeName` varchar(85) DEFAULT NULL,
  PRIMARY KEY (`iopurposeID`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=latin1;

INSERT INTO `iopurpose` VALUES ('1','INPUT VIDEO');
INSERT INTO `iopurpose` VALUES ('2','INPUT AUDIO');
INSERT INTO `iopurpose` VALUES ('3','INPUT DATA');
INSERT INTO `iopurpose` VALUES ('4','CONTROL');
INSERT INTO `iopurpose` VALUES ('5','OUTPUT VIDEO');
INSERT INTO `iopurpose` VALUES ('6','OUTPUT AUDIO');
INSERT INTO `iopurpose` VALUES ('7','OUTPUT DATA');


CREATE TABLE `iotype` (
  `iotypeID` int(11) NOT NULL AUTO_INCREMENT,
  `IoTypeName` varchar(85) DEFAULT NULL,
  PRIMARY KEY (`iotypeID`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=latin1;

INSERT INTO `iotype` VALUES ('1','HDMI');
INSERT INTO `iotype` VALUES ('2','HDBT');
INSERT INTO `iotype` VALUES ('3','RS232');
INSERT INTO `iotype` VALUES ('4','VGA');
INSERT INTO `iotype` VALUES ('5','LAN');
INSERT INTO `iotype` VALUES ('6','IR');
INSERT INTO `iotype` VALUES ('7','USB');


CREATE TABLE `macvsport_p1` (
  `macvsport_p1ID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `Mac` varchar(45) DEFAULT NULL,
  `Port` varchar(45) DEFAULT NULL,
  `PurposeID` int(10) unsigned NOT NULL,
  `ProductGlobalAttributs_P1_productglobalattributs_p1ID` int(11) NOT NULL,
  PRIMARY KEY (`macvsport_p1ID`,`ProductGlobalAttributs_P1_productglobalattributs_p1ID`),
  KEY `fk_MacVsPort_P1_ProductGlobalAttributs_P11_idx` (`ProductGlobalAttributs_P1_productglobalattributs_p1ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `macvsport_p3` (
  `macvsport_p3ID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `Mac` varchar(45) DEFAULT NULL,
  `Port` varchar(45) DEFAULT NULL,
  `PurposeID` int(10) unsigned NOT NULL,
  `ProductGlobalAttributs_P3_productglobalattributs_p3ID` int(11) NOT NULL,
  PRIMARY KEY (`macvsport_p3ID`,`ProductGlobalAttributs_P3_productglobalattributs_p3ID`),
  KEY `fk_MacVsPort_P3_ProductGlobalAttributs_P31_idx` (`ProductGlobalAttributs_P3_productglobalattributs_p3ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `macvsport_p4` (
  `macvsport_p4ID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `Mac` varchar(45) DEFAULT NULL,
  `Port` varchar(45) DEFAULT NULL,
  `PurposeID` int(10) unsigned NOT NULL,
  `ProductGlobalAttributs_P4_productglobalattributs_p4ID` int(11) NOT NULL,
  PRIMARY KEY (`macvsport_p4ID`,`ProductGlobalAttributs_P4_productglobalattributs_p4ID`),
  KEY `fk_MacVsPort_P4_ProductGlobalAttributs_P41_idx` (`ProductGlobalAttributs_P4_productglobalattributs_p4ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `presets_p1` (
  `presets_p1ID` int(11) NOT NULL AUTO_INCREMENT,
  `PresetsName` varchar(45) DEFAULT NULL,
  `PresetsType` varchar(45) DEFAULT NULL,
  `ProductGlobalAttributs_P1_productglobalattributs_p1ID` int(11) NOT NULL,
  PRIMARY KEY (`presets_p1ID`,`ProductGlobalAttributs_P1_productglobalattributs_p1ID`),
  KEY `fk_Presets_P1_ProductGlobalAttributs_P11_idx` (`ProductGlobalAttributs_P1_productglobalattributs_p1ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;


CREATE TABLE `presets_p2` (
  `presets_p2ID` int(11) NOT NULL AUTO_INCREMENT,
  `PresetsName` varchar(45) DEFAULT NULL,
  `PresetsType` varchar(45) DEFAULT NULL,
  `ProductGlobalAttributs_P2_productglobalattributs_p2ID` int(11) NOT NULL,
  `PresetsIdv` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`presets_p2ID`,`ProductGlobalAttributs_P2_productglobalattributs_p2ID`),
  KEY `fk_Presets_P2_ProductGlobalAttributs_P21_idx` (`ProductGlobalAttributs_P2_productglobalattributs_p2ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

CREATE TABLE `presets_p3` (
  `presets_p3ID` int(11) NOT NULL AUTO_INCREMENT,
  `PresetsName` varchar(45) DEFAULT NULL,
  `PresetsType` varchar(45) DEFAULT NULL,
  `ProductGlobalAttributs_P3_productglobalattributs_p3ID` int(11) NOT NULL,
  PRIMARY KEY (`presets_p3ID`,`ProductGlobalAttributs_P3_productglobalattributs_p3ID`),
  KEY `fk_Presets_P3_ProductGlobalAttributs_P31_idx` (`ProductGlobalAttributs_P3_productglobalattributs_p3ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `presets_p4` (
  `presets_p4ID` int(11) NOT NULL AUTO_INCREMENT,
  `PresetsName` varchar(45) DEFAULT NULL,
  `PresetsType` varchar(45) DEFAULT NULL,
  `ProductGlobalAttributs_P4_productglobalattributs_p4ID` int(11) NOT NULL,
  PRIMARY KEY (`presets_p4ID`,`ProductGlobalAttributs_P4_productglobalattributs_p4ID`),
  KEY `fk_Presets_P4_ProductGlobalAttributs_P41_idx` (`ProductGlobalAttributs_P4_productglobalattributs_p4ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `presetsmatrix_p1` (
  `presetsmatrix_p1ID` int(11) NOT NULL AUTO_INCREMENT,
  `macRx` varchar(45) DEFAULT NULL,
  `macTx` varchar(45) DEFAULT NULL,
  `Presets_P1_presets_p1ID` int(11) NOT NULL,
  PRIMARY KEY (`presetsmatrix_p1ID`,`Presets_P1_presets_p1ID`),
  KEY `fk_PresetsMatrix_P1_Presets_P11_idx` (`Presets_P1_presets_p1ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;


CREATE TABLE `presetsmatrix_p2` (
  `presetsmatrix_p2ID` int(11) NOT NULL AUTO_INCREMENT,
  `inPortId` varchar(45) DEFAULT NULL,
  `outPortId` varchar(45) DEFAULT NULL,
  `Presets_P2_presets_p2ID` int(11) NOT NULL,
  PRIMARY KEY (`presetsmatrix_p2ID`,`Presets_P2_presets_p2ID`),
  KEY `fk_PresetsMatrix_P2_Presets_P21_idx` (`Presets_P2_presets_p2ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

CREATE TABLE `presetsmatrix_p3` (
  `presetsmatrix_p3ID` int(11) NOT NULL AUTO_INCREMENT,
  `macRx` varchar(45) DEFAULT NULL,
  `macTx` varchar(45) DEFAULT NULL,
  `Presets_P3_presets_p3ID` int(11) NOT NULL,
  PRIMARY KEY (`presetsmatrix_p3ID`,`Presets_P3_presets_p3ID`),
  KEY `fk_PresetsMatrix_P3_Presets_P31_idx` (`Presets_P3_presets_p3ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `presetsmatrix_p4` (
  `presetsmatrix_p4ID` int(11) NOT NULL AUTO_INCREMENT,
  `macRx` varchar(45) DEFAULT NULL,
  `macTx` varchar(45) DEFAULT NULL,
  `Presets_P4_presets_p4ID` int(11) NOT NULL,
  PRIMARY KEY (`presetsmatrix_p4ID`,`Presets_P4_presets_p4ID`),
  KEY `fk_PresetsMatrix_P4_Presets_P41_idx` (`Presets_P4_presets_p4ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `productcategory` (
  `productcategoryID` int(11) NOT NULL AUTO_INCREMENT,
  `ProductCategoryName` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`productcategoryID`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=latin1;

INSERT INTO `productcategory` VALUES ('1','Matrix');
INSERT INTO `productcategory` VALUES ('2','Matrix Virtual');
INSERT INTO `productcategory` VALUES ('3','Media Player');
INSERT INTO `productcategory` VALUES ('4','Display');
INSERT INTO `productcategory` VALUES ('5','Light');
INSERT INTO `productcategory` VALUES ('6','Connector');


CREATE TABLE `productglobalattributs_p1` (
  `productglobalattributs_p1ID` int(11) NOT NULL AUTO_INCREMENT,
  `GlobalProductListSaved_globalproductlistsavedID` int(11) NOT NULL,
  `AppSettings_isAutoConfig` tinyint(1) DEFAULT NULL,
  `TxGroupIpUsed` varchar(1000) DEFAULT '',
  `ActivePresetId` int(11) DEFAULT '1',
  PRIMARY KEY (`productglobalattributs_p1ID`,`GlobalProductListSaved_globalproductlistsavedID`),
  KEY `fk_ProductGlobalAttributs_P1_GlobalProductListSaved1_idx` (`GlobalProductListSaved_globalproductlistsavedID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;


CREATE TABLE `productglobalattributs_p2` (
  `productglobalattributs_p2ID` int(11) NOT NULL AUTO_INCREMENT,
  `GlobalProductListSaved_globalproductlistsavedID` int(11) NOT NULL,
  `ActivePresetId` int(11) DEFAULT '0',
  PRIMARY KEY (`productglobalattributs_p2ID`,`GlobalProductListSaved_globalproductlistsavedID`),
  KEY `fk_ProductGlobalAttributs_P2_GlobalProductListSaved1_idx` (`GlobalProductListSaved_globalproductlistsavedID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

CREATE TABLE `productglobalattributs_p3` (
  `productglobalattributs_p3ID` int(11) NOT NULL AUTO_INCREMENT,
  `GlobalProductListSaved_globalproductlistsavedID` int(11) NOT NULL,
  `AppSettings_isAutoConfig` tinyint(1) DEFAULT NULL,
  `TxGroupIpUsed` varchar(1000) DEFAULT '',
  `ActivePresetId` int(11) DEFAULT '1',
  PRIMARY KEY (`productglobalattributs_p3ID`,`GlobalProductListSaved_globalproductlistsavedID`),
  KEY `fk_ProductGlobalAttributs_P3_GlobalProductListSaved1_idx` (`GlobalProductListSaved_globalproductlistsavedID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `productglobalattributs_p4` (
  `productglobalattributs_p4ID` int(11) NOT NULL AUTO_INCREMENT,
  `GlobalProductListSaved_globalproductlistsavedID` int(11) NOT NULL,
  `AppSettings_isAutoConfig` tinyint(1) DEFAULT NULL,
  `TxGroupIpUsed` varchar(1000) DEFAULT '',
  `ActivePresetId` int(11) DEFAULT '1',
  PRIMARY KEY (`productglobalattributs_p4ID`,`GlobalProductListSaved_globalproductlistsavedID`),
  KEY `fk_ProductGlobalAttributs_P4_GlobalProductListSaved1_idx` (`GlobalProductListSaved_globalproductlistsavedID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `productioattributslist_p1` (
  `productioattributslist_p1` int(11) NOT NULL AUTO_INCREMENT,
  `ProductIoAttrCustomName` varchar(75) DEFAULT NULL,
  `ProductIoAttrName` varchar(75) DEFAULT NULL,
  `ProductIoAttrModel` varchar(45) DEFAULT NULL,
  `ProductIoAttrIp` varchar(15) DEFAULT NULL,
  `ProductIoAttrMask` varchar(15) DEFAULT NULL,
  `ProductIoAttrIsDhcp` tinyint(1) DEFAULT NULL,
  `ProductGroupIp` varchar(15) DEFAULT NULL,
  `ProductIoAttrMac` varchar(21) DEFAULT NULL,
  `ProductIoAttrAudioFormat` varchar(45) DEFAULT NULL,
  `ProductIoAttrIsDipSwitchEnabled` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsHdcpOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsIrOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsVideoDetected` tinyint(1) DEFAULT NULL,
  `ProductIoAttrCompressionRate` varchar(15) DEFAULT NULL,
  `ProductIoAttrVideoResolution` varchar(25) DEFAULT NULL,
  `ProductIoAttrIsDisplayConnected` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsScreenImageOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsScreenTextOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrConnectedMac` varchar(21) DEFAULT '00-00-00-00-00-00',
  `ProductGlobalAttributs_P1_productglobalattributs_p1ID` int(11) NOT NULL,
  `IoType_iotypeID` int(11) NOT NULL,
  `IoPurpose_iopurposeID` int(11) NOT NULL,
  `ProductIoAttrPortId` varchar(45) DEFAULT NULL,
  `ProductIoAttrConnectedProductId` int(11) DEFAULT NULL,
  `ProductIoAttrFwVersion` varchar(10) DEFAULT NULL,
  `ProductIoAttrIsAutoResolutionOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrUartBaudRate` varchar(15) DEFAULT 'NA',
  `ProductIoAttrIsAutoCompressionOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsIrMode` varchar(15) DEFAULT NULL,
  `ProductIoAttrRs232FeedbackIP` varchar(15) DEFAULT NULL,
  `ProductIoAttrIrFeedbackIP` varchar(15) DEFAULT NULL,
  `ProductIoAttrIsRs232IpHeader` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsRs232FeedbackOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIs60fps` tinyint(1) DEFAULT '0',
  `ProductIoAttrIsDviCompOn` tinyint(1) DEFAULT '0',
  `ProductIoAttrRs232Parity` VARCHAR(10) DEFAULT 'NONE',
  `ProductIoAttrVolumeLevel` SMALLINT(6) DEFAULT '0',
  `ProductIoAttrBassLevel` SMALLINT(6) DEFAULT '0',
  `ProductIoAttrTrebleLevel` SMALLINT(6) DEFAULT '0',
  `ProductIoAttrInputSelect` SMALLINT(6) DEFAULT '0',	
  `ProductIoAttrMicGain` SMALLINT(6) DEFAULT '0',	
  `ProductIoAttrMicBass` SMALLINT(6) DEFAULT '0',	
  `ProductIoAttrMicTreble` SMALLINT(6) DEFAULT '0',		
  `ProductIoAttrSecVolAtt` SMALLINT(6) DEFAULT '0',		
  `ProductIoAttrMicType` SMALLINT(6) DEFAULT '0',
  `ProductIoAttrMicDetectionLevel` SMALLINT(6) DEFAULT '0',
  PRIMARY KEY (`productioattributslist_p1`,`ProductGlobalAttributs_P1_productglobalattributs_p1ID`),
  KEY `fk_ProductIoAttributsList_P1_ProductGlobalAttributs_P11_idx` (`ProductGlobalAttributs_P1_productglobalattributs_p1ID`),
  KEY `fk_ProductIoAttributsList_P1_IoType1_idx` (`IoType_iotypeID`),
  KEY `fk_ProductIoAttributsList_P1_IoPurpose1_idx` (`IoPurpose_iopurposeID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;


CREATE TABLE `productioattributslist_p2` (
  `productioattributslist_p2` int(11) NOT NULL AUTO_INCREMENT,
  `ProductIoAttrCustomName` varchar(75) DEFAULT NULL,
  `ProductIoAttrName` varchar(75) DEFAULT NULL,
  `ProductIoAttrModel` varchar(45) DEFAULT NULL,
  `ProductIoAttrPortId` varchar(45) DEFAULT NULL,
  `ProductIoAttrConnectedPortId` varchar(45) DEFAULT NULL,
  `IoType_iotypeID` int(11) NOT NULL,
  `IoPurpose_iopurposeID` int(11) NOT NULL,
  `ProductGlobalAttributs_P2_productglobalattributs_p2ID` int(11) NOT NULL,
  `ProductIoAttrIsPresent` tinyint(1) DEFAULT NULL,
  `ProductIoAttrCardNb` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`productioattributslist_p2`,`ProductGlobalAttributs_P2_productglobalattributs_p2ID`),
  KEY `fk_ProductIoAttributsList_P2_IoType1_idx` (`IoType_iotypeID`),
  KEY `fk_ProductIoAttributsList_P2_IoPurpose1_idx` (`IoPurpose_iopurposeID`),
  KEY `fk_ProductIoAttributsList_P2_ProductGlobalAttributs_P21_idx` (`ProductGlobalAttributs_P2_productglobalattributs_p2ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

CREATE TABLE `productioattributslist_p3` (
  `productioattributslist_p3` int(11) NOT NULL AUTO_INCREMENT,
  `ProductIoAttrCustomName` varchar(75) DEFAULT NULL,
  `ProductIoAttrName` varchar(75) DEFAULT NULL,
  `ProductIoAttrModel` varchar(45) DEFAULT NULL,
  `ProductIoAttrIp` varchar(15) DEFAULT NULL,
  `ProductIoAttrMask` varchar(15) DEFAULT NULL,
  `ProductIoAttrIsDhcp` tinyint(1) DEFAULT NULL,
  `ProductGroupIp` varchar(15) DEFAULT NULL,
  `ProductIoAttrMac` varchar(21) DEFAULT NULL,
  `ProductIoAttrAudioFormat` varchar(45) DEFAULT NULL,
  `ProductIoAttrIsDipSwitchEnabled` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsHdcpOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsIrOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsVideoDetected` tinyint(1) DEFAULT NULL,
  `ProductIoAttrCompressionRate` varchar(15) DEFAULT NULL,
  `ProductIoAttrVideoResolution` varchar(25) DEFAULT NULL,
  `ProductIoAttrIsDisplayConnected` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsScreenImageOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsScreenTextOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrConnectedMac` varchar(21) DEFAULT '00-00-00-00-00-00',
  `ProductGlobalAttributs_P3_productglobalattributs_p3ID` int(11) NOT NULL,
  `IoType_iotypeID` int(11) NOT NULL,
  `IoPurpose_iopurposeID` int(11) NOT NULL,
  `ProductIoAttrPortId` varchar(45) DEFAULT NULL,
  `ProductIoAttrConnectedProductId` int(11) DEFAULT NULL,
  `ProductIoAttrFwVersion` varchar(10) DEFAULT NULL,
  `ProductIoAttrIsAutoResolutionOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrUartBaudRate` varchar(15) DEFAULT 'NA',
  `ProductIoAttrIsAutoCompressionOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsIrMode` varchar(15) DEFAULT NULL,
  `ProductIoAttrRs232FeedbackIP` varchar(15) DEFAULT NULL,
  `ProductIoAttrIrFeedbackIP` varchar(15) DEFAULT NULL,
  `ProductIoAttrIsRs232IpHeader` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsRs232FeedbackOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIs60fps` tinyint(1) DEFAULT '0',
  `ProductIoAttrIsDviCompOn` tinyint(1) DEFAULT '0',
  `ProductIoAttrIsVwOn` tinyint(1) DEFAULT '0',
  `ProductIoAttrHdcpFormat` varchar(25) DEFAULT NULL,
  `ProductIoAttrHdrMode` varchar(25) DEFAULT NULL,
  PRIMARY KEY (`productioattributslist_p3`,`ProductGlobalAttributs_P3_productglobalattributs_p3ID`),
  KEY `fk_ProductIoAttributsList_P3_IoPurpose1_idx` (`IoPurpose_iopurposeID`),
  KEY `fk_ProductIoAttributsList_P3_IoType1_idx` (`IoType_iotypeID`),
  KEY `fk_ProductIoAttributsList_P3_ProductGlobalAttributs_P31_idx` (`ProductGlobalAttributs_P3_productglobalattributs_p3ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `productioattributslist_p4` (
  `productioattributslist_p4` int(11) NOT NULL AUTO_INCREMENT,
  `ProductIoAttrCustomName` varchar(75) DEFAULT NULL,
  `ProductIoAttrName` varchar(75) DEFAULT NULL,
  `ProductIoAttrModel` varchar(45) DEFAULT NULL,
  `ProductIoAttrIp` varchar(15) DEFAULT NULL,
  `ProductIoAttrMask` varchar(15) DEFAULT NULL,
  `ProductIoAttrIsDhcp` tinyint(1) DEFAULT NULL,
  `ProductGroupIp` varchar(15) DEFAULT NULL,
  `ProductGroupIpCode` varchar(10) DEFAULT NULL,
  `ProductIoAttrMac` varchar(21) DEFAULT NULL,
  `ProductIoAttrAudioFormat` varchar(45) DEFAULT NULL,
  `ProductIoAttrIsDipSwitchEnabled` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsHdcpOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsIrOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsVideoDetected` tinyint(1) DEFAULT NULL,
  `ProductIoAttrBitRateSD` varchar(15) DEFAULT NULL,
  `ProductIoAttrBitRateHD` varchar(15) DEFAULT NULL,
  `ProductIoAttrBitRateFHD` varchar(15) DEFAULT NULL,
  `ProductIoAttrVideoResolution` varchar(25) DEFAULT NULL,
  `ProductIoAttrIsDisplayConnected` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsScreenImageOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsScreenTextOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrConnectedMac` varchar(21) DEFAULT '00-00-00-00-00-00',
  `ProductGlobalAttributs_P4_productglobalattributs_p4ID` int(11) NOT NULL,
  `IoType_iotypeID` int(11) NOT NULL,
  `IoPurpose_iopurposeID` int(11) NOT NULL,
  `ProductIoAttrPortId` varchar(45) DEFAULT NULL,
  `ProductIoAttrConnectedProductId` int(11) DEFAULT NULL,
  `ProductIoAttrFwVersion` varchar(35) DEFAULT NULL,
  `ProductIoAttrFwSecondVersion` varchar(35) DEFAULT NULL,
  `ProductIoAttrIsAutoResolutionOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrUartBaudRate` varchar(15) DEFAULT 'NA',
  `ProductIoAttrIsAutoCompressionOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsIrMode` varchar(15) DEFAULT NULL,
  `ProductIoAttrRs232FeedbackIP` varchar(15) DEFAULT NULL,
  `ProductIoAttrIsRs232FeedbackOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsDviCompOn` tinyint(1) DEFAULT '0',
  `ProductIoAttrGateway` varchar(15) DEFAULT NULL,
  `ProductIoAttrHdcpFormat` varchar(25) DEFAULT NULL,
  PRIMARY KEY (`productioattributslist_p4`,`ProductGlobalAttributs_P4_productglobalattributs_p4ID`),
  KEY `fk_ProductIoAttributsList_P4_IoPurpose1_idx` (`IoPurpose_iopurposeID`),
  KEY `fk_ProductIoAttributsList_P4_IoType1_idx` (`IoType_iotypeID`),
  KEY `fk_ProductIoAttributsList_P4_ProductGlobalAttributs_P41_idx` (`ProductGlobalAttributs_P4_productglobalattributs_p4ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `productiolist` (
  `productiolistID` int(11) NOT NULL AUTO_INCREMENT,
  `ProductIoPortId` varchar(45) DEFAULT NULL,
  `ProductIoBaudRates` varchar(85) DEFAULT NULL,
  `ProductIoNotes` varchar(150) DEFAULT NULL,
  `IoPurpose_iopurposeID` int(11) NOT NULL,
  `IoType_iotypeID` int(11) NOT NULL,
  `ProductSupported_productsupportedID` int(11) NOT NULL,
  PRIMARY KEY (`productiolistID`,`IoPurpose_iopurposeID`,`IoType_iotypeID`,`ProductSupported_productsupportedID`),
  KEY `fk_ProductIoList_IoPurpose1_idx` (`IoPurpose_iopurposeID`),
  KEY `fk_ProductIoList_IoType1_idx` (`IoType_iotypeID`),
  KEY `fk_ProductIoList_ProductSupported1_idx` (`ProductSupported_productsupportedID`)
) ENGINE=InnoDB AUTO_INCREMENT=38 DEFAULT CHARSET=latin1;

INSERT INTO `productiolist` VALUES ('1',NULL,NULL,NULL,'1','1','1');
INSERT INTO `productiolist` VALUES ('2',NULL,NULL,NULL,'5','1','1');
INSERT INTO `productiolist` VALUES ('3',NULL,NULL,NULL,'3','6','1');
INSERT INTO `productiolist` VALUES ('4',NULL,NULL,NULL,'7','6','1');
INSERT INTO `productiolist` VALUES ('5',NULL,NULL,NULL,'4','5','1');
INSERT INTO `productiolist` VALUES ('6','1',NULL,NULL,'1','1','2');
INSERT INTO `productiolist` VALUES ('7','2',NULL,NULL,'1','1','2');
INSERT INTO `productiolist` VALUES ('8','3',NULL,NULL,'1','1','2');
INSERT INTO `productiolist` VALUES ('9','4',NULL,NULL,'1','1','2');
INSERT INTO `productiolist` VALUES ('10','5',NULL,NULL,'1','1','2');
INSERT INTO `productiolist` VALUES ('11','6',NULL,NULL,'1','1','2');
INSERT INTO `productiolist` VALUES ('12','7',NULL,NULL,'1','1','2');
INSERT INTO `productiolist` VALUES ('13','8',NULL,NULL,'1','1','2');
INSERT INTO `productiolist` VALUES ('14','9',NULL,NULL,'1','1','2');
INSERT INTO `productiolist` VALUES ('15','10',NULL,NULL,'1','1','2');
INSERT INTO `productiolist` VALUES ('16','11',NULL,NULL,'1','1','2');
INSERT INTO `productiolist` VALUES ('17','12',NULL,NULL,'1','1','2');
INSERT INTO `productiolist` VALUES ('18','13',NULL,NULL,'1','1','2');
INSERT INTO `productiolist` VALUES ('19','14',NULL,NULL,'1','1','2');
INSERT INTO `productiolist` VALUES ('20','15',NULL,NULL,'1','1','2');
INSERT INTO `productiolist` VALUES ('21','16',NULL,NULL,'1','1','2');
INSERT INTO `productiolist` VALUES ('22','1',NULL,NULL,'5','1','2');
INSERT INTO `productiolist` VALUES ('23','2',NULL,NULL,'5','1','2');
INSERT INTO `productiolist` VALUES ('24','3',NULL,NULL,'5','1','2');
INSERT INTO `productiolist` VALUES ('25','4',NULL,NULL,'5','1','2');
INSERT INTO `productiolist` VALUES ('26','5',NULL,NULL,'5','1','2');
INSERT INTO `productiolist` VALUES ('27','6',NULL,NULL,'5','1','2');
INSERT INTO `productiolist` VALUES ('28','7',NULL,NULL,'5','1','2');
INSERT INTO `productiolist` VALUES ('29','8',NULL,NULL,'5','1','2');
INSERT INTO `productiolist` VALUES ('30','9',NULL,NULL,'5','1','2');
INSERT INTO `productiolist` VALUES ('31','10',NULL,NULL,'5','1','2');
INSERT INTO `productiolist` VALUES ('32','11',NULL,NULL,'5','1','2');
INSERT INTO `productiolist` VALUES ('33','12',NULL,NULL,'5','1','2');
INSERT INTO `productiolist` VALUES ('34','13',NULL,NULL,'5','1','2');
INSERT INTO `productiolist` VALUES ('35','14',NULL,NULL,'5','1','2');
INSERT INTO `productiolist` VALUES ('36','15',NULL,NULL,'5','1','2');
INSERT INTO `productiolist` VALUES ('37','16',NULL,NULL,'5','1','2');


CREATE TABLE `productsupported` (
  `productsupportedID` int(11) NOT NULL AUTO_INCREMENT,
  `ProductCode` varchar(45) DEFAULT NULL,
  `ProductName` varchar(75) DEFAULT NULL,
  `ProductCie` varchar(75) DEFAULT NULL,
  `ProductApplicationName` varchar(75) DEFAULT NULL,
  `ProductControlCommType` varchar(85) DEFAULT NULL,
  `ProductControlDriverTypeAvailable` varchar(85) DEFAULT NULL,
  `ProductCategory_productcategoryID` int(11) NOT NULL,
  `ProductMaxInputsVideo` int(11) DEFAULT NULL,
  `ProductMaxInputsAudio` int(11) DEFAULT NULL,
  `ProductMaxInputsAV` int(11) DEFAULT NULL,
  `ProductMaxOutputsVideo` int(11) DEFAULT NULL,
  `ProductMaxOutputsAudio` int(11) DEFAULT NULL,
  `ProductMaxOutputsAV` int(11) DEFAULT NULL,
  `ProductBaudRateSupported` varchar(85) DEFAULT NULL,
  PRIMARY KEY (`productsupportedID`,`ProductCategory_productcategoryID`),
  KEY `fk_ProductSupported_ProductCategory1_idx` (`ProductCategory_productcategoryID`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;

INSERT INTO `productsupported` VALUES ('1','500752/753/754/755/756','Hdmi Over IP','Muxlab','P_muxlab_500752_753','IP','IP','2','16',NULL,NULL,'200',NULL,NULL,NULL);
INSERT INTO `productsupported` VALUES ('2','500480','Matrix 16x16','Muxlab','P_muxlab_500480','IP','IP','1','16',NULL,'16','16',NULL,'16',NULL);
INSERT INTO `productsupported` VALUES ('3','500758/759','Hdmi Over IP 4K','Muxlab','P_muxlab_500758','IP','IP','2','16',NULL,NULL,'200',NULL,NULL,NULL);
INSERT INTO `productsupported` VALUES ('4','500757','Hdmi Over IP H264','Muxlab','P_muxlab_500757','IP','IP','2',NULL,NULL,NULL,NULL,NULL,NULL,NULL);


CREATE TABLE `user` (
  `userID` int(11) NOT NULL AUTO_INCREMENT,
  `UserName` varchar(65) DEFAULT NULL,
  `UserPassword` varchar(45) DEFAULT NULL,
  `UserEmail` varchar(65) DEFAULT NULL,
  `UserCreationDate` datetime DEFAULT NULL,
  `UserExpirationDate` datetime DEFAULT NULL,
  `UserSalt` varchar(8) DEFAULT NULL,
  `UserIsActivated` tinyint(1) DEFAULT NULL,
  `UserRight_UserRightID` int(11) NOT NULL,
  PRIMARY KEY (`userID`),
  UNIQUE KEY `UserID_UNIQUE` (`userID`),
  KEY `fk_User_UserRight_idx` (`UserRight_UserRightID`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;

INSERT INTO `user` VALUES ('1','admin','9c1de23a6e94f017a0d32d40e777fb94223a6fe3',NULL,'2014-05-20 00:00:00','2015-05-20 00:00:00','12345678','1','1');
INSERT INTO `user` VALUES ('2','guest','guest',NULL,'2014-05-20 00:00:00','2015-05-20 00:00:00','12345678','1','2');


CREATE TABLE `userright` (
  `userrightID` int(11) NOT NULL AUTO_INCREMENT,
  `UserRight_All` tinyint(1) DEFAULT NULL,
  `UserRight_Read` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`userrightID`),
  UNIQUE KEY `UserRightID_UNIQUE` (`userrightID`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;

INSERT INTO `userright` VALUES ('1','1','1');
INSERT INTO `userright` VALUES ('2','0','1');


CREATE TABLE `videowallconfig_p1` (
  `videowallconfig_p1ID` int(11) NOT NULL AUTO_INCREMENT,
  `VideoWallName` varchar(45) DEFAULT NULL,
  `VideoWallSize` varchar(45) DEFAULT NULL,
  `ProductGlobalAttributs_P1_productglobalattributs_p1ID` int(11) NOT NULL,
  PRIMARY KEY (`videowallconfig_p1ID`,`ProductGlobalAttributs_P1_productglobalattributs_p1ID`),
  KEY `fk_VideoWallConfig_P1_ProductGlobalAttributs_P11_idx` (`ProductGlobalAttributs_P1_productglobalattributs_p1ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `videowallconfig_p3` (
  `videowallconfig_p3ID` int(11) NOT NULL AUTO_INCREMENT,
  `VideoWallName` varchar(45) DEFAULT NULL,
  `VideoWallSize` varchar(45) DEFAULT NULL,
  `ProductGlobalAttributs_P3_productglobalattributs_p3ID` int(11) NOT NULL,
  PRIMARY KEY (`videowallconfig_p3ID`,`ProductGlobalAttributs_P3_productglobalattributs_p3ID`),
  KEY `fk_VideoWallConfig_P3_ProductGlobalAttributs_P31_idx` (`ProductGlobalAttributs_P3_productglobalattributs_p3ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

CREATE TABLE `vwrxsettings_p1` (
  `vwrxsettings_p1ID` int(11) NOT NULL AUTO_INCREMENT,
  `macRx` varchar(45) DEFAULT NULL,
  `macTx` varchar(45) DEFAULT NULL,
  `isVideoWallMode` tinyint(1) DEFAULT NULL,
  `vwGlobalSize` varchar(25) DEFAULT NULL,
  `xGlobalCoordonate` smallint(6) DEFAULT NULL,
  `yGlobalCoordonate` smallint(6) DEFAULT NULL,
  `vwSizeX` smallint(6) DEFAULT NULL,
  `vwSizeY` smallint(6) DEFAULT NULL,
  `xCoordonate` smallint(6) DEFAULT NULL,
  `yCoordonate` smallint(6) DEFAULT NULL,
  `bezelTop` float DEFAULT NULL,
  `bezelBottom` float DEFAULT NULL,
  `bezelLeft` float DEFAULT NULL,
  `bezelRight` float DEFAULT NULL,
  `screenWidth` float DEFAULT NULL,
  `screenHeight` float DEFAULT NULL,
  `regStartAddr` varchar(10) DEFAULT '',
  `regSrcSizeH` varchar(10) DEFAULT '',
  `regSrcSizeV` varchar(10) DEFAULT '',
  `regRatioH` varchar(10) DEFAULT '',
  `regRatioV` varchar(10) DEFAULT '',
  `regInitPhaseH` varchar(10) DEFAULT '',
  `regInitPhaseY` varchar(10) DEFAULT '',
  `VideoWallConfig_P1_videowallconfig_p1ID` int(11) NOT NULL,
  `scaleUpH` smallint(6) DEFAULT NULL,
  `scaleDownH` smallint(6) DEFAULT NULL,
  `scaleUpV` smallint(6) DEFAULT NULL,
  `scaleDownV` smallint(6) DEFAULT NULL,
  `shiftUp` smallint(6) DEFAULT NULL,
  `shiftDown` smallint(6) DEFAULT NULL,
  `shiftRight` smallint(6) DEFAULT NULL,
  `shiftLeft` smallint(6) DEFAULT NULL,
  `measureUnit` varchar(25) DEFAULT NULL,
  PRIMARY KEY (`vwrxsettings_p1ID`,`VideoWallConfig_P1_videowallconfig_p1ID`),
  KEY `fk_VWRxSettings_P1_VideoWallConfig_P11_idx` (`VideoWallConfig_P1_videowallconfig_p1ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `vwrxsettings_p3` (
  `vwrxsettings_p3ID` int(11) NOT NULL AUTO_INCREMENT,
  `macRx` varchar(45) DEFAULT NULL,
  `macTx` varchar(45) DEFAULT NULL,
  `isVideoWallMode` tinyint(1) DEFAULT NULL,
  `vwGlobalSize` varchar(45) DEFAULT NULL,
  `xGlobalCoordonate` smallint(6) DEFAULT NULL,
  `yGlobalCoordonate` smallint(6) DEFAULT NULL,
  `vwSizeX` smallint(6) DEFAULT NULL,
  `vwSizeY` smallint(6) DEFAULT NULL,
  `xCoordonate` smallint(6) DEFAULT NULL,
  `yCoordonate` smallint(6) DEFAULT NULL,
  `bezelTop` float DEFAULT NULL,
  `bezelBottom` float DEFAULT NULL,
  `bezelLeft` float DEFAULT NULL,
  `bezelRight` float DEFAULT NULL,
  `screenWidth` float DEFAULT NULL,
  `screenHeight` float DEFAULT NULL,
  `VideoWallConfig_P3_videowallconfig_p3ID` int(11) NOT NULL,
  `scaleUpH` smallint(6) DEFAULT NULL,
  `scaleDownH` smallint(6) DEFAULT NULL,
  `scaleUpV` smallint(6) DEFAULT NULL,
  `scaleDownV` smallint(6) DEFAULT NULL,
  `shiftUp` smallint(6) DEFAULT NULL,
  `shiftDown` smallint(6) DEFAULT NULL,
  `shiftRight` smallint(6) DEFAULT NULL,
  `shiftLeft` smallint(6) DEFAULT NULL,
  `measureUnit` varchar(25) DEFAULT NULL,
  PRIMARY KEY (`vwrxsettings_p3ID`,`VideoWallConfig_P3_videowallconfig_p3ID`),
  KEY `fk_VWRxSettings_P3_VideoWallConfig_P31_idx` (`VideoWallConfig_P3_videowallconfig_p3ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

ALTER TABLE `globalproductlistsaved`
  ADD  CONSTRAINT `fk_GlobalProductListSaved_ProductSupported1` FOREIGN KEY (`ProductSupported_ProductSupportedID`) REFERENCES `productsupported` (`productsupportedID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `macvsport_p1`
  ADD  CONSTRAINT `fk_MacVsPort_P1_ProductGlobalAttributs_P11` FOREIGN KEY (`ProductGlobalAttributs_P1_productglobalattributs_p1ID`) REFERENCES `productglobalattributs_p1` (`productglobalattributs_p1ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `macvsport_p3`
  ADD  CONSTRAINT `fk_MacVsPort_P3_ProductGlobalAttributs_P31` FOREIGN KEY (`ProductGlobalAttributs_P3_productglobalattributs_p3ID`) REFERENCES `productglobalattributs_p3` (`productglobalattributs_p3ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `macvsport_p4`
  ADD  CONSTRAINT `fk_MacVsPort_P4_ProductGlobalAttributs_P41` FOREIGN KEY (`ProductGlobalAttributs_P4_productglobalattributs_p4ID`) REFERENCES `productglobalattributs_p4` (`productglobalattributs_p4ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `presets_p1`
  ADD  CONSTRAINT `fk_Presets_P1_ProductGlobalAttributs_P11` FOREIGN KEY (`ProductGlobalAttributs_P1_productglobalattributs_p1ID`) REFERENCES `productglobalattributs_p1` (`productglobalattributs_p1ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `presets_p2`
  ADD  CONSTRAINT `fk_Presets_P2_ProductGlobalAttributs_P21` FOREIGN KEY (`ProductGlobalAttributs_P2_productglobalattributs_p2ID`) REFERENCES `productglobalattributs_p2` (`productglobalattributs_p2ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `presets_p3`
  ADD  CONSTRAINT `fk_Presets_P3_ProductGlobalAttributs_P31` FOREIGN KEY (`ProductGlobalAttributs_P3_productglobalattributs_p3ID`) REFERENCES `productglobalattributs_p3` (`productglobalattributs_p3ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `presets_p4`
  ADD  CONSTRAINT `fk_Presets_P4_ProductGlobalAttributs_P41` FOREIGN KEY (`ProductGlobalAttributs_P4_productglobalattributs_p4ID`) REFERENCES `productglobalattributs_p4` (`productglobalattributs_p4ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `presetsmatrix_p1`
  ADD  CONSTRAINT `fk_PresetsMatrix_P1_Presets_P11` FOREIGN KEY (`Presets_P1_presets_p1ID`) REFERENCES `presets_p1` (`presets_p1ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `presetsmatrix_p2`
  ADD  CONSTRAINT `fk_PresetsMatrix_P2_Presets_P21` FOREIGN KEY (`Presets_P2_presets_p2ID`) REFERENCES `presets_p2` (`presets_p2ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `presetsmatrix_p3`
  ADD  CONSTRAINT `fk_PresetsMatrix_P3_Presets_P31` FOREIGN KEY (`Presets_P3_presets_p3ID`) REFERENCES `presets_p3` (`presets_p3ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `presetsmatrix_p4`
  ADD  CONSTRAINT `fk_PresetsMatrix_P4_Presets_P41` FOREIGN KEY (`Presets_P4_presets_p4ID`) REFERENCES `presets_p4` (`presets_p4ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `productglobalattributs_p1`
  ADD  CONSTRAINT `fk_ProductGlobalAttributs_P1_GlobalProductListSaved1` FOREIGN KEY (`GlobalProductListSaved_globalproductlistsavedID`) REFERENCES `globalproductlistsaved` (`globalproductlistsavedID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `productglobalattributs_p2`
  ADD  CONSTRAINT `fk_ProductGlobalAttributs_P2_GlobalProductListSaved1` FOREIGN KEY (`GlobalProductListSaved_globalproductlistsavedID`) REFERENCES `globalproductlistsaved` (`globalproductlistsavedID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `productglobalattributs_p3`
  ADD  CONSTRAINT `fk_ProductGlobalAttributs_P3_GlobalProductListSaved1` FOREIGN KEY (`GlobalProductListSaved_globalproductlistsavedID`) REFERENCES `globalproductlistsaved` (`globalproductlistsavedID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `productglobalattributs_p4`
  ADD  CONSTRAINT `fk_ProductGlobalAttributs_P4_GlobalProductListSaved1` FOREIGN KEY (`GlobalProductListSaved_globalproductlistsavedID`) REFERENCES `globalproductlistsaved` (`globalproductlistsavedID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `productioattributslist_p1`
  ADD  CONSTRAINT `fk_ProductIoAttributsList_P1_IoPurpose1` FOREIGN KEY (`IoPurpose_iopurposeID`) REFERENCES `iopurpose` (`iopurposeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD  CONSTRAINT `fk_ProductIoAttributsList_P1_IoType1` FOREIGN KEY (`IoType_iotypeID`) REFERENCES `iotype` (`iotypeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD  CONSTRAINT `fk_ProductIoAttributsList_P1_ProductGlobalAttributs_P11` FOREIGN KEY (`ProductGlobalAttributs_P1_productglobalattributs_p1ID`) REFERENCES `productglobalattributs_p1` (`productglobalattributs_p1ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `productioattributslist_p2`
  ADD  CONSTRAINT `fk_ProductIoAttributsList_P2_IoPurpose1` FOREIGN KEY (`IoPurpose_iopurposeID`) REFERENCES `iopurpose` (`iopurposeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD  CONSTRAINT `fk_ProductIoAttributsList_P2_IoType1` FOREIGN KEY (`IoType_iotypeID`) REFERENCES `iotype` (`iotypeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD  CONSTRAINT `fk_ProductIoAttributsList_P2_ProductGlobalAttributs_P21` FOREIGN KEY (`ProductGlobalAttributs_P2_productglobalattributs_p2ID`) REFERENCES `productglobalattributs_p2` (`productglobalattributs_p2ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `productioattributslist_p3`
  ADD  CONSTRAINT `fk_ProductIoAttributsList_P3_IoPurpose1` FOREIGN KEY (`IoPurpose_iopurposeID`) REFERENCES `iopurpose` (`iopurposeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD  CONSTRAINT `fk_ProductIoAttributsList_P3_IoType1` FOREIGN KEY (`IoType_iotypeID`) REFERENCES `iotype` (`iotypeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD  CONSTRAINT `fk_ProductIoAttributsList_P3_ProductGlobalAttributs_P31` FOREIGN KEY (`ProductGlobalAttributs_P3_productglobalattributs_p3ID`) REFERENCES `productglobalattributs_p3` (`productglobalattributs_p3ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `productiolist`
  ADD  CONSTRAINT `fk_ProductIoList_IoPurpose1` FOREIGN KEY (`IoPurpose_iopurposeID`) REFERENCES `iopurpose` (`iopurposeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD  CONSTRAINT `fk_ProductIoList_IoType1` FOREIGN KEY (`IoType_iotypeID`) REFERENCES `iotype` (`iotypeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD  CONSTRAINT `fk_ProductIoList_ProductSupported1` FOREIGN KEY (`ProductSupported_productsupportedID`) REFERENCES `productsupported` (`productsupportedID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `productioattributslist_p4`
  ADD  CONSTRAINT `fk_ProductIoAttributsList_P4_IoPurpose1` FOREIGN KEY (`IoPurpose_iopurposeID`) REFERENCES `iopurpose` (`iopurposeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD  CONSTRAINT `fk_ProductIoAttributsList_P4_IoType1` FOREIGN KEY (`IoType_iotypeID`) REFERENCES `iotype` (`iotypeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD  CONSTRAINT `fk_ProductIoAttributsList_P4_ProductGlobalAttributs_P41` FOREIGN KEY (`ProductGlobalAttributs_P4_productglobalattributs_p4ID`) REFERENCES `productglobalattributs_p4` (`productglobalattributs_p4ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `productsupported`
  ADD  CONSTRAINT `fk_ProductSupported_ProductCategory1` FOREIGN KEY (`ProductCategory_productcategoryID`) REFERENCES `productcategory` (`productcategoryID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `user`
  ADD  CONSTRAINT `fk_User_UserRight` FOREIGN KEY (`UserRight_UserRightID`) REFERENCES `userright` (`userrightID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `videowallconfig_p1`
  ADD  CONSTRAINT `fk_VideoWallConfig_P1_ProductGlobalAttributs_P11` FOREIGN KEY (`ProductGlobalAttributs_P1_productglobalattributs_p1ID`) REFERENCES `productglobalattributs_p1` (`productglobalattributs_p1ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `videowallconfig_p3`
  ADD  CONSTRAINT `fk_VideoWallConfig_P3_ProductGlobalAttributs_P31` FOREIGN KEY (`ProductGlobalAttributs_P3_productglobalattributs_p3ID`) REFERENCES `productglobalattributs_p3` (`productglobalattributs_p3ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `vwrxsettings_p1`
  ADD  CONSTRAINT `fk_VWRxSettings_P1_VideoWallConfig_P11` FOREIGN KEY (`VideoWallConfig_P1_videowallconfig_p1ID`) REFERENCES `videowallconfig_p1` (`videowallconfig_p1ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `vwrxsettings_p3`
  ADD  CONSTRAINT `fk_VWRxSettings_P3_VideoWallConfig_P31` FOREIGN KEY (`VideoWallConfig_P3_videowallconfig_p3ID`) REFERENCES `videowallconfig_p3` (`videowallconfig_p3ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;
  
