USE `muxlabnetworkcontroller_dev_db`;

CREATE TABLE `macvsport_p8` (
  `macvsport_p8ID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `Mac` varchar(45) DEFAULT NULL,
  `Port` varchar(45) DEFAULT NULL,
  `PurposeID` int(10) unsigned NOT NULL,
  `ProductGlobalAttributs_P8_productglobalattributs_p8ID` int(11) NOT NULL,
  PRIMARY KEY (`macvsport_p8ID`,`ProductGlobalAttributs_P8_productglobalattributs_p8ID`),
  KEY `fk_MacVsPort_P8_ProductGlobalAttributs_P81_idx` (`ProductGlobalAttributs_P8_productglobalattributs_p8ID`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=latin1;

CREATE TABLE `multicastipused_p8` (
  `multicastipused_p8ID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `MulticastIp` varchar(25) DEFAULT NULL,
  PRIMARY KEY (`multicastipused_p8ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `rtsphttpportused_p8` (
  `rtsphttpportused_p8ID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `PortNumber` varchar(25) DEFAULT NULL,
  PRIMARY KEY (`rtsphttpportused_p8ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `presets_p8` (
  `presets_p8ID` int(11) NOT NULL AUTO_INCREMENT,
  `PresetsName` varchar(45) DEFAULT NULL,
  `PresetsType` varchar(45) DEFAULT NULL,
  `ProductGlobalAttributs_P8_productglobalattributs_p8ID` int(11) NOT NULL,
  PRIMARY KEY (`presets_p8ID`,`ProductGlobalAttributs_P8_productglobalattributs_p8ID`),
  KEY `fk_Presets_P8_ProductGlobalAttributs_P81_idx` (`ProductGlobalAttributs_P8_productglobalattributs_p8ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

CREATE TABLE `presetsmatrix_p8` (
  `presetsmatrix_p8ID` int(11) NOT NULL AUTO_INCREMENT,
  `macRx` varchar(45) DEFAULT NULL,
  `macTx` varchar(45) DEFAULT NULL,
  `videoProtocol` varchar(25) DEFAULT 'AUTO',
  `Presets_P8_presets_p8ID` int(11) NOT NULL,
  PRIMARY KEY (`presetsmatrix_p8ID`,`Presets_P8_presets_p8ID`),
  KEY `fk_PresetsMatrix_P8_Presets_P81_idx` (`Presets_P8_presets_p8ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

CREATE TABLE `productglobalattributs_p8` (
  `productglobalattributs_p8ID` int(11) NOT NULL AUTO_INCREMENT,
  `GlobalProductListSaved_globalproductlistsavedID` int(11) NOT NULL,
  `AppSettings_isAutoConfig` tinyint(1) DEFAULT NULL,
  `TxGroupIpUsed` varchar(1000) DEFAULT '',
  `ActivePresetId` int(11) DEFAULT '1',
  `VirtualMacUsed` varchar(1000) DEFAULT NULL,
  PRIMARY KEY (`productglobalattributs_p8ID`,`GlobalProductListSaved_globalproductlistsavedID`),
  KEY `fk_ProductGlobalAttributs_P8_GlobalProductListSaved1_idx` (`GlobalProductListSaved_globalproductlistsavedID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `productioattributslist_p8` (
  `productioattributslist_p8` int(11) NOT NULL AUTO_INCREMENT,
  `ProductIoAttrCustomName` varchar(75) DEFAULT NULL,
  `ProductIoAttrName` varchar(75) DEFAULT NULL,
  `ProductIoAttrUserName` varchar(45) DEFAULT NULL,
  `ProductIoAttrPassword` varchar(45) DEFAULT NULL,
  `ProductIoAttrModel` varchar(45) DEFAULT NULL,
  `ProductIoAttrFwVersion` varchar(10) DEFAULT NULL,
  `ProductIoAttrMac` varchar(21) DEFAULT NULL,
  `ProductIoAttrPortId` varchar(45) DEFAULT NULL,
  `ProductIoAttrIp` varchar(15) DEFAULT NULL,
  `ProductIoAttrMask` varchar(15) DEFAULT NULL,
  `ProductIoAttrGateway` varchar(15) DEFAULT NULL,
  `ProductIoAttrIsDhcp` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsDipSwitchEnabled` tinyint(1) DEFAULT NULL,
  `ProductIoAttrUartBaudRate` varchar(15) DEFAULT 'NA',
  `ProductIoAttrRs232Parity` varchar(10) DEFAULT 'NONE',
  `ProductIoAttrIsRs232FeedbackOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrRs232FeedbackIP` varchar(15) DEFAULT NULL,
  `ProductIoAttrIsIrOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsIrMode` varchar(15) DEFAULT NULL,
  `ProductIoAttrIrFeedbackIP` varchar(15) DEFAULT NULL,
  `ProductIoAttrRs232Databits` varchar(2) DEFAULT '8',
  `ProductIoAttrRS232Stopbits` varchar(2) DEFAULT '1',
  `ProductIoAttrAudioIn` varchar(15) DEFAULT NULL,
  `ProductGlobalAttributs_P8_productglobalattributs_p8ID` int(11) NOT NULL,
  `IoType_iotypeID` int(11) NOT NULL,
  `IoPurpose_iopurposeID` int(11) NOT NULL,
  `isRemoteDevice` tinyint(1) DEFAULT NULL,
  `cpu` varchar(10) DEFAULT NULL,
  `memory` varchar(25) DEFAULT NULL,
  `DestIp` varchar(15) DEFAULT NULL,
  `VideoMacLocal` varchar(21) DEFAULT NULL,
  `VideoMacDest` varchar(21) DEFAULT NULL,
  `VideoIpLocal` varchar(15) DEFAULT NULL,
  `VideoIpDest` varchar(15) DEFAULT NULL,
  `VideoPortLocal` varchar(11) DEFAULT NULL,
  `VideoPortDest` varchar(11) DEFAULT NULL,
  `PublicIp` varchar(15) DEFAULT NULL,
  `isMCAST` tinyint(1) DEFAULT NULL,
  `MCASTip` varchar(15) DEFAULT NULL,
  `MCASTport` varchar(11) DEFAULT NULL,
  `ConnectedMac` varchar(21) DEFAULT '00-00-00-00-00-00',
  `IsConnect` tinyint(1) DEFAULT NULL,
  `fwUpdate` varchar(10) DEFAULT NULL,
  `AqrTemp` varchar(10) DEFAULT NULL,
  `FPGATemp` float DEFAULT NULL,
  `OprMargin_A` float DEFAULT NULL,
  `OprMargin_B` float DEFAULT NULL,
  `OprMargin_C` float DEFAULT NULL,
  `OprMargin_D` float DEFAULT NULL,
  `minOprMargin_A` float DEFAULT NULL,
  `minOprMargin_B` float DEFAULT NULL,
  `minOprMargin_C` float DEFAULT NULL,
  `minOprMargin_D` float DEFAULT NULL,
  `VideoRes` varchar(10) DEFAULT NULL,
  `isRawMode` tinyint(1) DEFAULT NULL,
  `X_FrontPorch` varchar(10) DEFAULT NULL,
  `X_PulseCount` varchar(10) DEFAULT NULL,
  `X_BackPorch` varchar(10) DEFAULT NULL,
  `Y_FrontPorch` varchar(10) DEFAULT NULL,
  `Y_PulseCount` varchar(10) DEFAULT NULL,
  `Y_BackPorch` varchar(10) DEFAULT NULL,
  `ColosSpace` varchar(10) DEFAULT NULL,
  `ColorDepth` varchar(10) DEFAULT NULL,
  `UpdateStatus` varchar(10) DEFAULT NULL,
  PRIMARY KEY (`productioattributslist_p8`,`ProductGlobalAttributs_P8_productglobalattributs_p8ID`),
  KEY `fk_ProductIoAttributsList_P8_IoType8_idx` (`IoType_iotypeID`),
  KEY `fk_ProductIoAttributsList_P8_IoPurpose8_idx` (`IoPurpose_iopurposeID`),
  KEY `fk_ProductIoAttributsList_P8_ProductGlobalAttributs_P8_idx` (`ProductGlobalAttributs_P8_productglobalattributs_p8ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

INSERT INTO `productsupported` VALUES ('8','500768','Hdmi Over 10G IP','Muxlab','P_muxlab_500768','IP','IP','2',NULL,NULL,NULL,NULL,NULL,NULL,NULL);

ALTER TABLE `macvsport_p8`
  ADD  CONSTRAINT `fk_MacVsPort_P8_ProductGlobalAttributs_P81` FOREIGN KEY (`ProductGlobalAttributs_P8_productglobalattributs_p8ID`) REFERENCES `productglobalattributs_p8` (`productglobalattributs_p8ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `presets_p8`
  ADD  CONSTRAINT `fk_Presets_P8_ProductGlobalAttributs_P81` FOREIGN KEY (`ProductGlobalAttributs_P8_productglobalattributs_p8ID`) REFERENCES `productglobalattributs_p8` (`productglobalattributs_p8ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `presetsmatrix_p8`
  ADD  CONSTRAINT `fk_PresetsMatrix_P8_Presets_P81` FOREIGN KEY (`Presets_P8_presets_p8ID`) REFERENCES `presets_p8` (`presets_p8ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `productglobalattributs_p8`
  ADD  CONSTRAINT `fk_ProductGlobalAttributs_P8_GlobalProductListSaved1` FOREIGN KEY (`GlobalProductListSaved_globalproductlistsavedID`) REFERENCES `globalproductlistsaved` (`globalproductlistsavedID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `productioattributslist_p8`
  ADD  CONSTRAINT `fk_ProductIoAttributsList_P8_IoPurpose8` FOREIGN KEY (`IoPurpose_iopurposeID`) REFERENCES `iopurpose` (`iopurposeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD  CONSTRAINT `fk_ProductIoAttributsList_P8_IoType8` FOREIGN KEY (`IoType_iotypeID`) REFERENCES `iotype` (`iotypeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD  CONSTRAINT `fk_ProductIoAttributsList_P8_ProductGlobalAttributs_P8` FOREIGN KEY (`ProductGlobalAttributs_P8_productglobalattributs_p8ID`) REFERENCES `productglobalattributs_p8` (`productglobalattributs_p8ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;


ALTER TABLE `muxlabnetworkcontroller_dev_db`.`productsupported` 
ADD `ProductCodeWestPenn` VARCHAR(45) CHARACTER SET latin1 COLLATE latin1_swedish_ci NULL DEFAULT NULL AFTER `ProductCode`;

UPDATE `muxlabnetworkcontroller_dev_db`.`productsupported`
SET `ProductCodeWestPenn` = 'AV-IP-AMP'
WHERE `productsupportedID` = 1;

UPDATE `muxlabnetworkcontroller_dev_db`.`productsupported`
SET `ProductCodeWestPenn` = 'AV-IP-C8-WH'
WHERE `productsupportedID` = 6;

ALTER TABLE `muxlabnetworkcontroller_dev_db`.`productsupported` 
ADD `ProductNameWestPenn` VARCHAR(45) CHARACTER SET latin1 COLLATE latin1_swedish_ci NULL DEFAULT NULL AFTER `ProductName`;

UPDATE `muxlabnetworkcontroller_dev_db`.`productsupported`
SET `ProductNameWestPenn` = 'HDMI over IP'
WHERE `productsupportedID` = 1;

UPDATE `muxlabnetworkcontroller_dev_db`.`productsupported`
SET `ProductNameWestPenn` = '8 Button IP Controller'
WHERE `productsupportedID` = 6;

UPDATE `muxlabnetworkcontroller_dev_db`.`productsupported`
SET `ProductName` = 'HDMI over IP'
WHERE `productsupportedID` = 1;

UPDATE `muxlabnetworkcontroller_dev_db`.`productsupported`
SET `ProductName` = 'HDMI over IP 4K'
WHERE `productsupportedID` = 3;

UPDATE `muxlabnetworkcontroller_dev_db`.`productsupported`
SET `ProductName` = 'HDMI over IP H264'
WHERE `productsupportedID` = 4;

UPDATE `muxlabnetworkcontroller_dev_db`.`productsupported`
SET `ProductName` = 'HDMI over IP H264/H265'
WHERE `productsupportedID` = 5;
