USE `muxlabnetworkcontroller_dev_db`;

UPDATE productsupported SET `ProductCode` = '500758/759/770/771/773' WHERE `productsupportedID` = 3;

DROP PROCEDURE IF EXISTS `check_ProductNameWestPenn`;
-- DELIMITER $$
CREATE PROCEDURE `check_ProductNameWestPenn`()
BEGIN
IF NOT EXISTS( SELECT NULL
            FROM INFORMATION_SCHEMA.COLUMNS
            WHERE table_name = 'productsupported'
            AND table_schema = 'muxlabnetworkcontroller_dev_db'
            AND column_name = 'ProductNameWestPenn')  THEN
  ALTER TABLE `productsupported` ADD `ProductNameWestPenn` VARCHAR(45) CHARACTER SET latin1 COLLATE latin1_swedish_ci NULL DEFAULT NULL AFTER `ProductName`; /* dumb */ 
END IF; /* dumb */ 
END -- dumb ;
-- END $$
-- DELIMITER ;
CALL `check_ProductNameWestPenn`();
DROP PROCEDURE `check_ProductNameWestPenn`;

DROP PROCEDURE IF EXISTS `check_Product_p8`;
-- DELIMITER $$
CREATE PROCEDURE `check_Product_p8`()
BEGIN
IF NOT EXISTS( SELECT NULL
            FROM INFORMATION_SCHEMA.TABLES
            WHERE table_name = 'macvsport_p8' 
			AND table_schema = 'muxlabnetworkcontroller_dev_db')  THEN
			
CREATE TABLE `macvsport_p8` (
  `macvsport_p8ID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `Mac` varchar(45) DEFAULT NULL,
  `Port` varchar(45) DEFAULT NULL,
  `PurposeID` int(10) unsigned NOT NULL,
  `ProductGlobalAttributs_P8_productglobalattributs_p8ID` int(11) NOT NULL,
  PRIMARY KEY (`macvsport_p8ID`,`ProductGlobalAttributs_P8_productglobalattributs_p8ID`),
  KEY `fk_MacVsPort_P8_ProductGlobalAttributs_P81_idx` (`ProductGlobalAttributs_P8_productglobalattributs_p8ID`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=latin1;  /* dumb */ 

CREATE TABLE `multicastipused_p8` (
  `multicastipused_p8ID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `MulticastIp` varchar(25) DEFAULT NULL,
  PRIMARY KEY (`multicastipused_p8ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1; /* dumb */ 

CREATE TABLE `rtsphttpportused_p8` (
  `rtsphttpportused_p8ID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `PortNumber` varchar(25) DEFAULT NULL,
  PRIMARY KEY (`rtsphttpportused_p8ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1; /* dumb */ 

CREATE TABLE `presets_p8` (
  `presets_p8ID` int(11) NOT NULL AUTO_INCREMENT,
  `PresetsName` varchar(45) DEFAULT NULL,
  `PresetsType` varchar(45) DEFAULT NULL,
  `ProductGlobalAttributs_P8_productglobalattributs_p8ID` int(11) NOT NULL,
  PRIMARY KEY (`presets_p8ID`,`ProductGlobalAttributs_P8_productglobalattributs_p8ID`),
  KEY `fk_Presets_P8_ProductGlobalAttributs_P81_idx` (`ProductGlobalAttributs_P8_productglobalattributs_p8ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1; /* dumb */ 

CREATE TABLE `presetsmatrix_p8` (
  `presetsmatrix_p8ID` int(11) NOT NULL AUTO_INCREMENT,
  `macRx` varchar(45) DEFAULT NULL,
  `macTx` varchar(45) DEFAULT NULL,
  `videoProtocol` varchar(25) DEFAULT 'AUTO',
  `Presets_P8_presets_p8ID` int(11) NOT NULL,
  PRIMARY KEY (`presetsmatrix_p8ID`,`Presets_P8_presets_p8ID`),
  KEY `fk_PresetsMatrix_P8_Presets_P81_idx` (`Presets_P8_presets_p8ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1; /* dumb */ 

CREATE TABLE `productglobalattributs_p8` (
  `productglobalattributs_p8ID` int(11) NOT NULL AUTO_INCREMENT,
  `GlobalProductListSaved_globalproductlistsavedID` int(11) NOT NULL,
  `AppSettings_isAutoConfig` tinyint(1) DEFAULT NULL,
  `TxGroupIpUsed` varchar(1000) DEFAULT '',
  `ActivePresetId` int(11) DEFAULT '1',
  `VirtualMacUsed` varchar(1000) DEFAULT NULL,
  PRIMARY KEY (`productglobalattributs_p8ID`,`GlobalProductListSaved_globalproductlistsavedID`),
  KEY `fk_ProductGlobalAttributs_P8_GlobalProductListSaved1_idx` (`GlobalProductListSaved_globalproductlistsavedID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1; /* dumb */ 

CREATE TABLE `productioattributslist_p8` (
  `productioattributslist_p8` int(11) NOT NULL AUTO_INCREMENT,
  `ProductIoAttrCustomName` varchar(75) DEFAULT NULL,
  `ProductIoAttrName` varchar(75) DEFAULT NULL,
  `ProductIoAttrUserName` varchar(45) DEFAULT NULL,
  `ProductIoAttrPassword` varchar(45) DEFAULT NULL,
  `ProductIoAttrModel` varchar(45) DEFAULT NULL,
  `ProductIoAttrFwVersion` varchar(10) DEFAULT NULL,
  `ProductIoAttrMac` varchar(21) DEFAULT NULL,
  `ProductIoAttrPortId` varchar(45) DEFAULT NULL,
  `ProductIoAttrIp` varchar(15) DEFAULT NULL,
  `ProductIoAttrMask` varchar(15) DEFAULT NULL,
  `ProductIoAttrGateway` varchar(15) DEFAULT NULL,
  `ProductIoAttrIsDhcp` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsDipSwitchEnabled` tinyint(1) DEFAULT NULL,
  `ProductIoAttrUartBaudRate` varchar(15) DEFAULT 'NA',
  `ProductIoAttrRs232Parity` varchar(10) DEFAULT 'NONE',
  `ProductIoAttrIsRs232FeedbackOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrRs232FeedbackIP` varchar(15) DEFAULT NULL,
  `ProductIoAttrIsIrOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsIrMode` varchar(15) DEFAULT NULL,
  `ProductIoAttrIrFeedbackIP` varchar(15) DEFAULT NULL,
  `ProductIoAttrRs232Databits` varchar(2) DEFAULT '8',
  `ProductIoAttrRS232Stopbits` varchar(2) DEFAULT '1',
  `ProductIoAttrAudioIn` varchar(15) DEFAULT NULL,
  `ProductGlobalAttributs_P8_productglobalattributs_p8ID` int(11) NOT NULL,
  `IoType_iotypeID` int(11) NOT NULL,
  `IoPurpose_iopurposeID` int(11) NOT NULL,
  `isRemoteDevice` tinyint(1) DEFAULT NULL,
  `cpu` varchar(10) DEFAULT NULL,
  `memory` varchar(25) DEFAULT NULL,
  `DestIp` varchar(15) DEFAULT NULL,
  `VideoMacLocal` varchar(21) DEFAULT NULL,
  `VideoMacDest` varchar(21) DEFAULT NULL,
  `VideoIpLocal` varchar(15) DEFAULT NULL,
  `VideoIpDest` varchar(15) DEFAULT NULL,
  `VideoPortLocal` varchar(11) DEFAULT NULL,
  `VideoPortDest` varchar(11) DEFAULT NULL,
  `PublicIp` varchar(15) DEFAULT NULL,
  `isMCAST` tinyint(1) DEFAULT NULL,
  `MCASTip` varchar(15) DEFAULT NULL,
  `MCASTport` varchar(11) DEFAULT NULL,
  `ConnectedMac` varchar(21) DEFAULT '00-00-00-00-00-00',
  `IsConnect` tinyint(1) DEFAULT NULL,
  `fwUpdate` varchar(10) DEFAULT NULL,
  `AqrTemp` varchar(10) DEFAULT NULL,
  `FPGATemp` float DEFAULT NULL,
  `OprMargin_A` float DEFAULT NULL,
  `OprMargin_B` float DEFAULT NULL,
  `OprMargin_C` float DEFAULT NULL,
  `OprMargin_D` float DEFAULT NULL,
  `minOprMargin_A` float DEFAULT NULL,
  `minOprMargin_B` float DEFAULT NULL,
  `minOprMargin_C` float DEFAULT NULL,
  `minOprMargin_D` float DEFAULT NULL,
  `VideoRes` varchar(10) DEFAULT NULL,
  `isRawMode` tinyint(1) DEFAULT NULL,
  `X_FrontPorch` varchar(10) DEFAULT NULL,
  `X_PulseCount` varchar(10) DEFAULT NULL,
  `X_BackPorch` varchar(10) DEFAULT NULL,
  `Y_FrontPorch` varchar(10) DEFAULT NULL,
  `Y_PulseCount` varchar(10) DEFAULT NULL,
  `Y_BackPorch` varchar(10) DEFAULT NULL,
  `ColosSpace` varchar(10) DEFAULT NULL,
  `ColorDepth` varchar(10) DEFAULT NULL,
  PRIMARY KEY (`productioattributslist_p8`,`ProductGlobalAttributs_P8_productglobalattributs_p8ID`),
  KEY `fk_ProductIoAttributsList_P8_IoType8_idx` (`IoType_iotypeID`),
  KEY `fk_ProductIoAttributsList_P8_IoPurpose8_idx` (`IoPurpose_iopurposeID`),
  KEY `fk_ProductIoAttributsList_P8_ProductGlobalAttributs_P8_idx` (`ProductGlobalAttributs_P8_productglobalattributs_p8ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1; /* dumb */ 

INSERT INTO `productsupported` VALUES ('8','500768','','Hdmi Over 10G IP','','Muxlab','P_muxlab_500768','IP','IP','2',NULL,NULL,NULL,NULL,NULL,NULL,NULL); /* dumb */ 

ALTER TABLE `macvsport_p8`
  ADD  CONSTRAINT `fk_MacVsPort_P8_ProductGlobalAttributs_P81` FOREIGN KEY (`ProductGlobalAttributs_P8_productglobalattributs_p8ID`) REFERENCES `productglobalattributs_p8` (`productglobalattributs_p8ID`) ON DELETE NO ACTION ON UPDATE NO ACTION; /* dumb */ 

ALTER TABLE `presets_p8`
  ADD  CONSTRAINT `fk_Presets_P8_ProductGlobalAttributs_P81` FOREIGN KEY (`ProductGlobalAttributs_P8_productglobalattributs_p8ID`) REFERENCES `productglobalattributs_p8` (`productglobalattributs_p8ID`) ON DELETE NO ACTION ON UPDATE NO ACTION; /* dumb */ 

ALTER TABLE `presetsmatrix_p8`
  ADD  CONSTRAINT `fk_PresetsMatrix_P8_Presets_P81` FOREIGN KEY (`Presets_P8_presets_p8ID`) REFERENCES `presets_p8` (`presets_p8ID`) ON DELETE NO ACTION ON UPDATE NO ACTION; /* dumb */ 

ALTER TABLE `productglobalattributs_p8`
  ADD  CONSTRAINT `fk_ProductGlobalAttributs_P8_GlobalProductListSaved1` FOREIGN KEY (`GlobalProductListSaved_globalproductlistsavedID`) REFERENCES `globalproductlistsaved` (`globalproductlistsavedID`) ON DELETE NO ACTION ON UPDATE NO ACTION; /* dumb */ 

ALTER TABLE `productioattributslist_p8`
  ADD  CONSTRAINT `fk_ProductIoAttributsList_P8_IoPurpose8` FOREIGN KEY (`IoPurpose_iopurposeID`) REFERENCES `iopurpose` (`iopurposeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD  CONSTRAINT `fk_ProductIoAttributsList_P8_IoType8` FOREIGN KEY (`IoType_iotypeID`) REFERENCES `iotype` (`iotypeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD  CONSTRAINT `fk_ProductIoAttributsList_P8_ProductGlobalAttributs_P8` FOREIGN KEY (`ProductGlobalAttributs_P8_productglobalattributs_p8ID`) REFERENCES `productglobalattributs_p8` (`productglobalattributs_p8ID`) ON DELETE NO ACTION ON UPDATE NO ACTION; /* dumb */ 
END IF; /* dumb */ 
END -- dumb ;
-- END $$
-- DELIMITER ;
CALL `check_Product_p8`();
DROP PROCEDURE `check_Product_p8`;

INSERT INTO `productsupported` VALUES ('7','500760/761','','AV Over IP 4K/60','Muxlab','Muxlab','P_muxlab_500760','IP','IP','2',NULL,NULL,NULL,NULL,NULL,NULL,NULL);

CREATE TABLE `macvsport_p7` (
  `macvsport_p7ID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `Mac` varchar(45) DEFAULT NULL,
  `Port` varchar(45) DEFAULT NULL,
  `PurposeID` int(10) unsigned NOT NULL,
  `ProductGlobalAttributs_P7_productglobalattributs_p7ID` int(11) NOT NULL,
  PRIMARY KEY (`macvsport_p7ID`,`ProductGlobalAttributs_P7_productglobalattributs_p7ID`),
  KEY `fk_MacVsPort_P7_ProductGlobalAttributs_P71_idx` (`ProductGlobalAttributs_P7_productglobalattributs_p7ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `presets_p7` (
  `presets_p7ID` int(11) NOT NULL AUTO_INCREMENT,
  `PresetsName` varchar(45) DEFAULT NULL,
  `PresetsType` varchar(45) DEFAULT NULL,
  `ProductGlobalAttributs_P7_productglobalattributs_p7ID` int(11) NOT NULL,
  PRIMARY KEY (`presets_p7ID`,`ProductGlobalAttributs_P7_productglobalattributs_p7ID`),
  KEY `fk_Presets_P7_ProductGlobalAttributs_P71_idx` (`ProductGlobalAttributs_P7_productglobalattributs_p7ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `presetsmatrix_p7` (
  `presetsmatrix_p7ID` int(11) NOT NULL AUTO_INCREMENT,
  `macRx` varchar(45) DEFAULT NULL,
  `macTx` varchar(45) DEFAULT NULL,
  `Presets_P7_presets_p7ID` int(11) NOT NULL,
  PRIMARY KEY (`presetsmatrix_p7ID`,`Presets_P7_presets_p7ID`),
  KEY `fk_PresetsMatrix_P7_Presets_P71_idx` (`Presets_P7_presets_p7ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `productglobalattributs_p7` (
  `productglobalattributs_p7ID` int(11) NOT NULL AUTO_INCREMENT,
  `GlobalProductListSaved_globalproductlistsavedID` int(11) NOT NULL,
  `AppSettings_isAutoConfig` tinyint(1) DEFAULT NULL,
  `TxGroupIpUsed` varchar(1000) DEFAULT '',
  `ActivePresetId` int(11) DEFAULT '1',
  PRIMARY KEY (`productglobalattributs_p7ID`,`GlobalProductListSaved_globalproductlistsavedID`),
  KEY `fk_ProductGlobalAttributs_P7_GlobalProductListSaved1_idx` (`GlobalProductListSaved_globalproductlistsavedID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `productioattributslist_p7` (
  `productioattributslist_p7` int(11) NOT NULL AUTO_INCREMENT,
  `ProductIoAttrCustomName` varchar(75) DEFAULT NULL,
  `ProductIoAttrName` varchar(75) DEFAULT NULL,
  `ProductIoAttrModel` varchar(45) DEFAULT NULL,
  `ProductIoAttrIp` varchar(15) DEFAULT NULL,
  `ProductIoAttrMask` varchar(15) DEFAULT NULL,
  `ProductIoAttrIsDhcp` tinyint(1) DEFAULT NULL,
  `ProductDeviceId` varchar(75) DEFAULT NULL,
  `ProductGroupIp` varchar(18) DEFAULT NULL,
  `ProductIoAttrMac` varchar(21) DEFAULT NULL,
  `ProductIoAttrAudioFormat` varchar(45) DEFAULT NULL,
  `ProductIoAttrIsDipSwitchEnabled` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsHdcpOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsIrOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsVideoDetected` tinyint(1) DEFAULT NULL,
  `ProductIoAttrBitRateSD` varchar(15) DEFAULT NULL,
  `ProductIoAttrBitRateHD` varchar(15) DEFAULT NULL,
  `ProductIoAttrBitRateFHD` varchar(15) DEFAULT NULL,
  `ProductIoAttrVideoResolution` varchar(25) DEFAULT NULL,
  `ProductIoAttrIsDisplayConnected` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsScreenImageOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsScreenTextOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrConnectedMac` varchar(21) DEFAULT '00-00-00-00-00-00',
  `ProductGlobalAttributs_P7_productglobalattributs_p7ID` int(11) NOT NULL,
  `IoType_iotypeID` int(11) NOT NULL,
  `IoPurpose_iopurposeID` int(11) NOT NULL,
  `ProductIoAttrPortId` varchar(45) DEFAULT NULL,
  `ProductIoAttrConnectedProductId` int(11) DEFAULT NULL,
  `ProductIoAttrFwVersion` varchar(35) DEFAULT NULL,
  `ProductIoAttrFwSecondVersion` varchar(35) DEFAULT NULL,
  `ProductIoAttrIsAutoResolutionOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrUartBaudRate` varchar(15) DEFAULT 'NA',
  `ProductIoAttrIsAutoCompressionOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsIrMode` varchar(15) DEFAULT NULL,
  `ProductIoAttrRs232FeedbackIP` varchar(15) DEFAULT NULL,
  `ProductIoAttrIsRs232FeedbackOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsDviCompOn` tinyint(1) DEFAULT '0',
  `ProductIoAttrGateway` varchar(15) DEFAULT NULL,
  `ProductIoAttrHdcpFormat` varchar(25) DEFAULT NULL,
  `ProductHdmi0VideoState` varchar(25) DEFAULT NULL,
  `ProductHdmi0AudioState` varchar(25) DEFAULT NULL,
  PRIMARY KEY (`productioattributslist_p7`,`ProductGlobalAttributs_P7_productglobalattributs_p7ID`),
  KEY `fk_ProductIoAttributsList_P7_IoPurpose1_idx` (`IoPurpose_iopurposeID`),
  KEY `fk_ProductIoAttributsList_P7_IoType1_idx` (`IoType_iotypeID`),
  KEY `fk_ProductIoAttributsList_P7_ProductGlobalAttributs_P71_idx` (`ProductGlobalAttributs_P7_productglobalattributs_p7ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

ALTER TABLE `macvsport_p7`
  ADD  CONSTRAINT `fk_MacVsPort_P7_ProductGlobalAttributs_P71` FOREIGN KEY (`ProductGlobalAttributs_P7_productglobalattributs_p7ID`) REFERENCES `productglobalattributs_p7` (`productglobalattributs_p7ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `presets_p7`
  ADD  CONSTRAINT `fk_Presets_P7_ProductGlobalAttributs_P71` FOREIGN KEY (`ProductGlobalAttributs_P7_productglobalattributs_p7ID`) REFERENCES `productglobalattributs_p7` (`productglobalattributs_p7ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `presetsmatrix_p7`
  ADD  CONSTRAINT `fk_PresetsMatrix_P7_Presets_P71` FOREIGN KEY (`Presets_P7_presets_p7ID`) REFERENCES `presets_p7` (`presets_p7ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `productglobalattributs_p7`
  ADD  CONSTRAINT `fk_ProductGlobalAttributs_P7_GlobalProductListSaved1` FOREIGN KEY (`GlobalProductListSaved_globalproductlistsavedID`) REFERENCES `globalproductlistsaved` (`globalproductlistsavedID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `productioattributslist_p7`
  ADD  CONSTRAINT `fk_ProductIoAttributsList_P7_IoPurpose1` FOREIGN KEY (`IoPurpose_iopurposeID`) REFERENCES `iopurpose` (`iopurposeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD  CONSTRAINT `fk_ProductIoAttributsList_P7_IoType1` FOREIGN KEY (`IoType_iotypeID`) REFERENCES `iotype` (`iotypeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD  CONSTRAINT `fk_ProductIoAttributsList_P7_ProductGlobalAttributs_P71` FOREIGN KEY (`ProductGlobalAttributs_P7_productglobalattributs_p7ID`) REFERENCES `productglobalattributs_p7` (`productglobalattributs_p7ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

UPDATE `productsupported`
  SET `ProductCodeWestPenn` = 'AV-IP-AMP'
  WHERE `productsupportedID` = 1;

UPDATE `productsupported`
  SET `ProductCodeWestPenn` = 'AV-IP-C8-WH'
  WHERE `productsupportedID` = 6;

UPDATE `productsupported`
  SET `ProductCodeWestPenn` = 'AV-IP-WP772/AV-IP-RX776'
  WHERE `productsupportedID` = 3;

UPDATE `productsupported`
  SET `ProductNameWestPenn` = 'Audio AMP IP'
  WHERE `productsupportedID` = 1;

UPDATE `productsupported`
  SET `ProductNameWestPenn` = '8 Button IP Controller'
  WHERE `productsupportedID` = 6;

UPDATE `productsupported`
  SET `ProductNameWestPenn` = 'HDMI/(VGA)/USB IP'
  WHERE `productsupportedID` = 3;
 
UPDATE `productsupported` 
  SET `ProductCode` = '500758/759/770/771/773/777' 
  WHERE `productsupportedID` = 3;
  
UPDATE `productsupported`
  SET `ProductCode` = '500762'
  WHERE `productsupportedID` = 5;

ALTER TABLE `productioattributslist_p5` 
	CHANGE COLUMN `Ch1_HLSurl` `Ch1_HLSurl` VARCHAR(255) NULL DEFAULT NULL ;

DROP PROCEDURE IF EXISTS `check_p8_UpdateStatus`;
-- DELIMITER $$
CREATE PROCEDURE `check_p8_UpdateStatus`()
BEGIN
IF NOT EXISTS( SELECT NULL
            FROM INFORMATION_SCHEMA.COLUMNS
            WHERE table_name = 'productioattributslist_p8'
            AND table_schema = 'muxlabnetworkcontroller_dev_db'
            AND column_name = 'UpdateStatus')  THEN
  ALTER TABLE `productioattributslist_p8` 
	ADD `UpdateStatus` VARCHAR(10) NULL DEFAULT NULL ; /* dumb */ 	
END IF; /* dumb */ 
END -- dumb ;
-- END $$
-- DELIMITER ;
CALL `check_p8_UpdateStatus`();
DROP PROCEDURE `check_p8_UpdateStatus`;

ALTER TABLE `productioattributslist_p8`
	CHANGE COLUMN `VideoRes` `VideoRes` VARCHAR(45) NULL DEFAULT NULL;

UPDATE `productsupported`
  SET `ProductName` = 'HDMI over IP Uncompressed 4K/60'
  WHERE `productsupportedID` = 8;

CREATE TABLE `featuresupport` (
  `featuresupportID` int(11) NOT NULL AUTO_INCREMENT,
  `ProductIoAttrModel` varchar(45) DEFAULT NULL,
  `irModesSupported` varchar(10) DEFAULT NULL,
  `rs232TwoWay` tinyint(1) DEFAULT '0',
  PRIMARY KEY (`featuresupportID`)
) ENGINE=InnoDB AUTO_INCREMENT=47 DEFAULT CHARSET=latin1;

INSERT INTO `featuresupport` VALUES (1,'500752-RX','sensor',0),(2,'500752-TX','emitter',0),(3,'500753-RX','sensor',1),(4,'500753-TX','emitter',1),(5,'500754-RX','sensor',1),(6,'500754-TX','emitter',1),(7,'500755-RX','either',1),(8,'500755-TX','either',1),(9,'500755-RX AMP','either',1),(10,'500755-TX AMP','either',1),(11,'500756-RX','either',1),(12,'500756-TX','either',1),(13,'500757-RX','either',1),(14,'500757-TX','either',1),(15,'500758-RX','sensor',1),(16,'500758-TX','emitter',1),(17,'500759-RX','sensor',1),(18,'500759-TX','emitter',1),(19,'500760-RX','both',1),(20,'500760-TX','both',1),(21,'500761-RX','both',1),(22,'500761-TX','both',1),(23,'500762-RX','either',1),(24,'500762-TX','either',1),(25,'500763-RX','either',1),(26,'500763-TX','either',1),(27,'500767-RX','none',1),(28,'500767-TX','none',1),(29,'500768-RX','sensor',1),(30,'500768-TX','emitter',1),(31,'500769-RX','either',1),(32,'500769-TX','either',1),(33,'500770-RX','none',1),(34,'500770-TX','none',1),(35,'500771-RX','none',1),(36,'500771-TX','none',1),(37,'500773-RX','none',0),(38,'500773-TX','none',0),(39,'500774-RX','none',1),(40,'500774-TX','none',1),(41,'500775-RX','none',1),(42,'500775-TX','none',1),(43,'500777-RX','none',0),(44,'500777-TX','none',0),(45,'500779-RX','either',1),(46,'500779-TX','either',1);
