-- 
-- backup20181024-234446.sql

DROP DATABASE `muxlabnetworkcontroller_dev_db`;
CREATE DATABASE IF NOT EXISTS `muxlabnetworkcontroller_dev_db` DEFAULT CHARACTER SET latin1 COLLATE latin1_swedish_ci;
USE `muxlabnetworkcontroller_dev_db`;

CREATE TABLE `globalproductlistsaved` (
  `globalproductlistsavedID` int(11) NOT NULL AUTO_INCREMENT,
  `ProductCustomName` varchar(85) DEFAULT NULL,
  `ProductIp` varchar(15) DEFAULT NULL,
  `ProductMask` varchar(15) DEFAULT NULL,
  `ProductIsDhcp` tinyint(1) DEFAULT NULL,
  `ProductIpTwo` varchar(15) DEFAULT NULL,
  `ProductMaskTwo` varchar(15) DEFAULT NULL,
  `ProductIsDhcpTwo` TINYINT(1) DEFAULT NULL,
  `ProductSupported_ProductSupportedID` int(11) NOT NULL,
  `ProductLogin` varchar(45) DEFAULT NULL,
  `ProductPassword` varchar(45) DEFAULT NULL,
  `ProductIdOverride` int(11) DEFAULT '1',
  PRIMARY KEY (`globalproductlistsavedID`,`ProductSupported_ProductSupportedID`),
  KEY `fk_GlobalProductListSaved_ProductSupported1_idx` (`ProductSupported_ProductSupportedID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `iopurpose` (
  `iopurposeID` int(11) NOT NULL AUTO_INCREMENT,
  `IoPurposeName` varchar(85) DEFAULT NULL,
  PRIMARY KEY (`iopurposeID`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=latin1;

INSERT INTO `iopurpose` VALUES ('1','INPUT VIDEO');
INSERT INTO `iopurpose` VALUES ('2','INPUT AUDIO');
INSERT INTO `iopurpose` VALUES ('3','INPUT DATA');
INSERT INTO `iopurpose` VALUES ('4','CONTROL');
INSERT INTO `iopurpose` VALUES ('5','OUTPUT VIDEO');
INSERT INTO `iopurpose` VALUES ('6','OUTPUT AUDIO');
INSERT INTO `iopurpose` VALUES ('7','OUTPUT DATA');

CREATE TABLE `iotype` (
  `iotypeID` int(11) NOT NULL AUTO_INCREMENT,
  `IoTypeName` varchar(85) DEFAULT NULL,
  PRIMARY KEY (`iotypeID`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=latin1;

INSERT INTO `iotype` VALUES ('1','HDMI');
INSERT INTO `iotype` VALUES ('2','HDBT');
INSERT INTO `iotype` VALUES ('3','RS232');
INSERT INTO `iotype` VALUES ('4','VGA');
INSERT INTO `iotype` VALUES ('5','LAN');
INSERT INTO `iotype` VALUES ('6','IR');
INSERT INTO `iotype` VALUES ('7','USB');

CREATE TABLE `macvsport_p1` (
  `macvsport_p1ID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `Mac` varchar(45) DEFAULT NULL,
  `Port` varchar(45) DEFAULT NULL,
  `PurposeID` int(10) unsigned NOT NULL,
  `ProductGlobalAttributs_P1_productglobalattributs_p1ID` int(11) NOT NULL,
  PRIMARY KEY (`macvsport_p1ID`,`ProductGlobalAttributs_P1_productglobalattributs_p1ID`),
  KEY `fk_MacVsPort_P1_ProductGlobalAttributs_P11_idx` (`ProductGlobalAttributs_P1_productglobalattributs_p1ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `macvsport_p3` (
  `macvsport_p3ID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `Mac` varchar(45) DEFAULT NULL,
  `Port` varchar(45) DEFAULT NULL,
  `PurposeID` int(10) unsigned NOT NULL,
  `ProductGlobalAttributs_P3_productglobalattributs_p3ID` int(11) NOT NULL,
  PRIMARY KEY (`macvsport_p3ID`,`ProductGlobalAttributs_P3_productglobalattributs_p3ID`),
  KEY `fk_MacVsPort_P3_ProductGlobalAttributs_P31_idx` (`ProductGlobalAttributs_P3_productglobalattributs_p3ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `macvsport_p4` (
  `macvsport_p4ID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `Mac` varchar(45) DEFAULT NULL,
  `Port` varchar(45) DEFAULT NULL,
  `PurposeID` int(10) unsigned NOT NULL,
  `ProductGlobalAttributs_P4_productglobalattributs_p4ID` int(11) NOT NULL,
  PRIMARY KEY (`macvsport_p4ID`,`ProductGlobalAttributs_P4_productglobalattributs_p4ID`),
  KEY `fk_MacVsPort_P4_ProductGlobalAttributs_P41_idx` (`ProductGlobalAttributs_P4_productglobalattributs_p4ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `macvsport_p5` (
  `macvsport_p5ID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `Mac` varchar(45) DEFAULT NULL,
  `Port` varchar(45) DEFAULT NULL,
  `PurposeID` int(10) unsigned NOT NULL,
  `ProductGlobalAttributs_P5_productglobalattributs_p5ID` int(11) NOT NULL,
  PRIMARY KEY (`macvsport_p5ID`,`ProductGlobalAttributs_P5_productglobalattributs_p5ID`),
  KEY `fk_MacVsPort_P5_ProductGlobalAttributs_P550_idx` (`ProductGlobalAttributs_P5_productglobalattributs_p5ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `macvsport_p7` (
  `macvsport_p7ID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `Mac` varchar(45) DEFAULT NULL,
  `Port` varchar(45) DEFAULT NULL,
  `PurposeID` int(10) unsigned NOT NULL,
  `ProductGlobalAttributs_P7_productglobalattributs_p7ID` int(11) NOT NULL,
  PRIMARY KEY (`macvsport_p7ID`,`ProductGlobalAttributs_P7_productglobalattributs_p7ID`),
  KEY `fk_MacVsPort_P7_ProductGlobalAttributs_P71_idx` (`ProductGlobalAttributs_P7_productglobalattributs_p7ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `persistentsettings_p7` (
  `persistentsettings_p7ID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `Mac` varchar(45) DEFAULT NULL,  
  `IsIrFollowVideo` tinyint(1) DEFAULT NULL,
  `IsRs232FollowVideo` tinyint(1) DEFAULT NULL,
  `IsCecFollowVideo` tinyint(1) DEFAULT NULL,
  `ProductGlobalAttributs_P7_productglobalattributs_p7ID` int(11) NOT NULL,
  PRIMARY KEY (`persistentsettings_p7ID`,`ProductGlobalAttributs_P7_productglobalattributs_p7ID`),
  KEY `fk_PersistentSettings_P7_ProductGlobalAttributs_P7_idx` (`ProductGlobalAttributs_P7_productglobalattributs_p7ID`)  
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `persistentsettings_p3` (
  `persistentsettings_p3ID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `Mac` varchar(45) DEFAULT NULL,  
  `IsIrFollowVideo` tinyint(1) DEFAULT NULL,
  `IsRs232FollowVideo` tinyint(1) DEFAULT NULL,
  `IsCecFollowVideo` tinyint(1) DEFAULT NULL,
  `ProductGlobalAttributs_P3_productglobalattributs_p3ID` int(11) NOT NULL,
  PRIMARY KEY (`persistentsettings_p3ID`,`ProductGlobalAttributs_P3_productglobalattributs_p3ID`),
  KEY `fk_PersistentSettings_P3_ProductGlobalAttributs_P3_idx` (`ProductGlobalAttributs_P3_productglobalattributs_p3ID`)  
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `macvsport_p8` (
  `macvsport_p8ID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `Mac` varchar(45) DEFAULT NULL,
  `Port` varchar(45) DEFAULT NULL,
  `PurposeID` int(10) unsigned NOT NULL,
  `ProductGlobalAttributs_P8_productglobalattributs_p8ID` int(11) NOT NULL,
  PRIMARY KEY (`macvsport_p8ID`,`ProductGlobalAttributs_P8_productglobalattributs_p8ID`),
  KEY `fk_MacVsPort_P8_ProductGlobalAttributs_P81_idx` (`ProductGlobalAttributs_P8_productglobalattributs_p8ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `multicastipused_p5` (
  `multicastipused_p5ID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `MulticastIp` varchar(25) DEFAULT NULL,
  PRIMARY KEY (`multicastipused_p5ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `multicastipused_p8` (
  `multicastipused_p8ID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `MulticastIp` varchar(25) DEFAULT NULL,
  PRIMARY KEY (`multicastipused_p8ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `rtsphttpportused_p5` (
  `rtsphttpportused_p5ID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `PortNumber` varchar(25) DEFAULT NULL,
  PRIMARY KEY (`rtsphttpportused_p5ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `rtsphttpportused_p8` (
  `rtsphttpportused_p8ID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `PortNumber` varchar(25) DEFAULT NULL,
  PRIMARY KEY (`rtsphttpportused_p8ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `presets_p1` (
  `presets_p1ID` int(11) NOT NULL AUTO_INCREMENT,
  `PresetsName` varchar(45) DEFAULT NULL,
  `PresetsType` varchar(45) DEFAULT NULL,
  `ProductGlobalAttributs_P1_productglobalattributs_p1ID` int(11) NOT NULL,
  PRIMARY KEY (`presets_p1ID`,`ProductGlobalAttributs_P1_productglobalattributs_p1ID`),
  KEY `fk_Presets_P1_ProductGlobalAttributs_P11_idx` (`ProductGlobalAttributs_P1_productglobalattributs_p1ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `presets_p2` (
  `presets_p2ID` int(11) NOT NULL AUTO_INCREMENT,
  `PresetsName` varchar(45) DEFAULT NULL,
  `PresetsType` varchar(45) DEFAULT NULL,
  `ProductGlobalAttributs_P2_productglobalattributs_p2ID` int(11) NOT NULL,
  `PresetsIdv` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`presets_p2ID`,`ProductGlobalAttributs_P2_productglobalattributs_p2ID`),
  KEY `fk_Presets_P2_ProductGlobalAttributs_P21_idx` (`ProductGlobalAttributs_P2_productglobalattributs_p2ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

CREATE TABLE `presets_p3` (
  `presets_p3ID` int(11) NOT NULL AUTO_INCREMENT,
  `PresetsName` varchar(45) DEFAULT NULL,
  `PresetsType` varchar(45) DEFAULT NULL,
  `ProductGlobalAttributs_P3_productglobalattributs_p3ID` int(11) NOT NULL,
  PRIMARY KEY (`presets_p3ID`,`ProductGlobalAttributs_P3_productglobalattributs_p3ID`),
  KEY `fk_Presets_P3_ProductGlobalAttributs_P31_idx` (`ProductGlobalAttributs_P3_productglobalattributs_p3ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `presets_p4` (
  `presets_p4ID` int(11) NOT NULL AUTO_INCREMENT,
  `PresetsName` varchar(45) DEFAULT NULL,
  `PresetsType` varchar(45) DEFAULT NULL,
  `ProductGlobalAttributs_P4_productglobalattributs_p4ID` int(11) NOT NULL,
  PRIMARY KEY (`presets_p4ID`,`ProductGlobalAttributs_P4_productglobalattributs_p4ID`),
  KEY `fk_Presets_P4_ProductGlobalAttributs_P41_idx` (`ProductGlobalAttributs_P4_productglobalattributs_p4ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `presets_p5` (
  `presets_p5ID` int(11) NOT NULL AUTO_INCREMENT,
  `PresetsName` varchar(45) DEFAULT NULL,
  `PresetsType` varchar(45) DEFAULT NULL,
  `ProductGlobalAttributs_P5_productglobalattributs_p5ID` int(11) NOT NULL,
  PRIMARY KEY (`presets_p5ID`,`ProductGlobalAttributs_P5_productglobalattributs_p5ID`),
  KEY `fk_Presets_P5_ProductGlobalAttributs_P550_idx` (`ProductGlobalAttributs_P5_productglobalattributs_p5ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

CREATE TABLE `presets_p7` (
  `presets_p7ID` int(11) NOT NULL AUTO_INCREMENT,
  `PresetsName` varchar(45) DEFAULT NULL,
  `PresetsType` varchar(45) DEFAULT NULL,
  `ProductGlobalAttributs_P7_productglobalattributs_p7ID` int(11) NOT NULL,
  PRIMARY KEY (`presets_p7ID`,`ProductGlobalAttributs_P7_productglobalattributs_p7ID`),
  KEY `fk_Presets_P7_ProductGlobalAttributs_P71_idx` (`ProductGlobalAttributs_P7_productglobalattributs_p7ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `presets_p8` (
  `presets_p8ID` int(11) NOT NULL AUTO_INCREMENT,
  `PresetsName` varchar(45) DEFAULT NULL,
  `PresetsType` varchar(45) DEFAULT NULL,
  `ProductGlobalAttributs_P8_productglobalattributs_p8ID` int(11) NOT NULL,
  PRIMARY KEY (`presets_p8ID`,`ProductGlobalAttributs_P8_productglobalattributs_p8ID`),
  KEY `fk_Presets_P8_ProductGlobalAttributs_P81_idx` (`ProductGlobalAttributs_P8_productglobalattributs_p8ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

CREATE TABLE `presetsmatrix_p1` (
  `presetsmatrix_p1ID` int(11) NOT NULL AUTO_INCREMENT,
  `macRx` varchar(45) DEFAULT NULL,
  `macTx` varchar(45) DEFAULT NULL,
  `Presets_P1_presets_p1ID` int(11) NOT NULL,
  PRIMARY KEY (`presetsmatrix_p1ID`,`Presets_P1_presets_p1ID`),
  KEY `fk_PresetsMatrix_P1_Presets_P11_idx` (`Presets_P1_presets_p1ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `presetsmatrix_p2` (
  `presetsmatrix_p2ID` int(11) NOT NULL AUTO_INCREMENT,
  `inPortId` varchar(45) DEFAULT NULL,
  `outPortId` varchar(45) DEFAULT NULL,
  `Presets_P2_presets_p2ID` int(11) NOT NULL,
  PRIMARY KEY (`presetsmatrix_p2ID`,`Presets_P2_presets_p2ID`),
  KEY `fk_PresetsMatrix_P2_Presets_P21_idx` (`Presets_P2_presets_p2ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

CREATE TABLE `presetsmatrix_p3` (
  `presetsmatrix_p3ID` int(11) NOT NULL AUTO_INCREMENT,
  `macRx` varchar(45) DEFAULT NULL,
  `macTx` varchar(45) DEFAULT NULL,
  `Presets_P3_presets_p3ID` int(11) NOT NULL,
  PRIMARY KEY (`presetsmatrix_p3ID`,`Presets_P3_presets_p3ID`),
  KEY `fk_PresetsMatrix_P3_Presets_P31_idx` (`Presets_P3_presets_p3ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `presetsmatrix_p4` (
  `presetsmatrix_p4ID` int(11) NOT NULL AUTO_INCREMENT,
  `macRx` varchar(45) DEFAULT NULL,
  `macTx` varchar(45) DEFAULT NULL,
  `Presets_P4_presets_p4ID` int(11) NOT NULL,
  PRIMARY KEY (`presetsmatrix_p4ID`,`Presets_P4_presets_p4ID`),
  KEY `fk_PresetsMatrix_P4_Presets_P41_idx` (`Presets_P4_presets_p4ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `presetsmatrix_p5` (
  `presetsmatrix_p5ID` int(11) NOT NULL AUTO_INCREMENT,
  `macRx` varchar(45) DEFAULT NULL,
  `macTx` varchar(45) DEFAULT NULL,
  `videoProtocol` varchar(25) DEFAULT 'AUTO',
  `Presets_P5_presets_p5ID` int(11) NOT NULL,
  PRIMARY KEY (`presetsmatrix_p5ID`,`Presets_P5_presets_p5ID`),
  KEY `fk_PresetsMatrix_P5_Presets_P550_idx` (`Presets_P5_presets_p5ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

CREATE TABLE `presetsmatrix_p7` (
  `presetsmatrix_p7ID` int(11) NOT NULL AUTO_INCREMENT,
  `macRx` varchar(45) DEFAULT NULL,
  `macTx` varchar(45) DEFAULT NULL,
  `Presets_P7_presets_p7ID` int(11) NOT NULL,
  PRIMARY KEY (`presetsmatrix_p7ID`,`Presets_P7_presets_p7ID`),
  KEY `fk_PresetsMatrix_P7_Presets_P71_idx` (`Presets_P7_presets_p7ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `presetsmatrix_p8` (
  `presetsmatrix_p8ID` int(11) NOT NULL AUTO_INCREMENT,
  `macRx` varchar(45) DEFAULT NULL,
  `macTx` varchar(45) DEFAULT NULL,
  `videoProtocol` varchar(25) DEFAULT 'AUTO',
  `Presets_P8_presets_p8ID` int(11) NOT NULL,
  PRIMARY KEY (`presetsmatrix_p8ID`,`Presets_P8_presets_p8ID`),
  KEY `fk_PresetsMatrix_P8_Presets_P81_idx` (`Presets_P8_presets_p8ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

CREATE TABLE `productcategory` (
  `productcategoryID` int(11) NOT NULL AUTO_INCREMENT,
  `ProductCategoryName` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`productcategoryID`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=latin1;

INSERT INTO `productcategory` VALUES ('1','Matrix');
INSERT INTO `productcategory` VALUES ('2','Matrix Virtual');
INSERT INTO `productcategory` VALUES ('3','Media Player');
INSERT INTO `productcategory` VALUES ('4','Display');
INSERT INTO `productcategory` VALUES ('5','Light');
INSERT INTO `productcategory` VALUES ('6','Connector');
INSERT INTO `productcategory` VALUES ('7','Controller');

CREATE TABLE `productglobalattributs_p1` (
  `productglobalattributs_p1ID` int(11) NOT NULL AUTO_INCREMENT,
  `GlobalProductListSaved_globalproductlistsavedID` int(11) NOT NULL,
  `AppSettings_isAutoConfig` tinyint(1) DEFAULT NULL,
  `TxGroupIpUsed` varchar(1000) DEFAULT '',
  `ActivePresetId` int(11) DEFAULT '1',
  PRIMARY KEY (`productglobalattributs_p1ID`,`GlobalProductListSaved_globalproductlistsavedID`),
  KEY `fk_ProductGlobalAttributs_P1_GlobalProductListSaved1_idx` (`GlobalProductListSaved_globalproductlistsavedID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `productglobalattributs_p2` (
  `productglobalattributs_p2ID` int(11) NOT NULL AUTO_INCREMENT,
  `GlobalProductListSaved_globalproductlistsavedID` int(11) NOT NULL,
  `ActivePresetId` int(11) DEFAULT '0',
  PRIMARY KEY (`productglobalattributs_p2ID`,`GlobalProductListSaved_globalproductlistsavedID`),
  KEY `fk_ProductGlobalAttributs_P2_GlobalProductListSaved1_idx` (`GlobalProductListSaved_globalproductlistsavedID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

CREATE TABLE `productglobalattributs_p3` (
  `productglobalattributs_p3ID` int(11) NOT NULL AUTO_INCREMENT,
  `GlobalProductListSaved_globalproductlistsavedID` int(11) NOT NULL,
  `AppSettings_isAutoConfig` tinyint(1) DEFAULT NULL,
  `TxGroupIpUsed` varchar(1000) DEFAULT '',
  `TxChannelUsed` VARCHAR(10000) DEFAULT '',
  `ActivePresetId` int(11) DEFAULT '1',
  PRIMARY KEY (`productglobalattributs_p3ID`,`GlobalProductListSaved_globalproductlistsavedID`),
  KEY `fk_ProductGlobalAttributs_P3_GlobalProductListSaved1_idx` (`GlobalProductListSaved_globalproductlistsavedID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `productglobalattributs_p4` (
  `productglobalattributs_p4ID` int(11) NOT NULL AUTO_INCREMENT,
  `GlobalProductListSaved_globalproductlistsavedID` int(11) NOT NULL,
  `AppSettings_isAutoConfig` tinyint(1) DEFAULT NULL,
  `TxGroupIpUsed` varchar(1000) DEFAULT '',
  `ActivePresetId` int(11) DEFAULT '1',
  PRIMARY KEY (`productglobalattributs_p4ID`,`GlobalProductListSaved_globalproductlistsavedID`),
  KEY `fk_ProductGlobalAttributs_P4_GlobalProductListSaved1_idx` (`GlobalProductListSaved_globalproductlistsavedID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `productglobalattributs_p5` (
  `productglobalattributs_p5ID` int(11) NOT NULL AUTO_INCREMENT,
  `GlobalProductListSaved_globalproductlistsavedID` int(11) NOT NULL,
  `AppSettings_isAutoConfig` tinyint(1) DEFAULT NULL,
  `TxGroupIpUsed` varchar(1000) DEFAULT '',
  `ActivePresetId` int(11) DEFAULT '1',
  `VirtualMacUsed` varchar(1000) DEFAULT NULL,
  PRIMARY KEY (`productglobalattributs_p5ID`,`GlobalProductListSaved_globalproductlistsavedID`),
  KEY `fk_ProductGlobalAttributs_P5_GlobalProductListSaved1_idx` (`GlobalProductListSaved_globalproductlistsavedID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `productglobalattributs_p6` (
  `productglobalattributs_p6ID` int(11) NOT NULL AUTO_INCREMENT,
  `GlobalProductListSaved_globalproductlistsavedID` int(11) NOT NULL,
  PRIMARY KEY (`productglobalattributs_p6ID`,`GlobalProductListSaved_globalproductlistsavedID`),
  KEY `fk_ProductGlobalAttributs_P6_GlobalProductListSaved1_idx` (`GlobalProductListSaved_globalproductlistsavedID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `productglobalattributs_p7` (
  `productglobalattributs_p7ID` int(11) NOT NULL AUTO_INCREMENT,
  `GlobalProductListSaved_globalproductlistsavedID` int(11) NOT NULL,
  `AppSettings_isAutoConfig` tinyint(1) DEFAULT NULL,
  `TxGroupIpUsed` varchar(1000) DEFAULT '',
  `ActivePresetId` int(11) DEFAULT '1',
  PRIMARY KEY (`productglobalattributs_p7ID`,`GlobalProductListSaved_globalproductlistsavedID`),
  KEY `fk_ProductGlobalAttributs_P7_GlobalProductListSaved1_idx` (`GlobalProductListSaved_globalproductlistsavedID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `productglobalattributs_p8` (
  `productglobalattributs_p8ID` int(11) NOT NULL AUTO_INCREMENT,
  `GlobalProductListSaved_globalproductlistsavedID` int(11) NOT NULL,
  `AppSettings_isAutoConfig` tinyint(1) DEFAULT NULL,
  `TxGroupIpUsed` varchar(1000) DEFAULT '',
  `ActivePresetId` int(11) DEFAULT '1',
  `VirtualMacUsed` varchar(1000) DEFAULT NULL,
  PRIMARY KEY (`productglobalattributs_p8ID`,`GlobalProductListSaved_globalproductlistsavedID`),
  KEY `fk_ProductGlobalAttributs_P8_GlobalProductListSaved1_idx` (`GlobalProductListSaved_globalproductlistsavedID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `productioattributslist_p1` (
  `productioattributslist_p1` int(11) NOT NULL AUTO_INCREMENT,
  `ProductIoAttrCustomName` varchar(75) DEFAULT NULL,
  `ProductIoAttrName` varchar(75) DEFAULT NULL,
  `ProductIoAttrModel` varchar(45) DEFAULT NULL,
  `ProductIoAttrIp` varchar(15) DEFAULT NULL,
  `ProductIoAttrMask` varchar(15) DEFAULT NULL,
  `ProductIoAttrIsDhcp` tinyint(1) DEFAULT NULL,
  `ProductGroupIp` varchar(15) DEFAULT NULL,
  `ProductIoAttrMac` varchar(21) DEFAULT NULL,
  `ProductIoAttrAudioFormat` varchar(45) DEFAULT NULL,
  `ProductIoAttrIsDipSwitchEnabled` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsHdcpOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsIrOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsVideoDetected` tinyint(1) DEFAULT NULL,
  `ProductIoAttrCompressionRate` varchar(15) DEFAULT NULL,
  `ProductIoAttrVideoResolution` varchar(25) DEFAULT NULL,
  `ProductIoAttrIsDisplayConnected` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsScreenImageOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsScreenTextOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrConnectedMac` varchar(21) DEFAULT '00-00-00-00-00-00',
  `ProductGlobalAttributs_P1_productglobalattributs_p1ID` int(11) NOT NULL,
  `IoType_iotypeID` int(11) NOT NULL,
  `IoPurpose_iopurposeID` int(11) NOT NULL,
  `ProductIoAttrPortId` varchar(45) DEFAULT NULL,
  `ProductIoAttrConnectedProductId` int(11) DEFAULT NULL,
  `ProductIoAttrFwVersion` varchar(10) DEFAULT NULL,
  `ProductIoAttrIsAutoResolutionOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrUartBaudRate` varchar(15) DEFAULT 'NA',
  `ProductIoAttrIsAutoCompressionOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsIrMode` varchar(15) DEFAULT NULL,
  `ProductIoAttrRs232FeedbackIP` varchar(15) DEFAULT NULL,
  `ProductIoAttrIrFeedbackIP` varchar(15) DEFAULT NULL,
  `ProductIoAttrIsRs232IpHeader` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsRs232FeedbackOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIs60fps` tinyint(1) DEFAULT '0',
  `ProductIoAttrIsDviCompOn` tinyint(1) DEFAULT '0',
  `ProductIoAttrRs232Parity` VARCHAR(10) DEFAULT 'NONE',
  `ProductIoAttrVolumeLevel` SMALLINT(6) DEFAULT '0',
  `ProductIoAttrBassLevel` SMALLINT(6) DEFAULT '0',
  `ProductIoAttrTrebleLevel` SMALLINT(6) DEFAULT '0',
  `ProductIoAttrInputSelect` SMALLINT(6) DEFAULT '0',	
  `ProductIoAttrMicGain` SMALLINT(6) DEFAULT '0',	
  `ProductIoAttrMicBass` SMALLINT(6) DEFAULT '0',	
  `ProductIoAttrMicTreble` SMALLINT(6) DEFAULT '0',		
  `ProductIoAttrSecVolAtt` SMALLINT(6) DEFAULT '0',		
  `ProductIoAttrMicType` SMALLINT(6) DEFAULT '0',
  `ProductIoAttrMicDetectionLevel` SMALLINT(6) DEFAULT '0',
  PRIMARY KEY (`productioattributslist_p1`,`ProductGlobalAttributs_P1_productglobalattributs_p1ID`),
  KEY `fk_ProductIoAttributsList_P1_ProductGlobalAttributs_P11_idx` (`ProductGlobalAttributs_P1_productglobalattributs_p1ID`),
  KEY `fk_ProductIoAttributsList_P1_IoType1_idx` (`IoType_iotypeID`),
  KEY `fk_ProductIoAttributsList_P1_IoPurpose1_idx` (`IoPurpose_iopurposeID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `productioattributslist_p2` (
  `productioattributslist_p2` int(11) NOT NULL AUTO_INCREMENT,
  `ProductIoAttrCustomName` varchar(75) DEFAULT NULL,
  `ProductIoAttrName` varchar(75) DEFAULT NULL,
  `ProductIoAttrModel` varchar(45) DEFAULT NULL,
  `ProductIoAttrPortId` varchar(45) DEFAULT NULL,
  `ProductIoAttrConnectedPortId` varchar(45) DEFAULT NULL,
  `IoType_iotypeID` int(11) NOT NULL,
  `IoPurpose_iopurposeID` int(11) NOT NULL,
  `ProductGlobalAttributs_P2_productglobalattributs_p2ID` int(11) NOT NULL,
  `ProductIoAttrIsPresent` tinyint(1) DEFAULT NULL,
  `ProductIoAttrCardNb` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`productioattributslist_p2`,`ProductGlobalAttributs_P2_productglobalattributs_p2ID`),
  KEY `fk_ProductIoAttributsList_P2_IoType1_idx` (`IoType_iotypeID`),
  KEY `fk_ProductIoAttributsList_P2_IoPurpose1_idx` (`IoPurpose_iopurposeID`),
  KEY `fk_ProductIoAttributsList_P2_ProductGlobalAttributs_P21_idx` (`ProductGlobalAttributs_P2_productglobalattributs_p2ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

CREATE TABLE `productioattributslist_p3` (
  `productioattributslist_p3` int(11) NOT NULL AUTO_INCREMENT,
  `ProductIoAttrCustomName` varchar(75) DEFAULT NULL,
  `ProductIoAttrName` varchar(75) DEFAULT NULL,
  `ProductIoAttrModel` varchar(45) DEFAULT NULL,
  `ProductIoAttrIp` varchar(15) DEFAULT NULL,
  `ProductIoAttrMask` varchar(15) DEFAULT NULL,
  `ProductIoAttrIsDhcp` tinyint(1) DEFAULT NULL,
  `ProductGroupIp` varchar(15) DEFAULT NULL,
  `ProductIoAttrMac` varchar(21) DEFAULT NULL,
  `ProductIoAttrAudioFormat` varchar(45) DEFAULT NULL,
  `ProductIoAttrIsDipSwitchEnabled` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsHdcpOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsIrOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsVideoDetected` tinyint(1) DEFAULT NULL,
  `ProductIoAttrCompressionRate` varchar(15) DEFAULT NULL,
  `ProductIoAttrVideoResolution` varchar(25) DEFAULT NULL,
  `ProductIoAttrIsDisplayConnected` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsScreenImageOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsScreenTextOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrConnectedMac` varchar(180) DEFAULT '00-00-00-00-00-00',
  `ProductGlobalAttributs_P3_productglobalattributs_p3ID` int(11) NOT NULL,
  `IoType_iotypeID` int(11) NOT NULL,
  `IoPurpose_iopurposeID` int(11) NOT NULL,
  `ProductIoAttrPortId` varchar(45) DEFAULT NULL,
  `ProductIoAttrConnectedProductId` int(11) DEFAULT NULL,
  `ProductIoAttrFwVersion` varchar(10) DEFAULT NULL,
  `ProductIoAttrHwVersion` varchar(10) DEFAULT NULL,
  `ProductIoAttrFreeRouting` tinyint(1) DEFAULT NULL,
  `ProductIoAttrChannel` varchar(15) DEFAULT NULL,
  `ProductIoAttrChannelVideo` int(4) unsigned zerofill DEFAULT NULL,
  `ProductIoAttrChannelUSB` int(4) unsigned zerofill DEFAULT NULL,
  `ProductIoAttrChannelAudio` int(4) unsigned zerofill DEFAULT NULL,
  `ProductIoAttrChannelIR` int(4) unsigned zerofill DEFAULT NULL,
  `ProductIoAttrChannelSerial` int(4) unsigned zerofill DEFAULT NULL,
  `ProductIoAttrChannelGPIO` int(4) unsigned zerofill DEFAULT NULL,
  `ProductIoAttrIsAutoResolutionOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrUartBaudRate` varchar(15) DEFAULT 'NA',
  `ProductIoAttrIsAutoCompressionOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsIrMode` varchar(15) DEFAULT NULL,
  `ProductIoAttrIsIrFollowVideo` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsRs232FollowVideo` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsCecFollowVideo` tinyint(1) DEFAULT NULL,
  `ProductIoAttrRs232FeedbackIP` varchar(15) DEFAULT NULL,
  `ProductIoAttrIrFeedbackIP` varchar(15) DEFAULT NULL,
  `ProductIoAttrIsRs232IpHeader` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsRs232FeedbackOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIs60fps` tinyint(1) DEFAULT '0',
  `ProductIoAttrIsDviCompOn` tinyint(1) DEFAULT '0',
  `ProductIoAttrIsVwOn` tinyint(1) DEFAULT '0',
  `ProductIoAttrHdcpFormat` varchar(25) DEFAULT NULL,
  `ProductIoAttrEdidUse` VARCHAR(15) DEFAULT NULL,
  `ProductIoAttrHdrMode` varchar(25) DEFAULT NULL,
  `ProductIoAttrChannelOSD` INT(2) unsigned zerofill DEFAULT NULL,
  `ProductIoAttrDeviceState` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`productioattributslist_p3`,`ProductGlobalAttributs_P3_productglobalattributs_p3ID`),
  KEY `fk_ProductIoAttributsList_P3_IoPurpose1_idx` (`IoPurpose_iopurposeID`),
  KEY `fk_ProductIoAttributsList_P3_IoType1_idx` (`IoType_iotypeID`),
  KEY `fk_ProductIoAttributsList_P3_ProductGlobalAttributs_P31_idx` (`ProductGlobalAttributs_P3_productglobalattributs_p3ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `productioattributslist_p4` (
  `productioattributslist_p4` int(11) NOT NULL AUTO_INCREMENT,
  `ProductIoAttrCustomName` varchar(75) DEFAULT NULL,
  `ProductIoAttrName` varchar(75) DEFAULT NULL,
  `ProductIoAttrModel` varchar(45) DEFAULT NULL,
  `ProductIoAttrIp` varchar(15) DEFAULT NULL,
  `ProductIoAttrMask` varchar(15) DEFAULT NULL,
  `ProductIoAttrIsDhcp` tinyint(1) DEFAULT NULL,
  `ProductGroupIp` varchar(15) DEFAULT NULL,
  `ProductGroupIpCode` varchar(10) DEFAULT NULL,
  `ProductIoAttrMac` varchar(21) DEFAULT NULL,
  `ProductIoAttrAudioFormat` varchar(45) DEFAULT NULL,
  `ProductIoAttrIsDipSwitchEnabled` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsHdcpOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsIrOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsVideoDetected` tinyint(1) DEFAULT NULL,
  `ProductIoAttrBitRateSD` varchar(15) DEFAULT NULL,
  `ProductIoAttrBitRateHD` varchar(15) DEFAULT NULL,
  `ProductIoAttrBitRateFHD` varchar(15) DEFAULT NULL,
  `ProductIoAttrVideoResolution` varchar(25) DEFAULT NULL,
  `ProductIoAttrIsDisplayConnected` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsScreenImageOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsScreenTextOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrConnectedMac` varchar(21) DEFAULT '00-00-00-00-00-00',
  `ProductGlobalAttributs_P4_productglobalattributs_p4ID` int(11) NOT NULL,
  `IoType_iotypeID` int(11) NOT NULL,
  `IoPurpose_iopurposeID` int(11) NOT NULL,
  `ProductIoAttrPortId` varchar(45) DEFAULT NULL,
  `ProductIoAttrConnectedProductId` int(11) DEFAULT NULL,
  `ProductIoAttrFwVersion` varchar(35) DEFAULT NULL,
  `ProductIoAttrFwSecondVersion` varchar(35) DEFAULT NULL,
  `ProductIoAttrIsAutoResolutionOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrUartBaudRate` varchar(15) DEFAULT 'NA',
  `ProductIoAttrIsAutoCompressionOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsIrMode` varchar(15) DEFAULT NULL,
  `ProductIoAttrRs232FeedbackIP` varchar(15) DEFAULT NULL,
  `ProductIoAttrIsRs232FeedbackOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsDviCompOn` tinyint(1) DEFAULT '0',
  `ProductIoAttrGateway` varchar(15) DEFAULT NULL,
  `ProductIoAttrHdcpFormat` varchar(25) DEFAULT NULL,
  PRIMARY KEY (`productioattributslist_p4`,`ProductGlobalAttributs_P4_productglobalattributs_p4ID`),
  KEY `fk_ProductIoAttributsList_P4_IoPurpose1_idx` (`IoPurpose_iopurposeID`),
  KEY `fk_ProductIoAttributsList_P4_IoType1_idx` (`IoType_iotypeID`),
  KEY `fk_ProductIoAttributsList_P4_ProductGlobalAttributs_P41_idx` (`ProductGlobalAttributs_P4_productglobalattributs_p4ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `productioattributslist_p5` (
  `productioattributslist_p5` int(11) NOT NULL AUTO_INCREMENT,
  `ProductIoAttrCustomName` varchar(75) DEFAULT NULL,
  `ProductIoAttrName` varchar(75) DEFAULT NULL,
  `ProductIoAttrUserName` varchar(45) DEFAULT NULL,
  `ProductIoAttrPassword` varchar(45) DEFAULT NULL,
  `ProductIoAttrModel` varchar(45) DEFAULT NULL,
  `ProductIoAttrFwVersion` varchar(10) DEFAULT NULL,
  `ProductIoAttrMac` varchar(21) DEFAULT NULL,
  `ProductIoAttrPortId` varchar(45) DEFAULT NULL,
  `ProductIoAttrIp` varchar(15) DEFAULT NULL,
  `ProductIoAttrMask` varchar(15) DEFAULT NULL,
  `ProductIoAttrGateway` varchar(15) DEFAULT NULL,
  `ProductIoAttrIsDhcp` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsDipSwitchEnabled` tinyint(1) DEFAULT NULL,
  `ProductIoAttrUartBaudRate` varchar(15) DEFAULT 'NA',
  `ProductIoAttrRs232Parity` varchar(10) DEFAULT 'NONE',
  `ProductIoAttrIsRs232FeedbackOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrRs232FeedbackIP` varchar(15) DEFAULT NULL,
  `ProductIoAttrIsIrOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsIrMode` varchar(15) DEFAULT NULL,
  `ProductIoAttrIrFeedbackIP` varchar(15) DEFAULT NULL,
  `ProductIoAttrRs232Databits` varchar(2) DEFAULT '8',
  `ProductIoAttrRS232Stopbits` varchar(2) DEFAULT '1',
  `ProductIoAttrAudioIn` varchar(15) DEFAULT NULL,
  `ProductGlobalAttributs_P5_productglobalattributs_p5ID` int(11) NOT NULL,
  `IoType_iotypeID` int(11) NOT NULL,
  `IoPurpose_iopurposeID` int(11) NOT NULL,
  `isRemoteDevice` tinyint(1) DEFAULT NULL,
  `cpu` varchar(10) DEFAULT NULL,
  `memory` varchar(25) DEFAULT NULL,
  `connect_time` DATETIME DEFAULT NULL,
  `PublicIp` varchar(15) DEFAULT NULL,
  `Ch1_isEnabled` tinyint(1) DEFAULT NULL,
  `Ch1_VidResIn` varchar(15) DEFAULT NULL,
  `Ch1_VidFpsIn` varchar(15) DEFAULT NULL,
  `Ch1_VidResOut` varchar(15) DEFAULT NULL,
  `Ch1_VidFpsOut` varchar(15) DEFAULT NULL,
  `Ch1_VidBitRate` varchar(15) DEFAULT NULL,
  `Ch1_VidCodec` varchar(25) DEFAULT NULL,
  `Ch1_AudCodec` varchar(25) DEFAULT NULL,
  `Ch1_AudSampleRate` varchar(15) DEFAULT NULL,
  `Ch1_AudBitRate` varchar(15) DEFAULT NULL,
  `Ch1_MCASTisOn` tinyint(1) DEFAULT '0',
  `Ch1_MCASTip` varchar(15) DEFAULT '0',
  `Ch1_MCASTport` varchar(10) DEFAULT NULL,
  `Ch1_ConnectedMac` varchar(21) DEFAULT '00-00-00-00-00-00',
  `Ch1_ConnectedIp` varchar(15) DEFAULT NULL,
  `Ch1_ConnectedPortId` int(11) DEFAULT NULL,
  `Ch1_ConnectedStreamCh` int(11) DEFAULT NULL,
  `Ch1_TSisOn` tinyint(1) DEFAULT NULL,
  `Ch1_TSurl` varchar(255) DEFAULT NULL,
  `Ch1_HLSisOn` tinyint(1) DEFAULT NULL,
  `Ch1_HLSurl` varchar(255) DEFAULT NULL,
  `Ch1_FLVisOn` tinyint(1) DEFAULT NULL,
  `Ch1_FLVurl` varchar(255) DEFAULT NULL,
  `Ch1_RTSPisOn` tinyint(1) DEFAULT NULL,
  `Ch1_RTSPport` varchar(10) DEFAULT NULL,
  `Ch1_RTSPurl` varchar(255) DEFAULT NULL,
  `Ch1_RTSPisPush` tinyint(1) DEFAULT NULL,
  `Ch1_RTMPisOn` tinyint(1) DEFAULT NULL,
  `Ch1_RTMPisPush` tinyint(1) DEFAULT NULL,
  `Ch1_RTMPurl` varchar(255) DEFAULT NULL,
  `Ch1_RTMPport` varchar(10) DEFAULT NULL,
  `Ch1_SourceIp` varchar(15) DEFAULT NULL,
  `Ch1_DestinationIp` varchar(15) DEFAULT NULL,
  `Ch1_isHdcpOn` tinyint(1) DEFAULT NULL,
  `Ch1_HTTPport` varchar(10) DEFAULT NULL,
  `Ch1_MCASTurl` varchar(255) DEFAULT NULL,
  `Ch1_isVBR` tinyint(1) DEFAULT '0',
  `Ch1_GOP` varchar(5) DEFAULT NULL,
  `Ch1_VidProtocol` varchar(25) DEFAULT 'AUTO',
  PRIMARY KEY (`productioattributslist_p5`,`ProductGlobalAttributs_P5_productglobalattributs_p5ID`),
  KEY `fk_ProductIoAttributsList_P5_IoType5_idx` (`IoType_iotypeID`),
  KEY `fk_ProductIoAttributsList_P5_IoPurpose5_idx` (`IoPurpose_iopurposeID`),
  KEY `fk_ProductIoAttributsList_P5_ProductGlobalAttributs_P5_idx` (`ProductGlobalAttributs_P5_productglobalattributs_p5ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `productioattributslist_p6` (
  `productioattributslist_p6` int(11) NOT NULL AUTO_INCREMENT,
  `ProductIoAttrCustomName` varchar(75) DEFAULT NULL,
  `ProductIoAttrName` varchar(75) DEFAULT NULL,
  `ProductIoAttrModel` varchar(45) DEFAULT NULL,
  `ProductIoAttrIp` varchar(15) DEFAULT NULL,
  `ProductIoAttrMask` varchar(15) DEFAULT NULL,
  `ProductIoAttrMac` varchar(21) DEFAULT NULL,  
  `IoPurpose_iopurposeID` int(11) NOT NULL, 
  `IoType_iotypeID` int(11) NOT NULL,
  `ProductGlobalAttributs_P6_productglobalattributs_p6ID` int(11) NOT NULL, 
  PRIMARY KEY (`productioattributslist_p6`,`ProductGlobalAttributs_P6_productglobalattributs_p6ID`),
  KEY `fk_ProductIoAttributsList_P6_ProductGlobalAttributs_P61_idx` (`ProductGlobalAttributs_P6_productglobalattributs_p6ID`),
  KEY `fk_ProductIoAttributsList_P6_IoType5_idx` (`IoType_iotypeID`),
  KEY `fk_ProductIoAttributsList_P6_IoPurpose5_idx` (`IoPurpose_iopurposeID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `productioattributslist_p7` (
  `productioattributslist_p7` int(11) NOT NULL AUTO_INCREMENT,
  `ProductIoAttrCustomName` varchar(75) DEFAULT NULL,
  `ProductIoAttrName` varchar(75) DEFAULT NULL,
  `ProductIoAttrModel` varchar(45) DEFAULT NULL,
  `ProductIoAttrIp` varchar(15) DEFAULT NULL,
  `ProductIoAttrMask` varchar(15) DEFAULT NULL,
  `ProductIoAttrIsDhcp` tinyint(1) DEFAULT NULL,
  `ProductDeviceId` varchar(75) DEFAULT NULL,
  `ProductGroupIp` varchar(18) DEFAULT NULL,
  `ProductIoAttrMac` varchar(21) DEFAULT NULL,
  `ProductIoAttrAudioFormat` varchar(45) DEFAULT NULL,
  `ProductIoAttrIsDipSwitchEnabled` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsHdcpOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsIrOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsVideoDetected` tinyint(1) DEFAULT NULL,
  `ProductIoAttrBitRateSD` varchar(15) DEFAULT NULL,
  `ProductIoAttrBitRateHD` varchar(15) DEFAULT NULL,
  `ProductIoAttrBitRateFHD` varchar(15) DEFAULT NULL,
  `ProductIoAttrVideoResolution` varchar(25) DEFAULT NULL,
  `ProductIoAttrVideoInputSource` varchar(25) DEFAULT NULL,
  `ProductIoAttrVideoDisplayMode` varchar(25) DEFAULT NULL,
  `ProductIoAttrHorizOffset` int(11) DEFAULT NULL,
  `ProductIoAttrVertOffset` int(11) DEFAULT NULL,
  `ProductIoAttrFPS` int(11) DEFAULT NULL,
  `StatusResolution` varchar(25) DEFAULT NULL,
  `StatusFPS` int(11) DEFAULT NULL,
  `StatusColorSpace` varchar(25) DEFAULT NULL,
  `StatusBitsPerPixel` int(11) DEFAULT NULL,
  `StatusScanMode` varchar(25) DEFAULT NULL,
  `ProductIoAttrIsDisplayConnected` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsScreenImageOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsScreenTextOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrConnectedMac` varchar(21) DEFAULT '00-00-00-00-00-00',
  `ProductGlobalAttributs_P7_productglobalattributs_p7ID` int(11) NOT NULL,
  `IoType_iotypeID` int(11) NOT NULL,
  `IoPurpose_iopurposeID` int(11) NOT NULL,
  `ProductIoAttrPortId` varchar(45) DEFAULT NULL,
  `ProductIoAttrConnectedProductId` int(11) DEFAULT NULL,
  `ProductIoAttrFwVersion` varchar(35) DEFAULT NULL,
  `ProductIoAttrFwSecondVersion` varchar(35) DEFAULT NULL,
  `ProductIoAttrIsAutoResolutionOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrUartBaudRate` varchar(15) DEFAULT 'NA',
  `ProductIoAttrRs232Parity` varchar(10) DEFAULT 'NONE',
  `ProductIoAttrRs232Databits` varchar(2) DEFAULT '8',
  `ProductIoAttrRS232Stopbits` varchar(2) DEFAULT '1',
  `ProductIoAttrIsAutoCompressionOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsIrMode` varchar(15) DEFAULT NULL,
  `ProductIoAttrIsIrFollowVideo` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsRs232FollowVideo` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsCecFollowVideo` tinyint(1) DEFAULT NULL,
  `ProductIoAttrRs232FeedbackIP` varchar(15) DEFAULT NULL,
  `ProductIoAttrIsRs232FeedbackOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsDviCompOn` tinyint(1) DEFAULT '0',
  `ProductIoAttrGateway` varchar(15) DEFAULT NULL,
  `ProductIoAttrHdcpFormat` varchar(25) DEFAULT NULL,
  `ProductHdmi0VideoState` varchar(25) DEFAULT NULL,
  `ProductHdmi0AudioState` varchar(25) DEFAULT NULL,
  PRIMARY KEY (`productioattributslist_p7`,`ProductGlobalAttributs_P7_productglobalattributs_p7ID`),
  KEY `fk_ProductIoAttributsList_P7_IoPurpose1_idx` (`IoPurpose_iopurposeID`),
  KEY `fk_ProductIoAttributsList_P7_IoType1_idx` (`IoType_iotypeID`),
  KEY `fk_ProductIoAttributsList_P7_ProductGlobalAttributs_P71_idx` (`ProductGlobalAttributs_P7_productglobalattributs_p7ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `productioattributslist_p8` (
  `productioattributslist_p8` int(11) NOT NULL AUTO_INCREMENT,
  `ProductIoAttrCustomName` varchar(75) DEFAULT NULL,
  `ProductIoAttrName` varchar(75) DEFAULT NULL,
  `ProductIoAttrUserName` varchar(45) DEFAULT NULL,
  `ProductIoAttrPassword` varchar(45) DEFAULT NULL,
  `ProductIoAttrModel` varchar(45) DEFAULT NULL,
  `ProductIoAttrFwVersion` varchar(10) DEFAULT NULL,
  `ProductIoAttrMac` varchar(21) DEFAULT NULL,
  `ProductIoAttrPortId` varchar(45) DEFAULT NULL,
  `ProductIoAttrIp` varchar(15) DEFAULT NULL,
  `ProductIoAttrMask` varchar(15) DEFAULT NULL,
  `ProductIoAttrGateway` varchar(15) DEFAULT NULL,
  `ProductIoAttrIsDhcp` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsDipSwitchEnabled` tinyint(1) DEFAULT NULL,
  `ProductIoAttrUartBaudRate` varchar(15) DEFAULT 'NA',
  `ProductIoAttrRs232Parity` varchar(10) DEFAULT 'NONE',
  `ProductIoAttrIsRs232FeedbackOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrRs232FeedbackIP` varchar(15) DEFAULT NULL,
  `ProductIoAttrIsIrOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsIrMode` varchar(15) DEFAULT NULL,
  `ProductIoAttrIrFeedbackIP` varchar(15) DEFAULT NULL,
  `ProductIoAttrRs232Databits` varchar(2) DEFAULT '8',
  `ProductIoAttrRS232Stopbits` varchar(2) DEFAULT '1',
  `ProductIoAttrAudioIn` varchar(15) DEFAULT NULL,
  `ProductGlobalAttributs_P8_productglobalattributs_p8ID` int(11) NOT NULL,
  `IoType_iotypeID` int(11) NOT NULL,
  `IoPurpose_iopurposeID` int(11) NOT NULL,
  `isRemoteDevice` tinyint(1) DEFAULT NULL,
  `cpu` varchar(10) DEFAULT NULL,
  `memory` varchar(25) DEFAULT NULL,
  `DestIp` varchar(15) DEFAULT NULL,
  `VideoMacLocal` varchar(21) DEFAULT NULL,
  `VideoMacDest` varchar(21) DEFAULT NULL,
  `VideoIpLocal` varchar(15) DEFAULT NULL,
  `VideoIpDest` varchar(15) DEFAULT NULL,
  `VideoPortLocal` varchar(11) DEFAULT NULL,
  `VideoPortDest` varchar(11) DEFAULT NULL,
  `PublicIp` varchar(15) DEFAULT NULL,
  `isMCAST` tinyint(1) DEFAULT NULL,
  `MCASTip` varchar(15) DEFAULT NULL,
  `MCASTport` varchar(11) DEFAULT NULL,
  `ConnectedMac` varchar(21) DEFAULT '00-00-00-00-00-00',
  `IsConnect` tinyint(1) DEFAULT NULL,
  `fwUpdate` varchar(10) DEFAULT NULL,
  `AqrTemp` varchar(10) DEFAULT NULL,
  `FPGATemp` float DEFAULT NULL,
  `OprMargin_A` float DEFAULT NULL,
  `OprMargin_B` float DEFAULT NULL,
  `OprMargin_C` float DEFAULT NULL,
  `OprMargin_D` float DEFAULT NULL,
  `minOprMargin_A` float DEFAULT NULL,
  `minOprMargin_B` float DEFAULT NULL,
  `minOprMargin_C` float DEFAULT NULL,
  `minOprMargin_D` float DEFAULT NULL,
  `VideoRes` varchar(45) DEFAULT NULL,
  `isRawMode` tinyint(1) DEFAULT NULL,
  `X_FrontPorch` varchar(10) DEFAULT NULL,
  `X_PulseCount` varchar(10) DEFAULT NULL,
  `X_BackPorch` varchar(10) DEFAULT NULL,
  `Y_FrontPorch` varchar(10) DEFAULT NULL,
  `Y_PulseCount` varchar(10) DEFAULT NULL,
  `Y_BackPorch` varchar(10) DEFAULT NULL,
  `ColosSpace` varchar(25) DEFAULT NULL,
  `ColorDepth` varchar(10) DEFAULT NULL,
  `UpdateStatus` varchar(10) DEFAULT NULL,
  PRIMARY KEY (`productioattributslist_p8`,`ProductGlobalAttributs_P8_productglobalattributs_p8ID`),
  KEY `fk_ProductIoAttributsList_P8_IoType8_idx` (`IoType_iotypeID`),
  KEY `fk_ProductIoAttributsList_P8_IoPurpose8_idx` (`IoPurpose_iopurposeID`),
  KEY `fk_ProductIoAttributsList_P8_ProductGlobalAttributs_P8_idx` (`ProductGlobalAttributs_P8_productglobalattributs_p8ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `productiolist` (
  `productiolistID` int(11) NOT NULL AUTO_INCREMENT,
  `ProductIoPortId` varchar(45) DEFAULT NULL,
  `ProductIoBaudRates` varchar(85) DEFAULT NULL,
  `ProductIoNotes` varchar(150) DEFAULT NULL,
  `IoPurpose_iopurposeID` int(11) NOT NULL,
  `IoType_iotypeID` int(11) NOT NULL,
  `ProductSupported_productsupportedID` int(11) NOT NULL,
  PRIMARY KEY (`productiolistID`,`IoPurpose_iopurposeID`,`IoType_iotypeID`,`ProductSupported_productsupportedID`),
  KEY `fk_ProductIoList_IoPurpose1_idx` (`IoPurpose_iopurposeID`),
  KEY `fk_ProductIoList_IoType1_idx` (`IoType_iotypeID`),
  KEY `fk_ProductIoList_ProductSupported1_idx` (`ProductSupported_productsupportedID`)
) ENGINE=InnoDB AUTO_INCREMENT=38 DEFAULT CHARSET=latin1;

INSERT INTO `productiolist` VALUES ('1',NULL,NULL,NULL,'1','1','1');
INSERT INTO `productiolist` VALUES ('2',NULL,NULL,NULL,'5','1','1');
INSERT INTO `productiolist` VALUES ('3',NULL,NULL,NULL,'3','6','1');
INSERT INTO `productiolist` VALUES ('4',NULL,NULL,NULL,'7','6','1');
INSERT INTO `productiolist` VALUES ('5',NULL,NULL,NULL,'4','5','1');

CREATE TABLE `productsupported` (
  `productsupportedID` int(11) NOT NULL AUTO_INCREMENT,
  `ProductCode` varchar(45) DEFAULT NULL,
  `ProductName` varchar(75) DEFAULT NULL,
  `ProductCie` varchar(75) DEFAULT NULL,
  `ProductApplicationName` varchar(75) DEFAULT NULL,
  `ProductControlCommType` varchar(85) DEFAULT NULL,
  `ProductControlDriverTypeAvailable` varchar(85) DEFAULT NULL,
  `ProductCategory_productcategoryID` int(11) NOT NULL,
  `ProductMaxInputsVideo` int(11) DEFAULT NULL,
  `ProductMaxInputsAudio` int(11) DEFAULT NULL,
  `ProductMaxInputsAV` int(11) DEFAULT NULL,
  `ProductMaxOutputsVideo` int(11) DEFAULT NULL,
  `ProductMaxOutputsAudio` int(11) DEFAULT NULL,
  `ProductMaxOutputsAV` int(11) DEFAULT NULL,
  `ProductBaudRateSupported` varchar(85) DEFAULT NULL,
  PRIMARY KEY (`productsupportedID`,`ProductCategory_productcategoryID`),
  KEY `fk_ProductSupported_ProductCategory1_idx` (`ProductCategory_productcategoryID`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=latin1;

INSERT INTO `productsupported` VALUES ('1','500752/753/754/755/756','HDMI over IP','Muxlab','P_muxlab_500752_753','IP','IP','2','16',NULL,NULL,'200',NULL,NULL,NULL);
INSERT INTO `productsupported` VALUES ('3','500758/759/770/771/773/777/778','HDMI over IP 4K','Muxlab','P_muxlab_500758','IP','IP','2','16',NULL,NULL,'200',NULL,NULL,NULL);
INSERT INTO `productsupported` VALUES ('4','500757','HDMI over IP H264','Muxlab','P_muxlab_500757','IP','IP','2',NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `productsupported` VALUES ('5','500762/763','HDMI over IP H264/H265','Muxlab','P_muxlab_500762','IP','IP','2',NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `productsupported` VALUES ('6','500816-IP','8-Button IP PoE Control Panel','Muxlab','P_muxlab_500816','IP','IP','7',NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `productsupported` VALUES ('7','500760/761','AV Over IP 4K/60','Muxlab','P_muxlab_500760','IP','IP','2',NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `productsupported` VALUES ('8','500768','HDMI over IP Uncompressed 4K/60','Muxlab','P_muxlab_500768','IP','IP','2',NULL,NULL,NULL,NULL,NULL,NULL,NULL);

CREATE TABLE `user` (
  `userID` int(11) NOT NULL AUTO_INCREMENT,
  `UserName` varchar(65) DEFAULT NULL,
  `UserPassword` varchar(45) DEFAULT NULL,
  `UserEmail` varchar(65) DEFAULT NULL,
  `UserCreationDate` datetime DEFAULT NULL,
  `UserExpirationDate` datetime DEFAULT NULL,
  `UserSalt` varchar(8) DEFAULT NULL,
  `UserIsActivated` tinyint(1) DEFAULT NULL,
  `UserRight_UserRightID` int(11) NOT NULL,
  PRIMARY KEY (`userID`),
  UNIQUE KEY `UserID_UNIQUE` (`userID`),
  KEY `fk_User_UserRight_idx` (`UserRight_UserRightID`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;

INSERT INTO `user` VALUES ('1','admin','9e4da960709c9c4e004a08844d777e4dd86f8a2f',NULL,'2014-05-20 00:00:00','2015-05-20 00:00:00','ZssyLABm','1','1');
INSERT INTO `user` VALUES ('2','guest','guest',NULL,'2014-05-20 00:00:00','2015-05-20 00:00:00','12345678','1','2');

CREATE TABLE `userright` (
  `userrightID` int(11) NOT NULL AUTO_INCREMENT,
  `UserRight_All` tinyint(1) DEFAULT NULL,
  `UserRight_Read` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`userrightID`),
  UNIQUE KEY `UserRightID_UNIQUE` (`userrightID`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;

INSERT INTO `userright` VALUES ('1','1','1');
INSERT INTO `userright` VALUES ('2','0','1');

CREATE TABLE `videowallconfig_p1` (
  `videowallconfig_p1ID` int(11) NOT NULL AUTO_INCREMENT,
  `VideoWallName` varchar(45) DEFAULT NULL,
  `VideoWallSize` varchar(45) DEFAULT NULL,
  `ProductGlobalAttributs_P1_productglobalattributs_p1ID` int(11) NOT NULL,
  PRIMARY KEY (`videowallconfig_p1ID`,`ProductGlobalAttributs_P1_productglobalattributs_p1ID`),
  KEY `fk_VideoWallConfig_P1_ProductGlobalAttributs_P11_idx` (`ProductGlobalAttributs_P1_productglobalattributs_p1ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `videowallconfig_p3` (
  `videowallconfig_p3ID` int(11) NOT NULL AUTO_INCREMENT,
  `VideoWallName` varchar(45) DEFAULT NULL,
  `VideoWallSize` varchar(45) DEFAULT NULL,
  `ProductGlobalAttributs_P3_productglobalattributs_p3ID` int(11) NOT NULL,
  PRIMARY KEY (`videowallconfig_p3ID`,`ProductGlobalAttributs_P3_productglobalattributs_p3ID`),
  KEY `fk_VideoWallConfig_P3_ProductGlobalAttributs_P31_idx` (`ProductGlobalAttributs_P3_productglobalattributs_p3ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `videowallconfig_p5` (
  `videowallconfig_p5ID` int(11) NOT NULL AUTO_INCREMENT,
  `VideoWallName` varchar(45) DEFAULT NULL,
  `VideoWallSize` varchar(45) DEFAULT NULL,
  `ProductGlobalAttributs_P5_productglobalattributs_p5ID` int(11) NOT NULL,
  PRIMARY KEY (`videowallconfig_p5ID`,`ProductGlobalAttributs_P5_productglobalattributs_p5ID`),
  KEY `fk_VideoWallConfig_P5_ProductGlobalAttributs_P51_idx` (`ProductGlobalAttributs_P5_productglobalattributs_p5ID`)  
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `vwrxsettings_p1` (
  `vwrxsettings_p1ID` int(11) NOT NULL AUTO_INCREMENT,
  `macRx` varchar(45) DEFAULT NULL,
  `macTx` varchar(45) DEFAULT NULL,
  `isVideoWallMode` tinyint(1) DEFAULT NULL,
  `vwGlobalSize` varchar(25) DEFAULT NULL,
  `xGlobalCoordonate` smallint(6) DEFAULT NULL,
  `yGlobalCoordonate` smallint(6) DEFAULT NULL,
  `vwSizeX` smallint(6) DEFAULT NULL,
  `vwSizeY` smallint(6) DEFAULT NULL,
  `xCoordonate` smallint(6) DEFAULT NULL,
  `yCoordonate` smallint(6) DEFAULT NULL,
  `bezelTop` float DEFAULT NULL,
  `bezelBottom` float DEFAULT NULL,
  `bezelLeft` float DEFAULT NULL,
  `bezelRight` float DEFAULT NULL,
  `screenWidth` float DEFAULT NULL,
  `screenHeight` float DEFAULT NULL,
  `regStartAddr` varchar(10) DEFAULT '',
  `regSrcSizeH` varchar(10) DEFAULT '',
  `regSrcSizeV` varchar(10) DEFAULT '',
  `regRatioH` varchar(10) DEFAULT '',
  `regRatioV` varchar(10) DEFAULT '',
  `regInitPhaseH` varchar(10) DEFAULT '',
  `regInitPhaseY` varchar(10) DEFAULT '',
  `VideoWallConfig_P1_videowallconfig_p1ID` int(11) NOT NULL,
  `scaleUpH` smallint(6) DEFAULT NULL,
  `scaleDownH` smallint(6) DEFAULT NULL,
  `scaleUpV` smallint(6) DEFAULT NULL,
  `scaleDownV` smallint(6) DEFAULT NULL,
  `shiftUp` smallint(6) DEFAULT NULL,
  `shiftDown` smallint(6) DEFAULT NULL,
  `shiftRight` smallint(6) DEFAULT NULL,
  `shiftLeft` smallint(6) DEFAULT NULL,
  `measureUnit` varchar(25) DEFAULT NULL,
  PRIMARY KEY (`vwrxsettings_p1ID`,`VideoWallConfig_P1_videowallconfig_p1ID`),
  KEY `fk_VWRxSettings_P1_VideoWallConfig_P11_idx` (`VideoWallConfig_P1_videowallconfig_p1ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `vwrxsettings_p3` (
  `vwrxsettings_p3ID` int(11) NOT NULL AUTO_INCREMENT,
  `macRx` varchar(45) DEFAULT NULL,
  `macTx` varchar(45) DEFAULT NULL,
  `isVideoWallMode` tinyint(1) DEFAULT NULL,
  `vwGlobalSize` varchar(45) DEFAULT NULL,
  `xGlobalCoordonate` smallint(6) DEFAULT NULL,
  `yGlobalCoordonate` smallint(6) DEFAULT NULL,
  `vwSizeX` smallint(6) DEFAULT NULL,
  `vwSizeY` smallint(6) DEFAULT NULL,
  `xCoordonate` smallint(6) DEFAULT NULL,
  `yCoordonate` smallint(6) DEFAULT NULL,
  `bezelTop` float DEFAULT NULL,
  `bezelBottom` float DEFAULT NULL,
  `bezelLeft` float DEFAULT NULL,
  `bezelRight` float DEFAULT NULL,
  `screenWidth` float DEFAULT NULL,
  `screenHeight` float DEFAULT NULL,
  `VideoWallConfig_P3_videowallconfig_p3ID` int(11) NOT NULL,
  `scaleUpH` smallint(6) DEFAULT NULL,
  `scaleDownH` smallint(6) DEFAULT NULL,
  `scaleUpV` smallint(6) DEFAULT NULL,
  `scaleDownV` smallint(6) DEFAULT NULL,
  `shiftUp` smallint(6) DEFAULT NULL,
  `shiftDown` smallint(6) DEFAULT NULL,
  `shiftRight` smallint(6) DEFAULT NULL,
  `shiftLeft` smallint(6) DEFAULT NULL,
  `measureUnit` varchar(25) DEFAULT NULL,
  PRIMARY KEY (`vwrxsettings_p3ID`,`VideoWallConfig_P3_videowallconfig_p3ID`),
  KEY `fk_VWRxSettings_P3_VideoWallConfig_P31_idx` (`VideoWallConfig_P3_videowallconfig_p3ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

CREATE TABLE `vwrxsettings_p5` (
  `vwrxsettings_p5ID` int(11) NOT NULL AUTO_INCREMENT,
  `macRx` varchar(45) DEFAULT NULL,
  `macTx` varchar(45) DEFAULT NULL,
  `isVideoWallMode` tinyint(1) DEFAULT NULL,
  `vwGlobalSize` varchar(45) DEFAULT NULL,
  `xGlobalCoordonate` smallint(6) DEFAULT NULL,
  `yGlobalCoordonate` smallint(6) DEFAULT NULL,
  `vwSizeX` smallint(6) DEFAULT NULL,
  `vwSizeY` smallint(6) DEFAULT NULL,
  `xCoordonate` smallint(6) DEFAULT NULL,
  `yCoordonate` smallint(6) DEFAULT NULL,
  `bezelTop` float DEFAULT NULL,
  `bezelBottom` float DEFAULT NULL,
  `bezelLeft` float DEFAULT NULL,
  `bezelRight` float DEFAULT NULL,
  `screenWidth` float DEFAULT NULL,
  `screenHeight` float DEFAULT NULL,
  `VideoWallConfig_P5_videowallconfig_p5ID` int(11) NOT NULL,
  `scaleUpH` smallint(6) DEFAULT NULL,
  `scaleDownH` smallint(6) DEFAULT NULL,
  `scaleUpV` smallint(6) DEFAULT NULL,
  `scaleDownV` smallint(6) DEFAULT NULL,
  `shiftUp` smallint(6) DEFAULT NULL,
  `shiftDown` smallint(6) DEFAULT NULL,
  `shiftRight` smallint(6) DEFAULT NULL,
  `shiftLeft` smallint(6) DEFAULT NULL,
  `measureUnit` varchar(25) DEFAULT NULL,
  PRIMARY KEY (`vwrxsettings_p5ID`,`VideoWallConfig_P5_videowallconfig_p5ID`),
  KEY `fk_VWRxSettings_P5_VideoWallConfig_P51_idx` (`VideoWallConfig_P5_videowallconfig_p5ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `productplayersettings_p5` (
  `playersettings_p5ID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `Mac` varchar(45) DEFAULT NULL,
  `player_num` varchar(2) NOT NULL,
  `player_enable` tinyint(1) DEFAULT '0',
  `play_state` varchar(2) DEFAULT NULL,
  `low_delay` varchar(2) DEFAULT NULL,
  `repeatable` varchar(2) DEFAULT NULL,
  `src_onplaying` varchar(255) DEFAULT NULL,
  `vid_width_I` varchar(15) DEFAULT NULL,
  `vid_Height_I` varchar(15) DEFAULT NULL,
  `vid_fps_I` varchar(15) DEFAULT NULL,
  `vid_bitr_I` varchar(15) DEFAULT NULL,
  `vid_codec_I` varchar(25) DEFAULT NULL,
  `aud_frq_I` varchar(15) DEFAULT NULL,
  `aud_bitr_I` varchar(15) DEFAULT NULL,
  `aud_codec_I` varchar(25) DEFAULT NULL,
  `window_enable` tinyint(1) DEFAULT '0',
  `window_zorder` varchar(2) DEFAULT NULL,
  `window_aspectCvrs` varchar(2) DEFAULT NULL,
  `window_rotate` varchar(2) DEFAULT NULL,
  `window_xcoord_ratio` float(9,6) DEFAULT NULL,
  `window_ycoord_ratio` float(9,6) DEFAULT NULL,
  `window_width_ratio` float(9,6) DEFAULT NULL,
  `window_height_ratio` float(9,6) DEFAULT NULL,
  `window_xcoord_dst` smallint(6) DEFAULT NULL,
  `window_ycoord_dst` smallint(6) DEFAULT NULL,
  `window_width_dst` smallint(6) DEFAULT NULL,
  `window_height_dst` smallint(6) DEFAULT NULL,
  `window_xcoord_src` smallint(6) DEFAULT NULL,
  `window_ycoord_src` smallint(6) DEFAULT NULL,
  `window_width_src` smallint(6) DEFAULT NULL,
  `window_height_src` smallint(6) DEFAULT NULL,
  `ProductGlobalAttributs_P5_productglobalattributs_p5ID` int(11) NOT NULL,
  PRIMARY KEY (`playersettings_p5ID`,`ProductGlobalAttributs_P5_productglobalattributs_p5ID`),
  KEY `fk_PlayerSettings_P5_ProductGlobalAttributs_P5_idx` (`ProductGlobalAttributs_P5_productglobalattributs_p5ID`),
  CONSTRAINT `fk_PlayerSettings_P5_ProductGlobalAttributs_P5` FOREIGN KEY (`ProductGlobalAttributs_P5_productglobalattributs_p5ID`) REFERENCES `productglobalattributs_p5` (`productglobalattributs_p5ID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `multiviewconfig_p5` (
  `multiviewconfig_p5ID` int(11) NOT NULL AUTO_INCREMENT,
  `MultiViewVideoWallName` VARCHAR(45) DEFAULT NULL,
  `MultiViewName` varchar(45) DEFAULT NULL,
  `MultiViewSizeX` smallint(6) DEFAULT NULL,
  `MultiViewSizeY` smallint(6) DEFAULT NULL,
  `ProductGlobalAttributs_P5_productglobalattributs_p5ID` int(11) NOT NULL,
  PRIMARY KEY (`multiviewconfig_p5ID`,`ProductGlobalAttributs_P5_productglobalattributs_p5ID`),
  KEY `fk_MultiViewConfig_P5_ProductGlobalAttributs_P51_idx` (`ProductGlobalAttributs_P5_productglobalattributs_p5ID`),
  CONSTRAINT `fk_MultiViewConfig_P5_ProductGlobalAttributs_P51` FOREIGN KEY (`ProductGlobalAttributs_P5_productglobalattributs_p5ID`) REFERENCES `productglobalattributs_p5` (`productglobalattributs_p5ID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `mvrxsettings_p5` (
  `mvrxsettings_p5ID` int(11) NOT NULL AUTO_INCREMENT,
  `macRx` varchar(45) DEFAULT NULL,
  `type` varchar(45) DEFAULT NULL,
  `display_mode` tinyint(1) DEFAULT 0,
  `display_res` tinyint(1) DEFAULT 100,
  `deep_color` tinyint(1) DEFAULT 0,
  `num_aud_on` tinyint(1) DEFAULT 1,
  `mvCoordX` smallint(6) DEFAULT NULL,
  `mvCoordY` smallint(6) DEFAULT NULL,  
  `mvSizeX` smallint(6) DEFAULT NULL,
  `mvSizeY` smallint(6) DEFAULT NULL,  
  `bezelTop` float DEFAULT NULL,
  `bezelBottom` float DEFAULT NULL,
  `bezelLeft` float DEFAULT NULL,
  `bezelRight` float DEFAULT NULL,
  `scaleUpH` smallint(6) DEFAULT NULL,
  `scaleDownH` smallint(6) DEFAULT NULL,
  `scaleUpV` smallint(6) DEFAULT NULL,
  `scaleDownV` smallint(6) DEFAULT NULL,
  `shiftUp` smallint(6) DEFAULT NULL,
  `shiftDown` smallint(6) DEFAULT NULL,
  `shiftRight` smallint(6) DEFAULT NULL,
  `shiftLeft` smallint(6) DEFAULT NULL,  
  `screenWidth` float DEFAULT NULL,
  `screenHeight` float DEFAULT NULL,
  `measureUnit` varchar(25) DEFAULT NULL,
  `MultiViewConfig_P5_multiviewconfig_p5ID` int(11) NOT NULL,  
  PRIMARY KEY (`mvrxsettings_p5ID`,`MultiViewConfig_P5_multiviewconfig_p5ID`),
  KEY `fk_MVRxSettings_P5_MultiViewConfig_P51_idx` (`MultiViewConfig_P5_multiviewconfig_p5ID`),
  CONSTRAINT `fk_VWRxSettings_P5_MultiViewConfig_P51` FOREIGN KEY (`MultiViewConfig_P5_multiviewconfig_p5ID`) REFERENCES `multiviewconfig_p5` (`multiviewconfig_p5ID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;
  
CREATE TABLE `mvtxsettings_p5` (
  `mvtxsettings_p5ID` int(11) NOT NULL AUTO_INCREMENT,
  `macTx` varchar(45) DEFAULT NULL,
  `src_onplaying` varchar(255) DEFAULT NULL,
  `num_aud_on` smallint(2) DEFAULT NULL,
  `zorder` smallint(2) DEFAULT NULL,
  `aspectCvrs` smallint(2) DEFAULT NULL,
  `rotate` smallint(2) DEFAULT NULL,
  `low_delay` smallint(2) DEFAULT NULL,
  `repeatable` smallint(2) DEFAULT NULL,
  `mvCoordX` smallint(6) DEFAULT NULL,
  `mvCoordY` smallint(6) DEFAULT NULL,
  `mvSizeX` smallint(6) DEFAULT NULL,
  `mvSizeY` smallint(6) DEFAULT NULL,
  `scaleUpH` smallint(6) DEFAULT NULL,
  `scaleDownH` smallint(6) DEFAULT NULL,
  `scaleUpV` smallint(6) DEFAULT NULL,
  `scaleDownV` smallint(6) DEFAULT NULL,
  `shiftUp` smallint(6) DEFAULT NULL,
  `shiftDown` smallint(6) DEFAULT NULL,
  `shiftRight` smallint(6) DEFAULT NULL,
  `shiftLeft` smallint(6) DEFAULT NULL,
  `MultiViewConfig_P5_multiviewconfig_p5ID` int(11) NOT NULL,
  PRIMARY KEY (`mvtxsettings_p5ID`,`MultiViewConfig_P5_multiviewconfig_p5ID`),
  KEY `fk_MVTxSettings_P5_MultiViewConfig_P51_idx` (`MultiViewConfig_P5_multiviewconfig_p5ID`),
  CONSTRAINT `fk_VWTxSettings_P5_MultiViewConfig_P51` FOREIGN KEY (`MultiViewConfig_P5_multiviewconfig_p5ID`) REFERENCES `multiviewconfig_p5` (`multiviewconfig_p5ID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `controllerConfig_p6` (
  `controllerConfig_p6ID` int(11) NOT NULL AUTO_INCREMENT,
  `commandKey` varchar(75) DEFAULT NULL,
  `commandValue` text,
  `ProductGlobalAttributs_P6_productglobalattributs_p6ID` int(11) NOT NULL,
  PRIMARY KEY (`controllerConfig_p6ID`,`ProductGlobalAttributs_P6_productglobalattributs_p6ID`),
  KEY `fk_ProductIoAttributsList_P6_ProductGlobalAttributs_P61_idx` (`ProductGlobalAttributs_P6_productglobalattributs_p6ID`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

CREATE TABLE `featuresupport` (
  `featuresupportID` int(11) NOT NULL AUTO_INCREMENT,
  `ProductIoAttrModel` varchar(45) DEFAULT NULL,
  `irModesSupported` varchar(10) DEFAULT NULL,
  `rs232TwoWay` tinyint(1) DEFAULT '0',
  PRIMARY KEY (`featuresupportID`)
) ENGINE=InnoDB AUTO_INCREMENT=47 DEFAULT CHARSET=latin1;

INSERT INTO `featuresupport` VALUES (1,'500752-RX','sensor',0),(2,'500752-TX','emitter',0),(3,'500753-RX','sensor',1),(4,'500753-TX','emitter',1),(5,'500754-RX','sensor',1),(6,'500754-TX','emitter',1),(7,'500755-RX','either',1),(8,'500755-TX','either',1),(9,'500755-RX AMP','either',1),(10,'500755-TX AMP','either',1),(11,'500756-RX','either',1),(12,'500756-TX','either',1),(13,'500757-RX','either',1),(14,'500757-TX','either',1),(15,'500758-RX','sensor',1),(16,'500758-TX','emitter',1),(17,'500759-RX','sensor',1),(18,'500759-TX','emitter',1),(19,'500760-RX','both',1),(20,'500760-TX','both',1),(21,'500761-RX','both',1),(22,'500761-TX','both',1),(23,'500762-RX','either',1),(24,'500762-TX','either',1),(25,'500763-RX','either',1),(26,'500763-TX','either',1),(27,'500767-RX','none',1),(28,'500767-TX','none',1),(29,'500768-RX','sensor',1),(30,'500768-TX','emitter',1),(31,'500769-RX','either',1),(32,'500769-TX','either',1),(33,'500770-RX','none',0),(34,'500770-TX','none',0),(35,'500771-RX','none',0),(36,'500771-TX','none',0),(37,'500773-RX','none',0),(38,'500773-TX','none',0),(39,'500774-RX','none',1),(40,'500774-TX','none',1),(41,'500775-RX','none',1),(42,'500775-TX','none',1),(43,'500777-RX','either',1),(44,'500777-TX','none',0),(45,'500779-RX','either',1),(46,'500779-TX','either',1),(47,'500778-RX','either',1),(48,'500778-TX','either',1),(49,'AV-IP-RX776','none',0),(50,'AV-IP-WP772','none',0),(51,'500759-DANTE-TX','either',1);

ALTER TABLE `globalproductlistsaved`
  ADD  CONSTRAINT `fk_GlobalProductListSaved_ProductSupported1` FOREIGN KEY (`ProductSupported_ProductSupportedID`) REFERENCES `productsupported` (`productsupportedID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `macvsport_p1`
  ADD  CONSTRAINT `fk_MacVsPort_P1_ProductGlobalAttributs_P11` FOREIGN KEY (`ProductGlobalAttributs_P1_productglobalattributs_p1ID`) REFERENCES `productglobalattributs_p1` (`productglobalattributs_p1ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `macvsport_p3`
  ADD  CONSTRAINT `fk_MacVsPort_P3_ProductGlobalAttributs_P31` FOREIGN KEY (`ProductGlobalAttributs_P3_productglobalattributs_p3ID`) REFERENCES `productglobalattributs_p3` (`productglobalattributs_p3ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `macvsport_p4`
  ADD  CONSTRAINT `fk_MacVsPort_P4_ProductGlobalAttributs_P41` FOREIGN KEY (`ProductGlobalAttributs_P4_productglobalattributs_p4ID`) REFERENCES `productglobalattributs_p4` (`productglobalattributs_p4ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `macvsport_p5`
  ADD  CONSTRAINT `fk_MacVsPort_P5_ProductGlobalAttributs_P550` FOREIGN KEY (`ProductGlobalAttributs_P5_productglobalattributs_p5ID`) REFERENCES `productglobalattributs_p5` (`productglobalattributs_p5ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `presets_p1`
  ADD  CONSTRAINT `fk_Presets_P1_ProductGlobalAttributs_P11` FOREIGN KEY (`ProductGlobalAttributs_P1_productglobalattributs_p1ID`) REFERENCES `productglobalattributs_p1` (`productglobalattributs_p1ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `presets_p2`
  ADD  CONSTRAINT `fk_Presets_P2_ProductGlobalAttributs_P21` FOREIGN KEY (`ProductGlobalAttributs_P2_productglobalattributs_p2ID`) REFERENCES `productglobalattributs_p2` (`productglobalattributs_p2ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `presets_p3`
  ADD  CONSTRAINT `fk_Presets_P3_ProductGlobalAttributs_P31` FOREIGN KEY (`ProductGlobalAttributs_P3_productglobalattributs_p3ID`) REFERENCES `productglobalattributs_p3` (`productglobalattributs_p3ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `presets_p4`
  ADD  CONSTRAINT `fk_Presets_P4_ProductGlobalAttributs_P41` FOREIGN KEY (`ProductGlobalAttributs_P4_productglobalattributs_p4ID`) REFERENCES `productglobalattributs_p4` (`productglobalattributs_p4ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `presets_p5`
  ADD  CONSTRAINT `fk_Presets_P5_ProductGlobalAttributs_P550` FOREIGN KEY (`ProductGlobalAttributs_P5_productglobalattributs_p5ID`) REFERENCES `productglobalattributs_p5` (`productglobalattributs_p5ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `presetsmatrix_p1`
  ADD  CONSTRAINT `fk_PresetsMatrix_P1_Presets_P11` FOREIGN KEY (`Presets_P1_presets_p1ID`) REFERENCES `presets_p1` (`presets_p1ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `presetsmatrix_p2`
  ADD  CONSTRAINT `fk_PresetsMatrix_P2_Presets_P21` FOREIGN KEY (`Presets_P2_presets_p2ID`) REFERENCES `presets_p2` (`presets_p2ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `presetsmatrix_p3`
  ADD  CONSTRAINT `fk_PresetsMatrix_P3_Presets_P31` FOREIGN KEY (`Presets_P3_presets_p3ID`) REFERENCES `presets_p3` (`presets_p3ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `presetsmatrix_p4`
  ADD  CONSTRAINT `fk_PresetsMatrix_P4_Presets_P41` FOREIGN KEY (`Presets_P4_presets_p4ID`) REFERENCES `presets_p4` (`presets_p4ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `presetsmatrix_p5`
  ADD  CONSTRAINT `fk_PresetsMatrix_P5_Presets_P550` FOREIGN KEY (`Presets_P5_presets_p5ID`) REFERENCES `presets_p5` (`presets_p5ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `productglobalattributs_p1`
  ADD  CONSTRAINT `fk_ProductGlobalAttributs_P1_GlobalProductListSaved1` FOREIGN KEY (`GlobalProductListSaved_globalproductlistsavedID`) REFERENCES `globalproductlistsaved` (`globalproductlistsavedID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `productglobalattributs_p2`
  ADD  CONSTRAINT `fk_ProductGlobalAttributs_P2_GlobalProductListSaved1` FOREIGN KEY (`GlobalProductListSaved_globalproductlistsavedID`) REFERENCES `globalproductlistsaved` (`globalproductlistsavedID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `productglobalattributs_p3`
  ADD  CONSTRAINT `fk_ProductGlobalAttributs_P3_GlobalProductListSaved1` FOREIGN KEY (`GlobalProductListSaved_globalproductlistsavedID`) REFERENCES `globalproductlistsaved` (`globalproductlistsavedID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `productglobalattributs_p4`
  ADD  CONSTRAINT `fk_ProductGlobalAttributs_P4_GlobalProductListSaved1` FOREIGN KEY (`GlobalProductListSaved_globalproductlistsavedID`) REFERENCES `globalproductlistsaved` (`globalproductlistsavedID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `productglobalattributs_p5`
  ADD  CONSTRAINT `fk_ProductGlobalAttributs_P5_GlobalProductListSaved1` FOREIGN KEY (`GlobalProductListSaved_globalproductlistsavedID`) REFERENCES `globalproductlistsaved` (`globalproductlistsavedID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `productioattributslist_p1`
  ADD  CONSTRAINT `fk_ProductIoAttributsList_P1_IoPurpose1` FOREIGN KEY (`IoPurpose_iopurposeID`) REFERENCES `iopurpose` (`iopurposeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD  CONSTRAINT `fk_ProductIoAttributsList_P1_IoType1` FOREIGN KEY (`IoType_iotypeID`) REFERENCES `iotype` (`iotypeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD  CONSTRAINT `fk_ProductIoAttributsList_P1_ProductGlobalAttributs_P11` FOREIGN KEY (`ProductGlobalAttributs_P1_productglobalattributs_p1ID`) REFERENCES `productglobalattributs_p1` (`productglobalattributs_p1ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `productioattributslist_p2`
  ADD  CONSTRAINT `fk_ProductIoAttributsList_P2_IoPurpose1` FOREIGN KEY (`IoPurpose_iopurposeID`) REFERENCES `iopurpose` (`iopurposeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD  CONSTRAINT `fk_ProductIoAttributsList_P2_IoType1` FOREIGN KEY (`IoType_iotypeID`) REFERENCES `iotype` (`iotypeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD  CONSTRAINT `fk_ProductIoAttributsList_P2_ProductGlobalAttributs_P21` FOREIGN KEY (`ProductGlobalAttributs_P2_productglobalattributs_p2ID`) REFERENCES `productglobalattributs_p2` (`productglobalattributs_p2ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `productioattributslist_p3`
  ADD  CONSTRAINT `fk_ProductIoAttributsList_P3_IoPurpose1` FOREIGN KEY (`IoPurpose_iopurposeID`) REFERENCES `iopurpose` (`iopurposeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD  CONSTRAINT `fk_ProductIoAttributsList_P3_IoType1` FOREIGN KEY (`IoType_iotypeID`) REFERENCES `iotype` (`iotypeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD  CONSTRAINT `fk_ProductIoAttributsList_P3_ProductGlobalAttributs_P31` FOREIGN KEY (`ProductGlobalAttributs_P3_productglobalattributs_p3ID`) REFERENCES `productglobalattributs_p3` (`productglobalattributs_p3ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `productiolist`
  ADD  CONSTRAINT `fk_ProductIoList_IoPurpose1` FOREIGN KEY (`IoPurpose_iopurposeID`) REFERENCES `iopurpose` (`iopurposeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD  CONSTRAINT `fk_ProductIoList_IoType1` FOREIGN KEY (`IoType_iotypeID`) REFERENCES `iotype` (`iotypeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD  CONSTRAINT `fk_ProductIoList_ProductSupported1` FOREIGN KEY (`ProductSupported_productsupportedID`) REFERENCES `productsupported` (`productsupportedID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `productioattributslist_p4`
  ADD  CONSTRAINT `fk_ProductIoAttributsList_P4_IoPurpose1` FOREIGN KEY (`IoPurpose_iopurposeID`) REFERENCES `iopurpose` (`iopurposeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD  CONSTRAINT `fk_ProductIoAttributsList_P4_IoType1` FOREIGN KEY (`IoType_iotypeID`) REFERENCES `iotype` (`iotypeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD  CONSTRAINT `fk_ProductIoAttributsList_P4_ProductGlobalAttributs_P41` FOREIGN KEY (`ProductGlobalAttributs_P4_productglobalattributs_p4ID`) REFERENCES `productglobalattributs_p4` (`productglobalattributs_p4ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `productioattributslist_p5`
  ADD  CONSTRAINT `fk_ProductIoAttributsList_P5_IoPurpose5` FOREIGN KEY (`IoPurpose_iopurposeID`) REFERENCES `iopurpose` (`iopurposeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD  CONSTRAINT `fk_ProductIoAttributsList_P5_IoType5` FOREIGN KEY (`IoType_iotypeID`) REFERENCES `iotype` (`iotypeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD  CONSTRAINT `fk_ProductIoAttributsList_P5_ProductGlobalAttributs_P5` FOREIGN KEY (`ProductGlobalAttributs_P5_productglobalattributs_p5ID`) REFERENCES `productglobalattributs_p5` (`productglobalattributs_p5ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `productsupported`
  ADD  CONSTRAINT `fk_ProductSupported_ProductCategory1` FOREIGN KEY (`ProductCategory_productcategoryID`) REFERENCES `productcategory` (`productcategoryID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `user`
  ADD  CONSTRAINT `fk_User_UserRight` FOREIGN KEY (`UserRight_UserRightID`) REFERENCES `userright` (`userrightID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `videowallconfig_p1`
  ADD  CONSTRAINT `fk_VideoWallConfig_P1_ProductGlobalAttributs_P11` FOREIGN KEY (`ProductGlobalAttributs_P1_productglobalattributs_p1ID`) REFERENCES `productglobalattributs_p1` (`productglobalattributs_p1ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `videowallconfig_p3`
  ADD  CONSTRAINT `fk_VideoWallConfig_P3_ProductGlobalAttributs_P31` FOREIGN KEY (`ProductGlobalAttributs_P3_productglobalattributs_p3ID`) REFERENCES `productglobalattributs_p3` (`productglobalattributs_p3ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `videowallconfig_p5`
  ADD CONSTRAINT `fk_VideoWallConfig_P5_ProductGlobalAttributs_P51` FOREIGN KEY (`ProductGlobalAttributs_P5_productglobalattributs_p5ID`) REFERENCES `productglobalattributs_p5` (`productglobalattributs_p5ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;  

ALTER TABLE `vwrxsettings_p1`
  ADD  CONSTRAINT `fk_VWRxSettings_P1_VideoWallConfig_P11` FOREIGN KEY (`VideoWallConfig_P1_videowallconfig_p1ID`) REFERENCES `videowallconfig_p1` (`videowallconfig_p1ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `vwrxsettings_p3`
  ADD  CONSTRAINT `fk_VWRxSettings_P3_VideoWallConfig_P31` FOREIGN KEY (`VideoWallConfig_P3_videowallconfig_p3ID`) REFERENCES `videowallconfig_p3` (`videowallconfig_p3ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `vwrxsettings_p5`
  ADD CONSTRAINT `fk_VWRxSettings_P5_VideoWallConfig_P51` FOREIGN KEY (`VideoWallConfig_P5_videowallconfig_p5ID`) REFERENCES `videowallconfig_p5` (`videowallconfig_p5ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `macvsport_p7`
  ADD  CONSTRAINT `fk_MacVsPort_P7_ProductGlobalAttributs_P71` FOREIGN KEY (`ProductGlobalAttributs_P7_productglobalattributs_p7ID`) REFERENCES `productglobalattributs_p7` (`productglobalattributs_p7ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `persistentsettings_p7`
  ADD  CONSTRAINT `fk_PersistentSettings_P7_ProductGlobalAttributs_P7` FOREIGN KEY (`ProductGlobalAttributs_P7_productglobalattributs_p7ID`) REFERENCES `productglobalattributs_p7` (`productglobalattributs_p7ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `persistentsettings_p3`
  ADD  CONSTRAINT `fk_PersistentSettings_P3_ProductGlobalAttributs_P3` FOREIGN KEY (`ProductGlobalAttributs_P3_productglobalattributs_p3ID`) REFERENCES `productglobalattributs_p3` (`productglobalattributs_p3ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `presets_p7`
  ADD  CONSTRAINT `fk_Presets_P7_ProductGlobalAttributs_P71` FOREIGN KEY (`ProductGlobalAttributs_P7_productglobalattributs_p7ID`) REFERENCES `productglobalattributs_p7` (`productglobalattributs_p7ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `presetsmatrix_p7`
  ADD  CONSTRAINT `fk_PresetsMatrix_P7_Presets_P71` FOREIGN KEY (`Presets_P7_presets_p7ID`) REFERENCES `presets_p7` (`presets_p7ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `productglobalattributs_p7`
  ADD  CONSTRAINT `fk_ProductGlobalAttributs_P7_GlobalProductListSaved1` FOREIGN KEY (`GlobalProductListSaved_globalproductlistsavedID`) REFERENCES `globalproductlistsaved` (`globalproductlistsavedID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `productioattributslist_p7`
  ADD  CONSTRAINT `fk_ProductIoAttributsList_P7_IoPurpose1` FOREIGN KEY (`IoPurpose_iopurposeID`) REFERENCES `iopurpose` (`iopurposeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD  CONSTRAINT `fk_ProductIoAttributsList_P7_IoType1` FOREIGN KEY (`IoType_iotypeID`) REFERENCES `iotype` (`iotypeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD  CONSTRAINT `fk_ProductIoAttributsList_P7_ProductGlobalAttributs_P71` FOREIGN KEY (`ProductGlobalAttributs_P7_productglobalattributs_p7ID`) REFERENCES `productglobalattributs_p7` (`productglobalattributs_p7ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;
  
ALTER TABLE `macvsport_p8`
  ADD  CONSTRAINT `fk_MacVsPort_P8_ProductGlobalAttributs_P81` FOREIGN KEY (`ProductGlobalAttributs_P8_productglobalattributs_p8ID`) REFERENCES `productglobalattributs_p8` (`productglobalattributs_p8ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `presets_p8`
  ADD  CONSTRAINT `fk_Presets_P8_ProductGlobalAttributs_P81` FOREIGN KEY (`ProductGlobalAttributs_P8_productglobalattributs_p8ID`) REFERENCES `productglobalattributs_p8` (`productglobalattributs_p8ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `presetsmatrix_p8`
  ADD  CONSTRAINT `fk_PresetsMatrix_P8_Presets_P81` FOREIGN KEY (`Presets_P8_presets_p8ID`) REFERENCES `presets_p8` (`presets_p8ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `productglobalattributs_p8`
  ADD  CONSTRAINT `fk_ProductGlobalAttributs_P8_GlobalProductListSaved1` FOREIGN KEY (`GlobalProductListSaved_globalproductlistsavedID`) REFERENCES `globalproductlistsaved` (`globalproductlistsavedID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `productioattributslist_p8`
  ADD  CONSTRAINT `fk_ProductIoAttributsList_P8_IoPurpose8` FOREIGN KEY (`IoPurpose_iopurposeID`) REFERENCES `iopurpose` (`iopurposeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD  CONSTRAINT `fk_ProductIoAttributsList_P8_IoType8` FOREIGN KEY (`IoType_iotypeID`) REFERENCES `iotype` (`iotypeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD  CONSTRAINT `fk_ProductIoAttributsList_P8_ProductGlobalAttributs_P8` FOREIGN KEY (`ProductGlobalAttributs_P8_productglobalattributs_p8ID`) REFERENCES `productglobalattributs_p8` (`productglobalattributs_p8ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `productglobalattributs_p6`
  ADD  CONSTRAINT `fk_ProductGlobalAttributs_P6_GlobalProductListSaved1` FOREIGN KEY (`GlobalProductListSaved_globalproductlistsavedID`) REFERENCES `globalproductlistsaved` (`globalproductlistsavedID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `productioattributslist_p6`
  ADD  CONSTRAINT `fk_ProductIoAttributsList_P6_IoPurpose1` FOREIGN KEY (`IoPurpose_iopurposeID`) REFERENCES `iopurpose` (`iopurposeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD  CONSTRAINT `fk_ProductIoAttributsList_P6_IoType1` FOREIGN KEY (`IoType_iotypeID`) REFERENCES `iotype` (`iotypeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD  CONSTRAINT `fk_ProductIoAttributsList_P6_ProductGlobalAttributs_P61` FOREIGN KEY (`ProductGlobalAttributs_P6_productglobalattributs_p6ID`) REFERENCES `productglobalattributs_p6` (`productglobalattributs_p6ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `productioattributslist_p5`
  ADD COLUMN `display_mode` tinyint(1) DEFAULT 0 AFTER `PublicIp`,
  ADD COLUMN `display_res` tinyint(1) DEFAULT 100 AFTER `display_mode`,
  ADD COLUMN `deep_color` tinyint(1) DEFAULT 0 AFTER `display_res`,
  ADD COLUMN `num_aud_on` tinyint(1) DEFAULT 1 AFTER `deep_color`,
  ADD COLUMN `Ch1_Low_delay` tinyint(1) DEFAULT 0 AFTER `Ch1_VidProtocol`;

ALTER TABLE `productioattributslist_p5` ADD `ProductIoAttrWifiMac` VARCHAR(21) NULL DEFAULT NULL AFTER `ProductIoAttrAudioIn`, ADD `ProductIoAttrWifiIp` VARCHAR(15) NULL DEFAULT NULL AFTER `ProductIoAttrWifiMac`, ADD `ProductIoAttrWifiMask` VARCHAR(15) NULL DEFAULT NULL AFTER `ProductIoAttrWifiIp`, ADD `ProductIoAttrWifiGateway` VARCHAR(15) NULL DEFAULT NULL AFTER `ProductIoAttrWifiMask`, ADD `ProductIoAttrWifiStatus` VARCHAR(15) NULL DEFAULT NULL AFTER `ProductIoAttrWifiGateway`, ADD `ProductIoAttrWifiIsDhcp` TINYINT(1) NULL DEFAULT NULL AFTER `ProductIoAttrWifiStatus`, ADD `ProductIoAttrWifiIsEnable` TINYINT(1) NULL DEFAULT NULL AFTER `ProductIoAttrWifiIsDhcp`, ADD `ProductIoAttrWifiDevExist` TINYINT(1) NULL DEFAULT NULL AFTER `ProductIoAttrWifiIsEnable`;

ALTER TABLE `controllerConfig_p6`
  ADD  CONSTRAINT `fk_ControllerConfig_P6_ProductGlobalAttributs_P61` FOREIGN KEY (`ProductGlobalAttributs_P6_productglobalattributs_p6ID`) REFERENCES `productglobalattributs_p6` (`productglobalattributs_p6ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `muxlabnetworkcontroller_dev_db`.`productsupported` 
  ADD `ProductCodeWestPenn` VARCHAR(45) CHARACTER SET latin1 COLLATE latin1_swedish_ci NULL DEFAULT NULL AFTER `ProductCode`;

UPDATE `muxlabnetworkcontroller_dev_db`.`productsupported`
  SET `ProductCodeWestPenn` = 'AV-IP-AMP'
  WHERE `productsupportedID` = 1;

UPDATE `muxlabnetworkcontroller_dev_db`.`productsupported`
  SET `ProductCodeWestPenn` = 'AV-IP-C8-WH'
  WHERE `productsupportedID` = 6;

UPDATE `muxlabnetworkcontroller_dev_db`.`productsupported`
  SET `ProductCodeWestPenn` = 'AV-IP-WP772/AV-IP-RX776'
  WHERE `productsupportedID` = 3;

ALTER TABLE `muxlabnetworkcontroller_dev_db`.`productsupported` 
  ADD `ProductNameWestPenn` VARCHAR(45) CHARACTER SET latin1 COLLATE latin1_swedish_ci NULL DEFAULT NULL AFTER `ProductName`;

UPDATE `muxlabnetworkcontroller_dev_db`.`productsupported`
  SET `ProductNameWestPenn` = 'Audio AMP IP'
  WHERE `productsupportedID` = 1;

UPDATE `muxlabnetworkcontroller_dev_db`.`productsupported`
  SET `ProductNameWestPenn` = '8 Button IP Controller'
  WHERE `productsupportedID` = 6;

UPDATE `muxlabnetworkcontroller_dev_db`.`productsupported`
  SET `ProductNameWestPenn` = 'HDMI/(VGA)/USB IP'
  WHERE `productsupportedID` = 3;
  
ALTER TABLE `productsupported` 
  ADD `ProductCodeC2GLeGrand` VARCHAR(45) CHARACTER SET latin1 COLLATE latin1_swedish_ci NULL DEFAULT NULL AFTER `ProductCodeWestPenn`;

UPDATE `productsupported`
  SET `ProductCodeC2GLeGrand` = '29975/29976'
  WHERE `productsupportedID` = 5;

ALTER TABLE `productsupported` 
  ADD `ProductNameC2GLeGrand` VARCHAR(75) CHARACTER SET latin1 COLLATE latin1_swedish_ci NULL DEFAULT NULL AFTER `ProductNameWestPenn`;

UPDATE `productsupported`
  SET `ProductNameC2GLeGrand` = '4K HDMI Over IP'
  WHERE `productsupportedID` = 5;  
  
ALTER TABLE `muxlabnetworkcontroller_dev_db`.`user` ADD COLUMN `UserIsChangedPassword` tinyint(1) DEFAULT 1 AFTER `UserExpirationDate`;

UPDATE `productsupported`
  SET `ProductCode` = '500762/763/764'
  WHERE `productsupportedID` = 5;

INSERT INTO `featuresupport` VALUES (52,'500764-TX','either',1);
INSERT INTO `featuresupport` VALUES (53,'500777-DECO-TX','none',0);

ALTER TABLE `muxlabnetworkcontroller_dev_db`.`productioattributslist_p5` ADD COLUMN `Ch1_JPEGisOn` tinyint(1) DEFAULT NULL AFTER `Ch1_RTMPport`;
ALTER TABLE `muxlabnetworkcontroller_dev_db`.`productioattributslist_p5` ADD COLUMN `Ch1_JPEGurl` varchar(255) DEFAULT NULL AFTER `Ch1_JPEGisOn`;
ALTER TABLE `muxlabnetworkcontroller_dev_db`.`productioattributslist_p5` ADD COLUMN `Ch1_MJPEGisOn` tinyint(1) DEFAULT NULL AFTER `Ch1_JPEGurl`;
ALTER TABLE `muxlabnetworkcontroller_dev_db`.`productioattributslist_p5` ADD COLUMN `Ch1_MJPEGurl` varchar(255) DEFAULT NULL AFTER `Ch1_MJPEGisOn`;

ALTER TABLE `muxlabnetworkcontroller_dev_db`.`productioattributslist_p5` ADD COLUMN `Ch1_RtmpPubIsOn` tinyint(1) DEFAULT NULL AFTER `Ch1_RTMPport`;
ALTER TABLE `muxlabnetworkcontroller_dev_db`.`productioattributslist_p5` ADD COLUMN `Ch1_RtmpPuburl` varchar(255) DEFAULT NULL AFTER `Ch1_RtmpPubIsOn`;

ALTER TABLE `muxlabnetworkcontroller_dev_db`.`productioattributslist_p5` ADD COLUMN `isPassthruHdmi` tinyint(1) DEFAULT NULL AFTER `num_aud_on`;
ALTER TABLE `muxlabnetworkcontroller_dev_db`.`productioattributslist_p5` ADD COLUMN `PassthruVidRes` varchar(25) DEFAULT NULL AFTER `isPassthruHdmi`;
ALTER TABLE `muxlabnetworkcontroller_dev_db`.`productioattributslist_p5` ADD COLUMN `isPassthruAnalogAudio` tinyint(1) DEFAULT NULL AFTER `PassthruVidRes`;

CREATE TABLE `persistentsettings_p5` (
  `persistentsettings_p5ID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `Mac` varchar(45) DEFAULT NULL,  
  `display_res` tinyint(1) DEFAULT 100,
  `ProductGlobalAttributs_P5_productglobalattributs_p5ID` int(11) NOT NULL,
  PRIMARY KEY (`persistentsettings_p5ID`,`ProductGlobalAttributs_P5_productglobalattributs_p5ID`),
  KEY `fk_PersistentSettings_P5_ProductGlobalAttributs_P5_idx` (`ProductGlobalAttributs_P5_productglobalattributs_p5ID`),
  CONSTRAINT `fk_PersistentSettings_P5_ProductGlobalAttributs_P5` FOREIGN KEY (`ProductGlobalAttributs_P5_productglobalattributs_p5ID`) REFERENCES `productglobalattributs_p5` (`productglobalattributs_p5ID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

ALTER TABLE `muxlabnetworkcontroller_dev_db`.`productioattributslist_p5` ADD COLUMN `Ch2_isEnabled` tinyint(1) DEFAULT NULL AFTER `Ch1_VidProtocol`;

ALTER TABLE `muxlabnetworkcontroller_dev_db`.`productioattributslist_p5` ADD COLUMN `Ch2_TSisOn` tinyint(1) DEFAULT NULL AFTER `Ch1_isEnabled`;
ALTER TABLE `muxlabnetworkcontroller_dev_db`.`productioattributslist_p5` ADD COLUMN `Ch2_TSurl` varchar(255) DEFAULT NULL AFTER `Ch2_TSisOn`;

ALTER TABLE `muxlabnetworkcontroller_dev_db`.`productioattributslist_p5` ADD COLUMN `Ch2_HLSisOn` tinyint(1) DEFAULT NULL AFTER `Ch2_TSurl`;
ALTER TABLE `muxlabnetworkcontroller_dev_db`.`productioattributslist_p5` ADD COLUMN `Ch2_HLSurl` varchar(255) DEFAULT NULL AFTER `Ch2_HLSisOn`;

ALTER TABLE `muxlabnetworkcontroller_dev_db`.`productioattributslist_p5` ADD COLUMN `Ch2_FLVisOn` tinyint(1) DEFAULT NULL AFTER `Ch2_HLSurl`;
ALTER TABLE `muxlabnetworkcontroller_dev_db`.`productioattributslist_p5` ADD COLUMN `Ch2_FLVurl` varchar(255) DEFAULT NULL AFTER `Ch2_FLVisOn`;

ALTER TABLE `muxlabnetworkcontroller_dev_db`.`productioattributslist_p5` ADD COLUMN `Ch2_RTSPisOn` tinyint(1) DEFAULT NULL AFTER `Ch2_FLVurl`;
ALTER TABLE `muxlabnetworkcontroller_dev_db`.`productioattributslist_p5` ADD COLUMN `Ch2_RTSPurl` varchar(255) DEFAULT NULL AFTER `Ch2_RTSPisOn`;

ALTER TABLE `muxlabnetworkcontroller_dev_db`.`productioattributslist_p5` ADD COLUMN `Ch2_MCASTisOn` tinyint(1) DEFAULT '0' AFTER `Ch2_RTSPurl`;
ALTER TABLE `muxlabnetworkcontroller_dev_db`.`productioattributslist_p5` ADD COLUMN `Ch2_MCASTip` varchar(15) DEFAULT '0' AFTER `Ch2_MCASTisOn`;
ALTER TABLE `muxlabnetworkcontroller_dev_db`.`productioattributslist_p5` ADD COLUMN `Ch2_MCASTport` varchar(10) DEFAULT NULL AFTER `Ch2_MCASTip`;
ALTER TABLE `muxlabnetworkcontroller_dev_db`.`productioattributslist_p5` ADD COLUMN `Ch2_MCASTurl` varchar(255) DEFAULT NULL AFTER `Ch2_MCASTport`;

ALTER TABLE `muxlabnetworkcontroller_dev_db`.`productioattributslist_p5` ADD COLUMN `Ch2_JPEGisOn` tinyint(1) DEFAULT NULL AFTER `Ch2_MCASTurl`;
ALTER TABLE `muxlabnetworkcontroller_dev_db`.`productioattributslist_p5` ADD COLUMN `Ch2_JPEGurl` varchar(255) DEFAULT NULL AFTER `Ch2_JPEGisOn`;

ALTER TABLE `muxlabnetworkcontroller_dev_db`.`productioattributslist_p5` ADD COLUMN `Ch2_MJPEGisOn` tinyint(1) DEFAULT NULL AFTER `Ch2_JPEGurl`;
ALTER TABLE `muxlabnetworkcontroller_dev_db`.`productioattributslist_p5` ADD COLUMN `Ch2_MJPEGurl` varchar(255) DEFAULT NULL AFTER `Ch2_MJPEGisOn`;

ALTER TABLE `muxlabnetworkcontroller_dev_db`.`productioattributslist_p5` ADD COLUMN `Ch2_VidResOut` varchar(15) DEFAULT NULL AFTER `Ch2_MJPEGurl`;
ALTER TABLE `muxlabnetworkcontroller_dev_db`.`productioattributslist_p5` ADD COLUMN `Ch2_VidFpsOut` varchar(15) DEFAULT NULL AFTER `Ch2_VidResOut`;
ALTER TABLE `muxlabnetworkcontroller_dev_db`.`productioattributslist_p5` ADD COLUMN `Ch2_VidBitRate` varchar(15) DEFAULT NULL AFTER `Ch2_VidFpsOut`;

ALTER TABLE `muxlabnetworkcontroller_dev_db`.`productioattributslist_p5` ADD COLUMN `Ch2_VidCodec` varchar(25) DEFAULT 'AUTO' AFTER `Ch2_VidBitRate`;
ALTER TABLE `muxlabnetworkcontroller_dev_db`.`productioattributslist_p5` ADD COLUMN `Ch2_isVBR` tinyint(1) DEFAULT '0' AFTER `Ch2_VidCodec`;
ALTER TABLE `muxlabnetworkcontroller_dev_db`.`productioattributslist_p5` ADD COLUMN `Ch2_GOP` varchar(5) DEFAULT NULL AFTER `Ch2_isVBR`;

ALTER TABLE `muxlabnetworkcontroller_dev_db`.`productioattributslist_p7` ADD COLUMN `ProductIoAttrUsbMac` varchar(21) DEFAULT NULL AFTER `ProductHdmi0AudioState`;
ALTER TABLE `muxlabnetworkcontroller_dev_db`.`productioattributslist_p7` ADD COLUMN `ProductIoAttrUsbIp` varchar(15) DEFAULT NULL AFTER `ProductIoAttrUsbMac`;
ALTER TABLE `muxlabnetworkcontroller_dev_db`.`productioattributslist_p7` ADD COLUMN `ProductIoAttrUsbMask` varchar(15) DEFAULT NULL AFTER `ProductIoAttrUsbIp`;
ALTER TABLE `muxlabnetworkcontroller_dev_db`.`productioattributslist_p7` ADD COLUMN `ProductIoAttrUsbGateway` varchar(15) DEFAULT NULL AFTER `ProductIoAttrUsbMask`;
ALTER TABLE `muxlabnetworkcontroller_dev_db`.`productioattributslist_p7` ADD COLUMN `ProductIoAttrUsbIsDhcp` tinyint(1) DEFAULT '0' AFTER `ProductIoAttrUsbGateway`;
ALTER TABLE `muxlabnetworkcontroller_dev_db`.`productioattributslist_p7` ADD COLUMN `ProductIoAttrUsbDhcpServer` varchar(15) DEFAULT NULL AFTER `ProductIoAttrUsbIsDhcp`;
ALTER TABLE `muxlabnetworkcontroller_dev_db`.`productioattributslist_p7` ADD COLUMN `ProductIoAttrUsbPortNumber` varchar(10) DEFAULT NULL AFTER `ProductIoAttrUsbDhcpServer`;
ALTER TABLE `muxlabnetworkcontroller_dev_db`.`productioattributslist_p7` ADD COLUMN `ProductIoAttrUsbIsSimultaneousUsers` tinyint(1) DEFAULT '0' AFTER `ProductIoAttrUsbPortNumber`;
ALTER TABLE `muxlabnetworkcontroller_dev_db`.`productioattributslist_p7` ADD COLUMN `ProductIoAttrUsbPairedMacs` varchar(255) DEFAULT NULL AFTER `ProductIoAttrUsbIsSimultaneousUsers`;
ALTER TABLE `muxlabnetworkcontroller_dev_db`.`productioattributslist_p7` ADD COLUMN `ProductIoAttrUsbRevision` varchar(35) DEFAULT NULL AFTER `ProductIoAttrUsbPairedMacs`;

INSERT INTO `productsupported` VALUES ('9','500779',NULL,NULL,'HDMI 2.0 over IP PoE Extender 4K/60',NULL,NULL,'Muxlab','P_muxlab_500779','IP','IP','2',NULL,NULL,NULL,NULL,NULL,NULL,NULL);

CREATE TABLE `macvsport_p9` (
  `macvsport_p9ID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `Mac` varchar(45) DEFAULT NULL,
  `Port` varchar(45) DEFAULT NULL,
  `PurposeID` int(10) unsigned NOT NULL,
  `ProductGlobalAttributs_P9_productglobalattributs_p9ID` int(11) NOT NULL,
  PRIMARY KEY (`macvsport_p9ID`,`ProductGlobalAttributs_P9_productglobalattributs_p9ID`),
  KEY `fk_MacVsPort_P9_ProductGlobalAttributs_P91_idx` (`ProductGlobalAttributs_P9_productglobalattributs_p9ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


CREATE TABLE `multicastipused_p9` (
  `multicastipused_p9ID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `MulticastIp` varchar(25) DEFAULT NULL,
  PRIMARY KEY (`multicastipused_p9ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

CREATE TABLE `presets_p9` (
  `presets_p9ID` int(11) NOT NULL AUTO_INCREMENT,
  `PresetsName` varchar(45) DEFAULT NULL,
  `PresetsType` varchar(45) DEFAULT NULL,
  `ProductGlobalAttributs_P9_productglobalattributs_p9ID` int(11) NOT NULL,
  PRIMARY KEY (`presets_p9ID`,`ProductGlobalAttributs_P9_productglobalattributs_p9ID`),
  KEY `fk_Presets_P9_ProductGlobalAttributs_P91_idx` (`ProductGlobalAttributs_P9_productglobalattributs_p9ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

CREATE TABLE `presetsmatrix_p9` (
  `presetsmatrix_p9ID` int(11) NOT NULL AUTO_INCREMENT,
  `macRx` varchar(45) DEFAULT NULL,
  `macTx` varchar(45) DEFAULT NULL,
  `videoProtocol` varchar(25) DEFAULT 'AUTO',
  `Presets_P9_presets_p9ID` int(11) NOT NULL,
  PRIMARY KEY (`presetsmatrix_p9ID`,`Presets_P9_presets_p9ID`),
  KEY `fk_PresetsMatrix_P9_Presets_P91_idx` (`Presets_P9_presets_p9ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


CREATE TABLE `productglobalattributs_p9` (
  `productglobalattributs_p9ID` int(11) NOT NULL AUTO_INCREMENT,
  `GlobalProductListSaved_globalproductlistsavedID` int(11) NOT NULL,
  `AppSettings_isAutoConfig` tinyint(1) DEFAULT NULL,
  `TxGroupIpUsed` varchar(1000) DEFAULT '',
  `ActivePresetId` int(11) DEFAULT '1',
  `VirtualMacUsed` varchar(1000) DEFAULT NULL,
  PRIMARY KEY (`productglobalattributs_p9ID`,`GlobalProductListSaved_globalproductlistsavedID`),
  KEY `fk_ProductGlobalAttributs_P9_GlobalProductListSaved1_idx` (`GlobalProductListSaved_globalproductlistsavedID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


CREATE TABLE `productioattributslist_p9` (
  `productioattributslist_p9` int(11) NOT NULL AUTO_INCREMENT,
  `ProductIoAttrCustomName` varchar(75) DEFAULT NULL,
  `ProductIoAttrName` varchar(75) DEFAULT NULL,
  `ProductIoAttrUserName` varchar(45) DEFAULT NULL,
  `ProductIoAttrPassword` varchar(45) DEFAULT NULL,
  `ProductIoAttrModel` varchar(45) DEFAULT NULL,
  `ProductIoAttrFwVersion` varchar(10) DEFAULT NULL,
  `ProductIoAttrMac` varchar(21) DEFAULT NULL,
  `ProductIoAttrPortId` varchar(45) DEFAULT NULL,
  `ProductIoAttrIp` varchar(15) DEFAULT NULL,
  `ProductIoAttrMask` varchar(15) DEFAULT NULL,
  `ProductIoAttrGateway` varchar(15) DEFAULT NULL,
  `ProductIoAttrIsDhcp` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsDipSwitchEnabled` tinyint(1) DEFAULT NULL,
  `ProductIoAttrUartBaudRate` varchar(15) DEFAULT 'NA',
  `ProductIoAttrRs232Parity` varchar(10) DEFAULT 'NONE',
  `ProductIoAttrIsRs232FeedbackOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrRs232FeedbackIP` varchar(15) DEFAULT NULL,
  `ProductIoAttrIsIrOn` tinyint(1) DEFAULT NULL,
  `ProductIoAttrIsIrMode` varchar(15) DEFAULT NULL,
  `ProductIoAttrIrFeedbackIP` varchar(15) DEFAULT NULL,
  `ProductIoAttrRs232Databits` varchar(2) DEFAULT '8',
  `ProductIoAttrRS232Stopbits` varchar(2) DEFAULT '1',
  `ProductIoAttrAudioIn` varchar(15) DEFAULT NULL,
  `ProductGlobalAttributs_P9_productglobalattributs_p9ID` int(11) NOT NULL,
  `IoType_iotypeID` int(11) NOT NULL,
  `IoPurpose_iopurposeID` int(11) NOT NULL,
  `isRemoteDevice` tinyint(1) DEFAULT NULL,
  `cpu` varchar(10) DEFAULT NULL,
  `memory` varchar(25) DEFAULT NULL,
  `DestIp` varchar(15) DEFAULT NULL,
  `PortALocal` int(11) DEFAULT NULL,
  `PortADest` int(11) DEFAULT NULL,
  `PortBLocal` int(11) DEFAULT NULL,
  `PortBDest` int(11) DEFAULT NULL,
  `PortCLocal` int(11) DEFAULT NULL,
  `PortCDest` int(11) DEFAULT NULL,
  `PortDLocal` int(11) DEFAULT NULL,
  `PortDDest` int(11) DEFAULT NULL,  
  `PublicIp` varchar(15) DEFAULT NULL,
  `isMCAST` tinyint(1) DEFAULT NULL,
  `MCASTip` varchar(15) DEFAULT NULL,
  `MCASTport` varchar(11) DEFAULT NULL,
  `ConnectedMac` varchar(21) DEFAULT '00-00-00-00-00-00',
  `IsConnect` tinyint(1) DEFAULT NULL,
  `fwUpdate` varchar(10) DEFAULT NULL,
  `FPGAVer` varchar(45) DEFAULT NULL,
  `VideoRes` varchar(45) DEFAULT NULL,
  `ColorSpace` varchar(25) DEFAULT NULL,
  `ColorDepth` varchar(10) DEFAULT NULL,
  `HdcpMode` varchar(10) DEFAULT NULL,
  `HdcpForce` tinyint(1) DEFAULT NULL,
  `EP91Ver` varchar(45) DEFAULT NULL,
  `DevType` varchar(10) DEFAULT NULL,
  `UpdateStatus` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`productioattributslist_p9`,`ProductGlobalAttributs_P9_productglobalattributs_p9ID`),
  KEY `fk_ProductIoAttributsList_P9_IoType9_idx` (`IoType_iotypeID`),
  KEY `fk_ProductIoAttributsList_P9_IoPurpose9_idx` (`IoPurpose_iopurposeID`),
  KEY `fk_ProductIoAttributsList_P9_ProductGlobalAttributs_P9_idx` (`ProductGlobalAttributs_P9_productglobalattributs_p9ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


CREATE TABLE `rtsphttpportused_p9` (
  `rtsphttpportused_p9ID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `PortNumber` varchar(25) DEFAULT NULL,
  PRIMARY KEY (`rtsphttpportused_p9ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

ALTER TABLE `macvsport_p9`
  ADD  CONSTRAINT `fk_MacVsPort_P9_ProductGlobalAttributs_P91` FOREIGN KEY (`ProductGlobalAttributs_P9_productglobalattributs_p9ID`) REFERENCES `productglobalattributs_p9` (`productglobalattributs_p9ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `presets_p9`
  ADD  CONSTRAINT `fk_Presets_P9_ProductGlobalAttributs_P91` FOREIGN KEY (`ProductGlobalAttributs_P9_productglobalattributs_p9ID`) REFERENCES `productglobalattributs_p9` (`productglobalattributs_p9ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `presetsmatrix_p9`
  ADD  CONSTRAINT `fk_PresetsMatrix_P9_Presets_P91` FOREIGN KEY (`Presets_P9_presets_p9ID`) REFERENCES `presets_p9` (`presets_p9ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `productglobalattributs_p9`
  ADD  CONSTRAINT `fk_ProductGlobalAttributs_P9_GlobalProductListSaved1` FOREIGN KEY (`GlobalProductListSaved_globalproductlistsavedID`) REFERENCES `globalproductlistsaved` (`globalproductlistsavedID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `productioattributslist_p9`
  ADD  CONSTRAINT `fk_ProductIoAttributsList_P9_IoPurpose9` FOREIGN KEY (`IoPurpose_iopurposeID`) REFERENCES `iopurpose` (`iopurposeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD  CONSTRAINT `fk_ProductIoAttributsList_P9_IoType9` FOREIGN KEY (`IoType_iotypeID`) REFERENCES `iotype` (`iotypeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD  CONSTRAINT `fk_ProductIoAttributsList_P9_ProductGlobalAttributs_P9` FOREIGN KEY (`ProductGlobalAttributs_P9_productglobalattributs_p9ID`) REFERENCES `productglobalattributs_p9` (`productglobalattributs_p9ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

INSERT INTO `featuresupport` VALUES (54,'500779-TX','either',1);
INSERT INTO `featuresupport` VALUES (55,'500779-RX','either',1);

ALTER TABLE `persistentsettings_p3` ADD COLUMN `RotateVideoDegrees` INT(3) NULL DEFAULT NULL AFTER `IsCecFollowVideo`;
ALTER TABLE `productioattributslist_p3` ADD COLUMN `ProductIoAttrRotateVideoDegrees` INT(3) DEFAULT NULL AFTER `ProductIoAttrIsCecFollowVideo`;
